Schema.org Blueprints: Checklists
---------------------------------

## Goals

- Manage the complexity of building an enterprise progressively decoupled Content Management System (CMS)
- Ensure the success of leveraging Schema.org as the foundation for a scalable content architecture
- Acknowledge that collaboration is required between multiple roles to build an enterprise application.


## Role-based checklists

Manager

- Define roles and responsibilities
- Set short-term and long-term goals
- Establish overall planning and development process
- Oversee ongoing maintenance
- Encourage open source contributions

Architect

- Research Schema.org
- Find references for desired types
- Review Schema.org Blueprints defaults
- Download spreadsheets
- Write change request

Developer

- Read the README.md file and project page.
- Note module dependencies
- Review default configuration
- Examine module's APIs and hooks
- Explore example modules and code
- Consider possible contributions

Site builder

- Build entity edit forms
- Build entity references (relationships)
- Build workflow and moderation

Content editor

- Review content types
- Review edit forms
- Review relationships
- Review workflow and moderation

Frontend

- Review JSON:API
- Explore Next.js starter
- Build Next.js components
