Schema.org Blueprints: Sub-modules
---------------------------------------------------------------

_Below modules are included with the Schema.org Blueprints module/package._

# Base

The below base modules are required to understand and build entity types based
on Schema.org types.

- **[Schema.org Blueprints](https://git.drupalcode.org/project/schemadotorg)**  
  Uses Schema.org as the blueprint for the content architecture and structured data in a Drupal website.

- **[Schema.org Blueprints UI](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_ui)**  
  Allows administrators to attach custom Schema.org properties to fieldable types.

- **[Schema.org Blueprints Report](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_report)**  
  Provides a report for browsing Schema.org types, properties, and naming conventions.

- **[Schema.org Blueprints Help](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_help)**  
  Provides a dedicated help section for the Schema.org Blueprints module and submodules.

# UI/UX

The below UI/UX modules help enhance the creation and management
Schema.org types.

- **[Schema.org Blueprints Descriptions](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_descriptions)**  
  Sets entity type and field descriptions to their corresponding Schema.org type and property comments.

- **[Schema.org Blueprints Diagram](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_diagram)**  
  Provides a CSV export of Schema.org type mappings.

- **[Schema.org Blueprints Identifier](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_identifier)**  
  Manages identifiers (https://schema.org/identifier) for Schema.org types.

- **[Schema.org Blueprints Mapping Set](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_mapping_set)**  
  Provides the ability to create a set of related Schema.org types via Drush.

- **[Schema.org Blueprints Role](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_role)**    
  Manages roles (https://schema.org/Role) for Schema.org properties.

- **[Schema.org Blueprints Subtype](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_subtype)**  
  Subtypes allow more specificity without having to create dedicated entity types for every appropriate Schema.org type.

- **[Schema.org Blueprints Translation](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_translation)**  
  Manages translations for Schema.org types and properties as they are created.

- **[Schema.org Blueprints Starter Kit (API)](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_starterkit)**  
  Provides an API for starter kits to create Schema.org types.

# Fields

The below field related modules help configure entity edit forms
and field configuration settings.

- **[Schema.org Blueprints Field Prefix](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_field_prefix)**  
  Allows the schema_* field prefix and other field prefixes to be customized.

- **[Schema.org Blueprints Address](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_address)**  
  Allows an address field to be used to create a http://schema.org/PostalAddress.

- **[Schema.org Blueprints Allowed Formats](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_allowed_formats)**  
  Sets allowed format for Schema.org properties within an entity type/bundle Schema.org mapping.

- **[Schema.org Blueprints Automatic Entity Labels](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_auto_entitylabel)**  
  Creates automatic entity label settings for Schema.org types.

- **[Schema.org Blueprints Corresponding Entity References](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_cer)**
  Improves https://inverseOf support using the Corresponding Entity References module.

- **[Schema.org Blueprints Entity Prepopulate](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_epp)**
  Configures and manages entity prepopulation for Schema.org relationships (i.e. entity references).

- **[Schema.org Blueprints Existing Values Autocomplete Widget](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_existing_values_autocomplete_widget)**  
  Allows an autocomplete widget to be automatically added to Schema.org properties within an entity type/bundle Schema.org mapping.

- **[Schema.org Blueprints Field Group](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_field_group)**  
  Creates field groups in entity view and form displays when Schema.org properties are mapping to a field.

- **[Schema.org Blueprints Field Validation](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_field_validation)**  
  Adds field validation/constraint rules to Schema.org properties.

- **[Schema.org Blueprints Flex Field](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_flexfield)**  
  Allows a Flex field to be used to create Schema.org relationships within an entity type/bundle Schema.org mapping.

- **[Schema.org Blueprints Focal Point](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_focal_point)**  
  Enables focal point for Schema.org images and generates default image styles for decoupled front-ends.

- **[Schema.org Blueprints Geolocation Field](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_geolocation)**  
  Allows a geolocation field to be used to create https://schema.org/GeoCoordinates.

- **[Schema.org Blueprints Inline Entity Form](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_inline_entity_form)**  
  Allows an inline entity form to be automatically added to Schema.org properties within an entity type/bundle Schema.org mapping.

- **[Schema.org Blueprints Office Hours](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_office_hours)**  
  Allows an Office hours field to be used to create https://schema.org/OpeningHoursSpecification.

- **[Schema.org Blueprints Options](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_options)**  
  Set allowed values for list (options) fields.

- **[Schema.org Blueprints Sidebar](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_sidebar)**  
  Adds paragraph types to the sidebar on node edit forms.

- **[Schema.org Blueprints Editorial](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_editorial)**  
  Adds an 'Editorial information' paragraph to the sidebar on node edit forms.

- **[Schema.org Blueprints Smart Date](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_smart_date)**  
  Allows a Smart date field to be used to create date ranges and event schedules included in a site's Schema.org JSON-LD.

# Entities

The below entity type related module provide support and mappings for
common entity types.

- **[Schema.org Blueprints Media](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_media)**  
  Integrates the Media and Media Library module with the Schema.org Blueprints module.

- **[Schema.org Blueprints Paragraphs](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_paragraphs)**  
  Integrates the Paragraphs and Paragraphs Library module with the Schema.org Blueprints module.

- **[Schema.org Blueprints Taxonomy](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_taxonomy)**  
  Assists with creating and mapping taxonomy vocabularies and terms.

# Layout

The below layout related modules provide support for building layouts using
Layout Paragraphs based on Schema.org types.

- **[Schema.org Blueprints Action](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_action)**  
  Provides support for https:://schema.org/Action using a call to action paragraph type.

- **[Schema.org Layout Paragraphs](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_layout_paragraphs)**  
  Provides integration with the Layout Paragraphs module.

- **[Style Options](https://www.drupal.org/project/style_options)**  
  Provides configurable styles management for attaching various style plugins to Layouts and Paragraphs.

# SEO

The below SEO related modules help support common and popular Drupal
SEO modules.

- **[Schema.org Blueprints Metatag](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_metatag)**  
  Automatically adds a metatag field to Schema.org types.

- **[Schema.org Blueprints Simple Sitemap](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_simple_sitemap)**  
  Automatically adds Schema.org types to sitemap.xml.

# Workflow

The below workflow related modules help support common and popular Drupal
workflow modules.

- **[Schema.org Blueprints Content Moderation](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_content_moderation)**  
  Automatically enables content moderation for Schema.org types as they are created.

- **[Schema.org Blueprints Scheduler](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_scheduler)**  
  Automatically enables scheduling for Schema.org types as they are created.

# JSON-LD

The below JSON-LD related modules generates Schema.org JSON-LD
for search engines.

- **[Schema.org Blueprints JSON-LD](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_jsonld)**  
  Adds Schema.org structured data as JSON-LD in the head of web pages.

- **[Schema.org Blueprints JSON-LD Custom](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_jsonld_custom)**  
  Allows custom JSON-LD to be added to Schema.org mapping.

- **[Schema.org Blueprints JSON-LD Breadcrumb](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_jsonld_breadcrumb)**  
  Add Drupal's breadcrumb to Schema.org JSON-LD for the current route.

- **[Schema.org Blueprints JSON-LD Embed](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_jsonld_embed)**  
  Extracts embedded media and content from an entity and includes the associated Schema.org type in JSON-LD.

- **[Schema.org Blueprints JSON-LD Endpoint](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_jsonld_endpoint)**  
  Provides an endpoint to get an entity's Schema.org JSON-LD.

- **[Schema.org Blueprints JSON-LD Preview](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_jsonld_preview)**  
  Allows users to preview a web page's Schema.org JSON-LD.

# API

The below API related modules creates APIs based on Schema.org types

- **[Schema.org Blueprints JSON:API](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_jsonapi)**  
  Builds on top of the JSON:API and JSON:API extras modules to apply Schema.org type and property mappings to JSON:API resources.

- **[Schema.org Blueprints JSON:API Preview](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_jsonapi_preivew)**  
  Allows users to preview a web page's Schema.org JSON:API.

# Next.js

The below Next.js related modules helps front-end developers build and maintain
a Next.js front-end.

- **[Schema.org Blueprints Next.js](https://git.drupalcode.org/project/schemadotorg_next/-/tree/1.0.x)**  
  Assists with the integration of Schema.org Blueprints with Next.js.

- **[Schema.org Blueprints Next.js Components](https://git.drupalcode.org/project/schemadotorg_next/-/tree/1.0.x/modules/schemadotorg_next_components)**  
  Generates and previews Next.js React components to assist with the integration of Schema.org Blueprints with Next.js

# Development

- **[Schema.org Blueprints Devel](https://git.drupalcode.org/project/schemadotorg/-/tree/1.0.x/modules/schemadotorg_devel)**  
  Provides development tools for the Schema.org Blueprints module.

# Demo

- **[Schema.org Blueprints Demo](https://git.drupalcode.org/project/schemadotorg_demo/-/tree/1.0.x/README.md)**  
  Provides an opinionated demo of the Schema.org Blueprints built on top of Drupal's standard profile with default content and translations.

