Table of contents
-----------------

* Introduction
* Features
* Configuration
* Requirements
* References


Introduction
------------

The **Schema.org Blueprints Diagramn** module provides
diagrams for Schema.org relationships.

Example of diagram via DIAGRAM.html.

@see DIAGRAM.html#example

Features
--------

- Provides a Schema.org Organization diagram using a flow chart 
  generated using Mermaid.js.


Configuration
-------------

Permissions

- Configure 'View Schema.org Diagram' permission.  
  (/admin/people/permissions/module/schemadotorg_diagram)

Settings

- Go to the Schema.org general configuration page.  
  (/admin/config/search/schemadotorg/settings/general)
- Go to the 'Diagram settings' details.
- Enter Schema.org diagrams title, parent, and child Schema.org properties.


Requirements
------------

### Contribute modules (Optional)

- **[Content Model Documentation](https://www.drupal.org/project/content_model_documentation)**  
  Adds admin displays for the site architecture and history.

### JavaScript Libraries

- **[Mermaid](https://mermaid.js.org)**  
  Mermaid lets you create diagrams and visualizations using text and code.


References
----------

- https://en.wikipedia.org/wiki/Hierarchical_organization
- [SVG Export Chrome Extension](https://chrome.google.com/webstore/detail/svg-export/naeaaedieihlkmdajjefioajbbdbdjgp/related?hl=en-GB)  
  Use for exporting and saving SVG mermaidJS diagrams. 
