<?php

/**
 * @file
 * Translate Schema.org properties id and comment strings.
 *
 * Passing Schema.org label and comments to Drupal's t() function to
 * ensure all translatable Schema.org strings discovered by
 * localize.drupal.org.
 *
 * DO NOT EDIT.
 * This file is generated using `drush schemadotorg:translate-schema`.
 *
 * @see https://localize.drupal.org/translate/languages/en-gb/translate?project=schemadotorg
 */

declare(strict_types = 1);

// phpcs:disable Drupal.Semantics.FunctionT.BackslashSingleQuote

// https://schema.org/about
t("about");
t("The subject matter of the content.");

// https://schema.org/abridged
t("abridged");
t("Indicates whether the book is an abridged edition.");

// https://schema.org/abstract
t("abstract");
t('An abstract is a short description that summarizes a <a class="localLink" href="/CreativeWork">CreativeWork</a>.');

// https://schema.org/accelerationTime
t("accelerationTime");
t('The time needed to accelerate the vehicle from a given start velocity to a given target velocity.<br/><br/>

Typical unit code(s): SEC for seconds<br/><br/>

<ul>
<li>Note: There are unfortunately no standard unit codes for seconds/0..100 km/h or seconds/0..60 mph. Simply use "SEC" for seconds and indicate the velocities in the <a class="localLink" href="/name">name</a> of the <a class="localLink" href="/QuantitativeValue">QuantitativeValue</a>, or use <a class="localLink" href="/valueReference">valueReference</a> with a <a class="localLink" href="/QuantitativeValue">QuantitativeValue</a> of 0..60 mph or 0..100 km/h to specify the reference speeds.</li>
</ul>');
t("The time needed to accelerate the vehicle from a given start velocity to a given target velocity.");

// https://schema.org/acceptedAnswer
t("acceptedAnswer");
t("The answer(s) that has been accepted as best, typically on a Question/Answer site. Sites vary in their selection mechanisms, e.g. drawing on community opinion and/or the view of the Question author.");
t("The answer(s) that has been accepted as best, typically on a Question/Answer site.");

// https://schema.org/acceptedOffer
t("acceptedOffer");
t("The offer(s) -- e.g., product, quantity and price combinations -- included in the order.");

// https://schema.org/acceptedPaymentMethod
t("acceptedPaymentMethod");
t("The payment method(s) accepted by seller for this offer.");

// https://schema.org/acceptsReservations
t("acceptsReservations");
t("Indicates whether a FoodEstablishment accepts reservations. Values can be Boolean, an URL at which reservations can be made or (for backwards compatibility) the strings <code>Yes</code> or <code>No</code>.");
t("Indicates whether a FoodEstablishment accepts reservations.");

// https://schema.org/accessCode
t("accessCode");
t("Password, PIN, or access code needed for delivery (e.g. from a locker).");

// https://schema.org/accessibilityAPI
t("accessibilityAPI");
t('Indicates that the resource is compatible with the referenced accessibility API. Values should be drawn from the <a href="https://www.w3.org/2021/a11y-discov-vocab/latest/#accessibilityAPI-vocabulary">approved vocabulary</a>.');
t("Indicates that the resource is compatible with the referenced accessibility API.");

// https://schema.org/accessibilityControl
t("accessibilityControl");
t('Identifies input methods that are sufficient to fully control the described resource. Values should be drawn from the <a href="https://www.w3.org/2021/a11y-discov-vocab/latest/#accessibilityControl-vocabulary">approved vocabulary</a>.');
t("Identifies input methods that are sufficient to fully control the described resource.");

// https://schema.org/accessibilityFeature
t("accessibilityFeature");
t('Content features of the resource, such as accessible media, alternatives and supported enhancements for accessibility. Values should be drawn from the <a href="https://www.w3.org/2021/a11y-discov-vocab/latest/#accessibilityFeature-vocabulary">approved vocabulary</a>.');
t("Content features of the resource, such as accessible media, alternatives and supported enhancements for accessibility.");

// https://schema.org/accessibilityHazard
t("accessibilityHazard");
t('A characteristic of the described resource that is physiologically dangerous to some users. Related to WCAG 2.0 guideline 2.3. Values should be drawn from the <a href="https://www.w3.org/2021/a11y-discov-vocab/latest/#accessibilityHazard-vocabulary">approved vocabulary</a>.');
t("A characteristic of the described resource that is physiologically dangerous to some users.");

// https://schema.org/accessibilitySummary
t("accessibilitySummary");
t('A human-readable summary of specific accessibility features or deficiencies, consistent with the other accessibility metadata but expressing subtleties such as "short descriptions are present but long descriptions will be needed for non-visual users" or "short descriptions are present and no long descriptions are needed."');
t('A human-readable summary of specific accessibility features or deficiencies, consistent with the other accessibility metadata but expressing subtleties such as "short descriptions are present but long descriptions will be needed for non-visual users" or "short descriptions are present and no long descriptions are needed.');

// https://schema.org/accessMode
t("accessMode");
t('The human sensory perceptual system or cognitive faculty through which a person may process or perceive information. Values should be drawn from the <a href="https://www.w3.org/2021/a11y-discov-vocab/latest/#accessMode-vocabulary">approved vocabulary</a>.');
t("The human sensory perceptual system or cognitive faculty through which a person may process or perceive information.");

// https://schema.org/accessModeSufficient
t("accessModeSufficient");
t('A list of single or combined accessModes that are sufficient to understand all the intellectual content of a resource. Values should be drawn from the <a href="https://www.w3.org/2021/a11y-discov-vocab/latest/#accessModeSufficient-vocabulary">approved vocabulary</a>.');
t("A list of single or combined accessModes that are sufficient to understand all the intellectual content of a resource.");

// https://schema.org/accommodationCategory
t("accommodationCategory");
t('Category of an <a class="localLink" href="/Accommodation">Accommodation</a>, following real estate conventions, e.g. RESO (see <a href="https://ddwiki.reso.org/display/DDW17/PropertySubType+Field">PropertySubType</a>, and <a href="https://ddwiki.reso.org/display/DDW17/PropertyType+Field">PropertyType</a> fields  for suggested values).');

// https://schema.org/accommodationFloorPlan
t("accommodationFloorPlan");
t('A floorplan of some <a class="localLink" href="/Accommodation">Accommodation</a>.');

// https://schema.org/accountablePerson
t("accountablePerson");
t("Specifies the Person that is legally accountable for the CreativeWork.");

// https://schema.org/accountId
t("accountId");
t("The identifier for the account the payment will be applied to.");

// https://schema.org/accountMinimumInflow
t("accountMinimumInflow");
t("A minimum amount that has to be paid in every month.");

// https://schema.org/accountOverdraftLimit
t("accountOverdraftLimit");
t("An overdraft is an extension of credit from a lending institution when an account reaches zero. An overdraft allows the individual to continue withdrawing money even if the account has no funds in it. Basically the bank allows people to borrow a set amount of money.");
t("An overdraft is an extension of credit from a lending institution when an account reaches zero.");

// https://schema.org/acquiredFrom
t("acquiredFrom");
t("The organization or person from which the product was acquired.");

// https://schema.org/acquireLicensePage
t("acquireLicensePage");
t("Indicates a page documenting how licenses can be purchased or otherwise acquired, for the current item.");

// https://schema.org/acrissCode
t("acrissCode");
t("The ACRISS Car Classification Code is a code used by many car rental companies, for classifying vehicles. ACRISS stands for Association of Car Rental Industry Systems and Standards.");
t("The ACRISS Car Classification Code is a code used by many car rental companies, for classifying vehicles.");

// https://schema.org/actionableFeedbackPolicy
t("actionableFeedbackPolicy");
t('For a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a> or other news-related <a class="localLink" href="/Organization">Organization</a>, a statement about public engagement activities (for news media, the newsroom’s), including involving the public - digitally or otherwise -- in coverage decisions, reporting and activities after publication.');

// https://schema.org/actionAccessibilityRequirement
t("actionAccessibilityRequirement");
t("A set of requirements that must be fulfilled in order to perform an Action. If more than one value is specified, fulfilling one set of requirements will allow the Action to be performed.");
t("A set of requirements that must be fulfilled in order to perform an Action.");

// https://schema.org/actionApplication
t("actionApplication");
t("An application that can complete the request.");

// https://schema.org/actionOption
t("actionOption");
t("A sub property of object. The options subject to this action.");
t("A sub property of object.");

// https://schema.org/actionPlatform
t("actionPlatform");
t("The high level platform(s) where the Action can be performed for the given URL. To specify a specific application or operating system instance, use actionApplication.");
t("The high level platform(s) where the Action can be performed for the given URL.");

// https://schema.org/actionStatus
t("actionStatus");
t("Indicates the current disposition of the Action.");

// https://schema.org/activeIngredient
t("activeIngredient");
t("An active ingredient, typically chemical compounds and/or biologic substances.");

// https://schema.org/activityDuration
t("activityDuration");
t("Length of time to engage in the activity.");

// https://schema.org/activityFrequency
t("activityFrequency");
t("How often one should engage in the activity.");

// https://schema.org/actor
t("actor");
t("An actor, e.g. in TV, radio, movie, video games etc., or in an event. Actors can be associated with individual items or with a series, episode, clip.");
t("An actor, e.g. in TV, radio, movie, video games etc., or in an event.");

// https://schema.org/actors
t("actors");
t("An actor, e.g. in TV, radio, movie, video games etc. Actors can be associated with individual items or with a series, episode, clip.");

// https://schema.org/additionalName
t("additionalName");
t("An additional name for a Person, can be used for a middle name.");

// https://schema.org/additionalNumberOfGuests
t("additionalNumberOfGuests");
t("If responding yes, the number of guests who will attend in addition to the invitee.");

// https://schema.org/additionalProperty
t("additionalProperty");
t("A property-value pair representing an additional characteristic of the entity, e.g. a product feature or another characteristic for which there is no matching property in schema.org.<br/><br/>

Note: Publishers should be aware that applications designed to use specific schema.org properties (e.g. https://schema.org/width, https://schema.org/color, https://schema.org/gtin13, ...) will typically expect such data to be provided using those properties, rather than using the generic property/value mechanism.");
t("A property-value pair representing an additional characteristic of the entity, e.g. a product feature or another characteristic for which there is no matching property in schema.");

// https://schema.org/additionalType
t("additionalType");
t('An additional type for the item, typically used for adding more specific types from external vocabularies in microdata syntax. This is a relationship between something and a class that the thing is in. Typically the value is a URI-identified RDF class, and in this case corresponds to the 
    use of rdf:type in RDF. Text values can be used sparingly, for cases where useful information can be added without their being an appropriate schema to reference. In the case of text values, the class label should follow the schema.org <a href="https://schema.org/docs/styleguide.html">style guide</a>');
t("An additional type for the item, typically used for adding more specific types from external vocabularies in microdata syntax.");

// https://schema.org/additionalVariable
t("additionalVariable");
t("Any additional component of the exercise prescription that may need to be articulated to the patient. This may include the order of exercises, the number of repetitions of movement, quantitative distance, progressions over time, etc.");
t("Any additional component of the exercise prescription that may need to be articulated to the patient.");

// https://schema.org/addOn
t("addOn");
t("An additional offer that can only be obtained in combination with the first base offer (e.g. supplements and extensions that are available for a surcharge).");

// https://schema.org/address
t("address");
t("Physical address of the item.");

// https://schema.org/addressCountry
t("addressCountry");
t('The country. For example, USA. You can also provide the two-letter <a href="http://en.wikipedia.org/wiki/ISO_3166-1">ISO 3166-1 alpha-2 country code</a>.');
t("The country.");

// https://schema.org/addressLocality
t("addressLocality");
t("The locality in which the street address is, and which is in the region. For example, Mountain View.");
t("The locality in which the street address is, and which is in the region.");

// https://schema.org/addressRegion
t("addressRegion");
t('The region in which the locality is, and which is in the country. For example, California or another appropriate first-level <a href="https://en.wikipedia.org/wiki/List_of_administrative_divisions_by_country">Administrative division</a>.');
t("The region in which the locality is, and which is in the country.");

// https://schema.org/administrationRoute
t("administrationRoute");
t("A route by which this drug may be administered, e.g. 'oral'.");

// https://schema.org/advanceBookingRequirement
t("advanceBookingRequirement");
t("The amount of time that is required between accepting the offer and the actual usage of the resource or service.");

// https://schema.org/adverseOutcome
t("adverseOutcome");
t("A possible complication and/or side effect of this therapy. If it is known that an adverse outcome is serious (resulting in death, disability, or permanent damage; requiring hospitalization; or otherwise life-threatening or requiring immediate medical attention), tag it as a seriousAdverseOutcome instead.");
t("A possible complication and/or side effect of this therapy.");

// https://schema.org/affectedBy
t("affectedBy");
t("Drugs that affect the test's results.");

// https://schema.org/affiliation
t("affiliation");
t("An organization that this person is affiliated with. For example, a school/university, a club, or a team.");
t("An organization that this person is affiliated with.");

// https://schema.org/afterMedia
t("afterMedia");
t("A media object representing the circumstances after performing this direction.");

// https://schema.org/agent
t("agent");
t("The direct performer or driver of the action (animate or inanimate). E.g. <em>John</em> wrote a book.");
t("The direct performer or driver of the action (animate or inanimate).");

// https://schema.org/aggregateRating
t("aggregateRating");
t("The overall rating, based on a collection of reviews or ratings, of the item.");

// https://schema.org/aircraft
t("aircraft");
t('The kind of aircraft (e.g., "Boeing 747").');

// https://schema.org/album
t("album");
t("A music album.");

// https://schema.org/albumProductionType
t("albumProductionType");
t("Classification of the album by its type of content: soundtrack, live album, studio album, etc.");

// https://schema.org/albumRelease
t("albumRelease");
t("A release of this album.");

// https://schema.org/albumReleaseType
t("albumReleaseType");
t("The kind of release which this album is: single, EP or album.");

// https://schema.org/albums
t("albums");
t("A collection of music albums.");

// https://schema.org/alcoholWarning
t("alcoholWarning");
t("Any precaution, guidance, contraindication, etc. related to consumption of alcohol while taking this drug.");

// https://schema.org/algorithm
t("algorithm");
t("The algorithm or rules to follow to compute the score.");

// https://schema.org/alignmentType
t("alignmentType");
t("A category of alignment between the learning resource and the framework node. Recommended values include: 'requires', 'textComplexity', 'readingLevel', and 'educationalSubject'.");
t("A category of alignment between the learning resource and the framework node.");

// https://schema.org/alternateName
t("alternateName");
t("An alias for the item.");

// https://schema.org/alternativeHeadline
t("alternativeHeadline");
t("A secondary title of the CreativeWork.");

// https://schema.org/alternativeOf
t("alternativeOf");
t("Another gene which is a variation of this one.");

// https://schema.org/alumni
t("alumni");
t("Alumni of an organization.");

// https://schema.org/alumniOf
t("alumniOf");
t("An organization that the person is an alumni of.");

// https://schema.org/amenityFeature
t("amenityFeature");
t("An amenity feature (e.g. a characteristic or service) of the Accommodation. This generic property does not make a statement about whether the feature is included in an offer for the main accommodation or available at extra costs.");
t("An amenity feature (e.g. a characteristic or service) of the Accommodation.");

// https://schema.org/amount
t("amount");
t("The amount of money.");

// https://schema.org/amountOfThisGood
t("amountOfThisGood");
t("The quantity of the goods included in the offer.");

// https://schema.org/announcementLocation
t("announcementLocation");
t('Indicates a specific <a class="localLink" href="/CivicStructure">CivicStructure</a> or <a class="localLink" href="/LocalBusiness">LocalBusiness</a> associated with the SpecialAnnouncement. For example, a specific testing facility or business with special opening hours. For a larger geographic region like a quarantine of an entire region, use <a class="localLink" href="/spatialCoverage">spatialCoverage</a>.');
t('Indicates a specific <a class="localLink" href="/CivicStructure">CivicStructure</a> or <a class="localLink" href="/LocalBusiness">LocalBusiness</a> associated with the SpecialAnnouncement.');

// https://schema.org/annualPercentageRate
t("annualPercentageRate");
t("The annual rate that is charged for borrowing (or made by investing), expressed as a single percentage number that represents the actual yearly cost of funds over the term of a loan. This includes any fees or additional costs associated with the transaction.");
t("The annual rate that is charged for borrowing (or made by investing), expressed as a single percentage number that represents the actual yearly cost of funds over the term of a loan.");

// https://schema.org/answerCount
t("answerCount");
t("The number of answers this question has received.");

// https://schema.org/answerExplanation
t("answerExplanation");
t("A step-by-step or full explanation about Answer. Can outline how this Answer was achieved or contain more broad clarification or statement about it.");
t("A step-by-step or full explanation about Answer.");

// https://schema.org/antagonist
t("antagonist");
t("The muscle whose action counteracts the specified muscle.");

// https://schema.org/appearance
t("appearance");
t('Indicates an occurrence of a <a class="localLink" href="/Claim">Claim</a> in some <a class="localLink" href="/CreativeWork">CreativeWork</a>.');

// https://schema.org/applicableCountry
t("applicableCountry");
t("A country where a particular merchant return policy applies to, for example the two-letter ISO 3166-1 alpha-2 country code.");

// https://schema.org/applicableLocation
t("applicableLocation");
t("The location in which the status applies.");

// https://schema.org/applicantLocationRequirements
t("applicantLocationRequirements");
t("The location(s) applicants can apply from. This is usually used for telecommuting jobs where the applicant does not need to be in a physical office. Note: This should not be used for citizenship or work visa requirements.");
t("The location(s) applicants can apply from.");

// https://schema.org/application
t("application");
t("An application that can complete the request.");

// https://schema.org/applicationCategory
t("applicationCategory");
t("Type of software application, e.g. 'Game, Multimedia'.");

// https://schema.org/applicationContact
t("applicationContact");
t("Contact details for further information relevant to this job posting.");

// https://schema.org/applicationDeadline
t("applicationDeadline");
t("The date at which the program stops collecting applications for the next enrollment cycle.");

// https://schema.org/applicationStartDate
t("applicationStartDate");
t("The date at which the program begins collecting applications for the next enrollment cycle.");

// https://schema.org/applicationSubCategory
t("applicationSubCategory");
t("Subcategory of the application, e.g. 'Arcade Game'.");

// https://schema.org/applicationSuite
t("applicationSuite");
t("The name of the application suite to which the application belongs (e.g. Excel belongs to Office).");

// https://schema.org/appliesToDeliveryMethod
t("appliesToDeliveryMethod");
t("The delivery method(s) to which the delivery charge or payment charge specification applies.");

// https://schema.org/appliesToPaymentMethod
t("appliesToPaymentMethod");
t("The payment method(s) to which the payment charge specification applies.");

// https://schema.org/archivedAt
t("archivedAt");
t('Indicates a page or other link involved in archival of a <a class="localLink" href="/CreativeWork">CreativeWork</a>. In the case of <a class="localLink" href="/MediaReview">MediaReview</a>, the items in a <a class="localLink" href="/MediaReviewItem">MediaReviewItem</a> may often become inaccessible, but be archived by archival, journalistic, activist, or law enforcement organizations. In such cases, the referenced page may not directly publish the content.');
t('Indicates a page or other link involved in archival of a <a class="localLink" href="/CreativeWork">CreativeWork</a>.');

// https://schema.org/archiveHeld
t("archiveHeld");
t('Collection, <a href="https://en.wikipedia.org/wiki/Fonds">fonds</a>, or item held, kept or maintained by an <a class="localLink" href="/ArchiveOrganization">ArchiveOrganization</a>.');

// https://schema.org/area
t("area");
t("The area within which users can expect to reach the broadcast service.");

// https://schema.org/areaServed
t("areaServed");
t("The geographic area where a service or offered item is provided.");

// https://schema.org/arrivalAirport
t("arrivalAirport");
t("The airport where the flight terminates.");

// https://schema.org/arrivalBoatTerminal
t("arrivalBoatTerminal");
t("The terminal or port from which the boat arrives.");

// https://schema.org/arrivalBusStop
t("arrivalBusStop");
t("The stop or station from which the bus arrives.");

// https://schema.org/arrivalGate
t("arrivalGate");
t("Identifier of the flight's arrival gate.");

// https://schema.org/arrivalPlatform
t("arrivalPlatform");
t("The platform where the train arrives.");

// https://schema.org/arrivalStation
t("arrivalStation");
t("The station where the train trip ends.");

// https://schema.org/arrivalTerminal
t("arrivalTerminal");
t("Identifier of the flight's arrival terminal.");

// https://schema.org/arrivalTime
t("arrivalTime");
t("The expected arrival time.");

// https://schema.org/artEdition
t("artEdition");
t('The number of copies when multiple copies of a piece of artwork are produced - e.g. for a limited edition of 20 prints, \'artEdition\' refers to the total number of copies (in this example "20").');

// https://schema.org/arterialBranch
t("arterialBranch");
t("The branches that comprise the arterial structure.");

// https://schema.org/artform
t("artform");
t("e.g. Painting, Drawing, Sculpture, Print, Photograph, Assemblage, Collage, etc.");

// https://schema.org/articleBody
t("articleBody");
t("The actual body of the article.");

// https://schema.org/articleSection
t("articleSection");
t("Articles may belong to one or more 'sections' in a magazine or newspaper, such as Sports, Lifestyle, etc.");

// https://schema.org/artist
t("artist");
t("The primary artist for a work
        in a medium other than pencils or digital line art--for example, if the
        primary artwork is done in watercolors or digital paints.");

// https://schema.org/artMedium
t("artMedium");
t("The material used. (E.g. Oil, Watercolour, Acrylic, Linoprint, Marble, Cyanotype, Digital, Lithograph, DryPoint, Intaglio, Pastel, Woodcut, Pencil, Mixed Media, etc.)");
t("The material used.");

// https://schema.org/artworkSurface
t("artworkSurface");
t("The supporting materials for the artwork, e.g. Canvas, Paper, Wood, Board, etc.");

// https://schema.org/asin
t("asin");
t('An Amazon Standard Identification Number (ASIN) is a 10-character alphanumeric unique identifier assigned by Amazon.com and its partners for product identification within the Amazon organization (summary from <a href="https://en.wikipedia.org/wiki/Amazon_Standard_Identification_Number">Wikipedia</a>\'s article).<br/><br/>

Note also that this is a definition for how to include ASINs in Schema.org data, and not a definition of ASINs in general - see documentation from Amazon for authoritative details.
ASINs are most commonly encoded as text strings, but the [asin] property supports URL/URI as potential values too.');
t("An Amazon Standard Identification Number (ASIN) is a 10-character alphanumeric unique identifier assigned by Amazon.");

// https://schema.org/aspect
t("aspect");
t("An aspect of medical practice that is considered on the page, such as 'diagnosis', 'treatment', 'causes', 'prognosis', 'etiology', 'epidemiology', etc.");

// https://schema.org/assembly
t("assembly");
t("Library file name, e.g., mscorlib.dll, system.web.dll.");
t("Library file name, e.g., mscorlib.");

// https://schema.org/assemblyVersion
t("assemblyVersion");
t("Associated product/technology version. E.g., .NET Framework 4.5.");
t("Associated product/technology version.");

// https://schema.org/assesses
t("assesses");
t("The item being described is intended to assess the competency or learning outcome defined by the referenced term.");

// https://schema.org/associatedAnatomy
t("associatedAnatomy");
t("The anatomy of the underlying organ system or structures associated with this entity.");

// https://schema.org/associatedArticle
t("associatedArticle");
t("A NewsArticle associated with the Media Object.");

// https://schema.org/associatedClaimReview
t("associatedClaimReview");
t('An associated <a class="localLink" href="/ClaimReview">ClaimReview</a>, related by specific common content, topic or claim. The expectation is that this property would be most typically used in cases where a single activity is conducting both claim reviews and media reviews, in which case <a class="localLink" href="/relatedMediaReview">relatedMediaReview</a> would commonly be used on a <a class="localLink" href="/ClaimReview">ClaimReview</a>, while <a class="localLink" href="/relatedClaimReview">relatedClaimReview</a> would be used on <a class="localLink" href="/MediaReview">MediaReview</a>.');
t('An associated <a class="localLink" href="/ClaimReview">ClaimReview</a>, related by specific common content, topic or claim.');

// https://schema.org/associatedDisease
t("associatedDisease");
t("Disease associated to this BioChemEntity. Such disease can be a MedicalCondition or a URL. If you want to add an evidence supporting the association, please use PropertyValue.");
t("Disease associated to this BioChemEntity.");

// https://schema.org/associatedMedia
t("associatedMedia");
t("A media object that encodes this CreativeWork. This property is a synonym for encoding.");
t("A media object that encodes this CreativeWork.");

// https://schema.org/associatedMediaReview
t("associatedMediaReview");
t('An associated <a class="localLink" href="/MediaReview">MediaReview</a>, related by specific common content, topic or claim. The expectation is that this property would be most typically used in cases where a single activity is conducting both claim reviews and media reviews, in which case <a class="localLink" href="/relatedMediaReview">relatedMediaReview</a> would commonly be used on a <a class="localLink" href="/ClaimReview">ClaimReview</a>, while <a class="localLink" href="/relatedClaimReview">relatedClaimReview</a> would be used on <a class="localLink" href="/MediaReview">MediaReview</a>.');
t('An associated <a class="localLink" href="/MediaReview">MediaReview</a>, related by specific common content, topic or claim.');

// https://schema.org/associatedPathophysiology
t("associatedPathophysiology");
t("If applicable, a description of the pathophysiology associated with the anatomical system, including potential abnormal changes in the mechanical, physical, and biochemical functions of the system.");

// https://schema.org/associatedReview
t("associatedReview");
t('An associated <a class="localLink" href="/Review">Review</a>.');

// https://schema.org/athlete
t("athlete");
t("A person that acts as performing member of a sports team; a player as opposed to a coach.");

// https://schema.org/attendee
t("attendee");
t("A person or organization attending the event.");

// https://schema.org/attendees
t("attendees");
t("A person attending the event.");

// https://schema.org/audience
t("audience");
t("An intended audience, i.e. a group for whom something was created.");

// https://schema.org/audienceType
t("audienceType");
t("The target group associated with a given audience (e.g. veterans, car owners, musicians, etc.).");

// https://schema.org/audio
t("audio");
t("An embedded audio object.");

// https://schema.org/authenticator
t("authenticator");
t("The Organization responsible for authenticating the user's subscription. For example, many media apps require a cable/satellite provider to authenticate your subscription before playing media.");
t("The Organization responsible for authenticating the user's subscription.");

// https://schema.org/author
t("author");
t("The author of this content or rating. Please note that author is special in that HTML 5 provides a special mechanism for indicating authorship via the rel tag. That is equivalent to this and may be used interchangeably.");
t("The author of this content or rating.");

// https://schema.org/availability
t("availability");
t("The availability of this item&#x2014;for example In stock, Out of stock, Pre-order, etc.");

// https://schema.org/availabilityEnds
t("availabilityEnds");
t("The end of the availability of the product or service included in the offer.");

// https://schema.org/availabilityStarts
t("availabilityStarts");
t("The beginning of the availability of the product or service included in the offer.");

// https://schema.org/availableAtOrFrom
t("availableAtOrFrom");
t("The place(s) from which the offer can be obtained (e.g. store locations).");

// https://schema.org/availableChannel
t("availableChannel");
t("A means of accessing the service (e.g. a phone bank, a web site, a location, etc.).");

// https://schema.org/availableDeliveryMethod
t("availableDeliveryMethod");
t("The delivery method(s) available for this offer.");

// https://schema.org/availableFrom
t("availableFrom");
t("When the item is available for pickup from the store, locker, etc.");

// https://schema.org/availableIn
t("availableIn");
t("The location in which the strength is available.");

// https://schema.org/availableLanguage
t("availableLanguage");
t('A language someone may use with or at the item, service or place. Please use one of the language codes from the <a href="http://tools.ietf.org/html/bcp47">IETF BCP 47 standard</a>. See also <a class="localLink" href="/inLanguage">inLanguage</a>.');
t("A language someone may use with or at the item, service or place.");

// https://schema.org/availableOnDevice
t("availableOnDevice");
t("Device required to run the application. Used in cases where a specific make/model is required to run the application.");
t("Device required to run the application.");

// https://schema.org/availableService
t("availableService");
t("A medical service available from this provider.");

// https://schema.org/availableStrength
t("availableStrength");
t("An available dosage strength for the drug.");

// https://schema.org/availableTest
t("availableTest");
t("A diagnostic test or procedure offered by this lab.");

// https://schema.org/availableThrough
t("availableThrough");
t("After this date, the item will no longer be available for pickup.");

// https://schema.org/award
t("award");
t("An award won by or for this item.");

// https://schema.org/awards
t("awards");
t("Awards won by or for this item.");

// https://schema.org/awayTeam
t("awayTeam");
t("The away team in a sports event.");

// https://schema.org/backstory
t("backstory");
t('For an <a class="localLink" href="/Article">Article</a>, typically a <a class="localLink" href="/NewsArticle">NewsArticle</a>, the backstory property provides a textual summary giving a brief explanation of why and how an article was created. In a journalistic setting this could include information about reporting process, methods, interviews, data sources, etc.');
t('For an <a class="localLink" href="/Article">Article</a>, typically a <a class="localLink" href="/NewsArticle">NewsArticle</a>, the backstory property provides a textual summary giving a brief explanation of why and how an article was created.');

// https://schema.org/bankAccountType
t("bankAccountType");
t("The type of a bank account.");

// https://schema.org/baseSalary
t("baseSalary");
t("The base salary of the job or of an employee in an EmployeeRole.");

// https://schema.org/bccRecipient
t("bccRecipient");
t("A sub property of recipient. The recipient blind copied on a message.");
t("A sub property of recipient.");

// https://schema.org/bed
t("bed");
t("The type of bed or beds included in the accommodation. For the single case of just one bed of a certain type, you use bed directly with a text.
      If you want to indicate the quantity of a certain kind of bed, use an instance of BedDetails. For more detailed information, use the amenityFeature property.");
t("The type of bed or beds included in the accommodation.");

// https://schema.org/beforeMedia
t("beforeMedia");
t("A media object representing the circumstances before performing this direction.");

// https://schema.org/beneficiaryBank
t("beneficiaryBank");
t("A bank or bank’s branch, financial institution or international financial institution operating the beneficiary’s bank account or releasing funds for the beneficiary.");

// https://schema.org/benefits
t("benefits");
t("Description of benefits associated with the job.");

// https://schema.org/benefitsSummaryUrl
t("benefitsSummaryUrl");
t("The URL that goes directly to the summary of benefits and coverage for the specific standard plan or plan variation.");

// https://schema.org/bestRating
t("bestRating");
t("The highest value allowed in this rating system. If bestRating is omitted, 5 is assumed.");
t("The highest value allowed in this rating system.");

// https://schema.org/billingAddress
t("billingAddress");
t("The billing address for the order.");

// https://schema.org/billingDuration
t("billingDuration");
t("Specifies for how long this price (or price component) will be billed. Can be used, for example, to model the contractual duration of a subscription or payment plan. Type can be either a Duration or a Number (in which case the unit of measurement, for example month, is specified by the unitCode property).");
t("Specifies for how long this price (or price component) will be billed.");

// https://schema.org/billingIncrement
t("billingIncrement");
t("This property specifies the minimal quantity and rounding increment that will be the basis for the billing. The unit of measurement is specified by the unitCode property.");
t("This property specifies the minimal quantity and rounding increment that will be the basis for the billing.");

// https://schema.org/billingPeriod
t("billingPeriod");
t("The time interval used to compute the invoice.");

// https://schema.org/billingStart
t("billingStart");
t("Specifies after how much time this price (or price component) becomes valid and billing starts. Can be used, for example, to model a price increase after the first year of a subscription. The unit of measurement is specified by the unitCode property.");
t("Specifies after how much time this price (or price component) becomes valid and billing starts.");

// https://schema.org/bioChemInteraction
t("bioChemInteraction");
t("A BioChemEntity that is known to interact with this item.");

// https://schema.org/bioChemSimilarity
t("bioChemSimilarity");
t("A similar BioChemEntity, e.g., obtained by fingerprint similarity algorithms.");

// https://schema.org/biologicalRole
t("biologicalRole");
t("A role played by the BioChemEntity within a biological context.");

// https://schema.org/biomechnicalClass
t("biomechnicalClass");
t("The biomechanical properties of the bone.");

// https://schema.org/birthDate
t("birthDate");
t("Date of birth.");

// https://schema.org/birthPlace
t("birthPlace");
t("The place where the person was born.");

// https://schema.org/bitrate
t("bitrate");
t("The bitrate of the media object.");

// https://schema.org/blogPost
t("blogPost");
t("A posting that is part of this blog.");

// https://schema.org/blogPosts
t("blogPosts");
t('Indicates a post that is part of a <a class="localLink" href="/Blog">Blog</a>. Note that historically, what we term a "Blog" was once known as a "weblog", and that what we term a "BlogPosting" is now often colloquially referred to as a "blog".');
t('Indicates a post that is part of a <a class="localLink" href="/Blog">Blog</a>.');

// https://schema.org/bloodSupply
t("bloodSupply");
t("The blood vessel that carries blood from the heart to the muscle.");

// https://schema.org/boardingGroup
t("boardingGroup");
t("The airline-specific indicator of boarding order / preference.");

// https://schema.org/boardingPolicy
t("boardingPolicy");
t("The type of boarding policy used by the airline (e.g. zone-based or group-based).");

// https://schema.org/bodyLocation
t("bodyLocation");
t("Location in the body of the anatomical structure.");

// https://schema.org/bodyType
t("bodyType");
t("Indicates the design and body style of the vehicle (e.g. station wagon, hatchback, etc.).");

// https://schema.org/bookEdition
t("bookEdition");
t("The edition of the book.");

// https://schema.org/bookFormat
t("bookFormat");
t("The format of the book.");

// https://schema.org/bookingAgent
t("bookingAgent");
t("'bookingAgent' is an out-dated term indicating a 'broker' that serves as a booking agent.");

// https://schema.org/bookingTime
t("bookingTime");
t("The date and time the reservation was booked.");

// https://schema.org/borrower
t("borrower");
t("A sub property of participant. The person that borrows the object being lent.");
t("A sub property of participant.");

// https://schema.org/box
t("box");
t("A box is the area enclosed by the rectangle formed by two points. The first point is the lower corner, the second point is the upper corner. A box is expressed as two points separated by a space character.");
t("A box is the area enclosed by the rectangle formed by two points.");

// https://schema.org/branch
t("branch");
t('The branches that delineate from the nerve bundle. Not to be confused with <a class="localLink" href="/branchOf">branchOf</a>.');
t("The branches that delineate from the nerve bundle.");

// https://schema.org/branchCode
t("branchCode");
t('A short textual code (also called "store code") that uniquely identifies a place of business. The code is typically assigned by the parentOrganization and used in structured URLs.<br/><br/>

For example, in the URL http://www.starbucks.co.uk/store-locator/etc/detail/3047 the code "3047" is a branchCode for a particular branch.');
t('A short textual code (also called "store code") that uniquely identifies a place of business.');

// https://schema.org/branchOf
t("branchOf");
t('The larger organization that this local business is a branch of, if any. Not to be confused with (anatomical) <a class="localLink" href="/branch">branch</a>.');
t("The larger organization that this local business is a branch of, if any.");

// https://schema.org/brand
t("brand");
t("The brand(s) associated with a product or service, or the brand(s) maintained by an organization or business person.");

// https://schema.org/breadcrumb
t("breadcrumb");
t("A set of links that can help a user understand and navigate a website hierarchy.");

// https://schema.org/breastfeedingWarning
t("breastfeedingWarning");
t("Any precaution, guidance, contraindication, etc. related to this drug's use by breastfeeding mothers.");

// https://schema.org/broadcastAffiliateOf
t("broadcastAffiliateOf");
t("The media network(s) whose content is broadcast on this station.");

// https://schema.org/broadcastChannelId
t("broadcastChannelId");
t("The unique address by which the BroadcastService can be identified in a provider lineup. In US, this is typically a number.");
t("The unique address by which the BroadcastService can be identified in a provider lineup.");

// https://schema.org/broadcastDisplayName
t("broadcastDisplayName");
t("The name displayed in the channel guide. For many US affiliates, it is the network name.");
t("The name displayed in the channel guide.");

// https://schema.org/broadcaster
t("broadcaster");
t("The organization owning or operating the broadcast service.");

// https://schema.org/broadcastFrequency
t("broadcastFrequency");
t('The frequency used for over-the-air broadcasts. Numeric values or simple ranges, e.g. 87-99. In addition a shortcut idiom is supported for frequences of AM and FM radio channels, e.g. "87 FM".');
t("The frequency used for over-the-air broadcasts.");

// https://schema.org/broadcastFrequencyValue
t("broadcastFrequencyValue");
t("The frequency in MHz for a particular broadcast.");

// https://schema.org/broadcastOfEvent
t("broadcastOfEvent");
t("The event being broadcast such as a sporting event or awards ceremony.");

// https://schema.org/broadcastServiceTier
t("broadcastServiceTier");
t("The type of service required to have access to the channel (e.g. Standard or Premium).");

// https://schema.org/broadcastSignalModulation
t("broadcastSignalModulation");
t("The modulation (e.g. FM, AM, etc) used by a particular broadcast service.");

// https://schema.org/broadcastSubChannel
t("broadcastSubChannel");
t("The subchannel used for the broadcast.");

// https://schema.org/broadcastTimezone
t("broadcastTimezone");
t('The timezone in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 format</a> for which the service bases its broadcasts.');

// https://schema.org/broker
t("broker");
t("An entity that arranges for an exchange between a buyer and a seller.  In most cases a broker never acquires or releases ownership of a product or service involved in an exchange.  If it is not clear whether an entity is a broker, seller, or buyer, the latter two terms are preferred.");
t("An entity that arranges for an exchange between a buyer and a seller.");

// https://schema.org/browserRequirements
t("browserRequirements");
t("Specifies browser requirements in human-readable text. For example, 'requires HTML5 support'.");
t("Specifies browser requirements in human-readable text.");

// https://schema.org/businessDays
t("businessDays");
t("Days of the week when the merchant typically operates, indicated via opening hours markup.");

// https://schema.org/businessFunction
t("businessFunction");
t("The business function (e.g. sell, lease, repair, dispose) of the offer or component of a bundle (TypeAndQuantityNode). The default is http://purl.org/goodrelations/v1#Sell.");
t("The business function (e.g. sell, lease, repair, dispose) of the offer or component of a bundle (TypeAndQuantityNode).");

// https://schema.org/busName
t("busName");
t("The name of the bus (e.g. Bolt Express).");

// https://schema.org/busNumber
t("busNumber");
t("The unique identifier for the bus.");

// https://schema.org/buyer
t("buyer");
t("A sub property of participant. The participant/person/organization that bought the object.");
t("A sub property of participant.");

// https://schema.org/byArtist
t("byArtist");
t("The artist that performed this album or recording.");

// https://schema.org/byDay
t("byDay");
t('Defines the day(s) of the week on which a recurring <a class="localLink" href="/Event">Event</a> takes place. May be specified using either <a class="localLink" href="/DayOfWeek">DayOfWeek</a>, or alternatively <a class="localLink" href="/Text">Text</a> conforming to iCal\'s syntax for byDay recurrence rules.');
t('Defines the day(s) of the week on which a recurring <a class="localLink" href="/Event">Event</a> takes place.');

// https://schema.org/byMonth
t("byMonth");
t('Defines the month(s) of the year on which a recurring <a class="localLink" href="/Event">Event</a> takes place. Specified as an <a class="localLink" href="/Integer">Integer</a> between 1-12. January is 1.');
t('Defines the month(s) of the year on which a recurring <a class="localLink" href="/Event">Event</a> takes place.');

// https://schema.org/byMonthDay
t("byMonthDay");
t('Defines the day(s) of the month on which a recurring <a class="localLink" href="/Event">Event</a> takes place. Specified as an <a class="localLink" href="/Integer">Integer</a> between 1-31.');
t('Defines the day(s) of the month on which a recurring <a class="localLink" href="/Event">Event</a> takes place.');

// https://schema.org/byMonthWeek
t("byMonthWeek");
t("Defines the week(s) of the month on which a recurring Event takes place. Specified as an Integer between 1-5. For clarity, byMonthWeek is best used in conjunction with byDay to indicate concepts like the first and third Mondays of a month.");
t("Defines the week(s) of the month on which a recurring Event takes place.");

// https://schema.org/callSign
t("callSign");
t('A <a href="https://en.wikipedia.org/wiki/Call_sign">callsign</a>, as used in broadcasting and radio communications to identify people, radio and TV stations, or vehicles.');

// https://schema.org/calories
t("calories");
t("The number of calories.");

// https://schema.org/candidate
t("candidate");
t("A sub property of object. The candidate subject of this action.");
t("A sub property of object.");

// https://schema.org/caption
t("caption");
t('The caption for this object. For downloadable machine formats (closed caption, subtitles etc.) use MediaObject and indicate the <a class="localLink" href="/encodingFormat">encodingFormat</a>.');
t("The caption for this object.");

// https://schema.org/carbohydrateContent
t("carbohydrateContent");
t("The number of grams of carbohydrates.");

// https://schema.org/cargoVolume
t("cargoVolume");
t('The available volume for cargo or luggage. For automobiles, this is usually the trunk volume.<br/><br/>

Typical unit code(s): LTR for liters, FTQ for cubic foot/feet<br/><br/>

Note: You can use <a class="localLink" href="/minValue">minValue</a> and <a class="localLink" href="/maxValue">maxValue</a> to indicate ranges.');
t("The available volume for cargo or luggage.");

// https://schema.org/carrier
t("carrier");
t("'carrier' is an out-dated term indicating the 'provider' for parcel delivery and flights.");

// https://schema.org/carrierRequirements
t("carrierRequirements");
t("Specifies specific carrier(s) requirements for the application (e.g. an application may only work on a specific carrier network).");

// https://schema.org/cashBack
t("cashBack");
t("A cardholder benefit that pays the cardholder a small percentage of their net expenditures.");

// https://schema.org/catalog
t("catalog");
t("A data catalog which contains this dataset.");

// https://schema.org/catalogNumber
t("catalogNumber");
t("The catalog number for the release.");

// https://schema.org/category
t("category");
t("A category for the item. Greater signs or slashes can be used to informally indicate a category hierarchy.");
t("A category for the item.");

// https://schema.org/causeOf
t("causeOf");
t("The condition, complication, symptom, sign, etc. caused.");

// https://schema.org/ccRecipient
t("ccRecipient");
t("A sub property of recipient. The recipient copied on a message.");
t("A sub property of recipient.");

// https://schema.org/character
t("character");
t("Fictional person connected with a creative work.");

// https://schema.org/characterAttribute
t("characterAttribute");
t("A piece of data that represents a particular aspect of a fictional character (skill, power, character points, advantage, disadvantage).");

// https://schema.org/characterName
t("characterName");
t("The name of a character played in some acting or performing role, i.e. in a PerformanceRole.");

// https://schema.org/cheatCode
t("cheatCode");
t("Cheat codes to the game.");

// https://schema.org/checkinTime
t("checkinTime");
t("The earliest someone may check into a lodging establishment.");

// https://schema.org/checkoutPageURLTemplate
t("checkoutPageURLTemplate");
t("A URL template (RFC 6570) for a checkout page for an offer. This approach allows merchants to specify a URL for online checkout of the offered product, by interpolating parameters such as the logged in user ID, product ID, quantity, discount code etc. Parameter naming and standardization are not specified here.");
t("A URL template (RFC 6570) for a checkout page for an offer.");

// https://schema.org/checkoutTime
t("checkoutTime");
t("The latest someone may check out of a lodging establishment.");

// https://schema.org/chemicalComposition
t("chemicalComposition");
t("The chemical composition describes the identity and relative ratio of the chemical elements that make up the substance.");

// https://schema.org/chemicalRole
t("chemicalRole");
t("A role played by the BioChemEntity within a chemical context.");

// https://schema.org/childMaxAge
t("childMaxAge");
t("Maximal age of the child.");

// https://schema.org/childMinAge
t("childMinAge");
t("Minimal age of the child.");

// https://schema.org/children
t("children");
t("A child of the person.");

// https://schema.org/childTaxon
t("childTaxon");
t("Closest child taxa of the taxon in question.");

// https://schema.org/cholesterolContent
t("cholesterolContent");
t("The number of milligrams of cholesterol.");

// https://schema.org/circle
t("circle");
t("A circle is the circular region of a specified radius centered at a specified latitude and longitude. A circle is expressed as a pair followed by a radius in meters.");
t("A circle is the circular region of a specified radius centered at a specified latitude and longitude.");

// https://schema.org/citation
t("citation");
t("A citation or reference to another creative work, such as another publication, web page, scholarly article, etc.");

// https://schema.org/claimInterpreter
t("claimInterpreter");
t('For a <a class="localLink" href="/Claim">Claim</a> interpreted from <a class="localLink" href="/MediaObject">MediaObject</a> content
    sed to indicate a claim contained, implied or refined from the content of a <a class="localLink" href="/MediaObject">MediaObject</a>.');

// https://schema.org/claimReviewed
t("claimReviewed");
t("A short summary of the specific claims reviewed in a ClaimReview.");

// https://schema.org/clincalPharmacology
t("clincalPharmacology");
t("Description of the absorption and elimination of drugs, including their concentration (pharmacokinetics, pK) and biological effects (pharmacodynamics, pD).");

// https://schema.org/clinicalPharmacology
t("clinicalPharmacology");
t("Description of the absorption and elimination of drugs, including their concentration (pharmacokinetics, pK) and biological effects (pharmacodynamics, pD).");

// https://schema.org/clipNumber
t("clipNumber");
t("Position of the clip within an ordered group of clips.");

// https://schema.org/closes
t("closes");
t("The closing hour of the place or service on the given day(s) of the week.");

// https://schema.org/coach
t("coach");
t("A person that acts in a coaching role for a sports team.");

// https://schema.org/code
t("code");
t("A medical code for the entity, taken from a controlled vocabulary or ontology such as ICD-9, DiseasesDB, MeSH, SNOMED-CT, RxNorm, etc.");

// https://schema.org/codeRepository
t("codeRepository");
t("Link to the repository where the un-compiled, human readable code and related code is located (SVN, GitHub, CodePlex).");

// https://schema.org/codeSampleType
t("codeSampleType");
t("What type of code sample: full (compile ready) solution, code snippet, inline code, scripts, template.");

// https://schema.org/codeValue
t("codeValue");
t("A short textual code that uniquely identifies the value.");

// https://schema.org/codingSystem
t("codingSystem");
t("The coding system, e.g. 'ICD-10'.");

// https://schema.org/colleague
t("colleague");
t("A colleague of the person.");

// https://schema.org/colleagues
t("colleagues");
t("A colleague of the person.");

// https://schema.org/collection
t("collection");
t("A sub property of object. The collection target of the action.");
t("A sub property of object.");

// https://schema.org/collectionSize
t("collectionSize");
t('The number of items in the <a class="localLink" href="/Collection">Collection</a>.');

// https://schema.org/color
t("color");
t("The color of the product.");

// https://schema.org/colorist
t("colorist");
t("The individual who adds color to inked drawings.");

// https://schema.org/comment
t("comment");
t("Comments, typically from users.");

// https://schema.org/commentCount
t("commentCount");
t("The number of comments this CreativeWork (e.g. Article, Question or Answer) has received. This is most applicable to works published in Web sites with commenting system; additional comments may exist elsewhere.");
t("The number of comments this CreativeWork (e.g. Article, Question or Answer) has received.");

// https://schema.org/commentText
t("commentText");
t("The text of the UserComment.");

// https://schema.org/commentTime
t("commentTime");
t("The time at which the UserComment was made.");

// https://schema.org/competencyRequired
t("competencyRequired");
t("Knowledge, skill, ability or personal attribute that must be demonstrated by a person or other entity in order to do something such as earn an Educational Occupational Credential or understand a LearningResource.");

// https://schema.org/competitor
t("competitor");
t("A competitor in a sports event.");

// https://schema.org/composer
t("composer");
t("The person or organization who wrote a composition, or who is the composer of a work performed at some event.");

// https://schema.org/comprisedOf
t("comprisedOf");
t("Specifying something physically contained by something else. Typically used here for the underlying anatomical structures, such as organs, that comprise the anatomical system.");
t("Specifying something physically contained by something else.");

// https://schema.org/conditionsOfAccess
t("conditionsOfAccess");
t('Conditions that affect the availability of, or method(s) of access to, an item. Typically used for real world items such as an <a class="localLink" href="/ArchiveComponent">ArchiveComponent</a> held by an <a class="localLink" href="/ArchiveOrganization">ArchiveOrganization</a>. This property is not suitable for use as a general Web access control mechanism. It is expressed only in natural language.<br/><br/>

For example "Available by appointment from the Reading Room" or "Accessible only from logged-in accounts ".');
t("Conditions that affect the availability of, or method(s) of access to, an item.");

// https://schema.org/confirmationNumber
t("confirmationNumber");
t("A number that confirms the given order or payment has been received.");

// https://schema.org/connectedTo
t("connectedTo");
t("Other anatomical structures to which this structure is connected.");

// https://schema.org/constraintProperty
t("constraintProperty");
t('Indicates a property used as a constraint. For example, in the definition of a <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a>. The value is a property, either from within Schema.org or from other compatible (e.g. RDF) systems such as DataCommons.org or Wikidata.org.');
t("Indicates a property used as a constraint.");

// https://schema.org/contactlessPayment
t("contactlessPayment");
t("A secure method for consumers to purchase products or services via debit, credit or smartcards by using RFID or NFC technology.");

// https://schema.org/contactOption
t("contactOption");
t("An option available on this contact point (e.g. a toll-free number or support for hearing-impaired callers).");

// https://schema.org/contactPoint
t("contactPoint");
t("A contact point for a person or organization.");

// https://schema.org/contactPoints
t("contactPoints");
t("A contact point for a person or organization.");

// https://schema.org/contactType
t("contactType");
t("A person or organization can have different contact points, for different purposes. For example, a sales contact point, a PR contact point and so on. This property is used to specify the kind of contact point.");
t("A person or organization can have different contact points, for different purposes.");

// https://schema.org/containedIn
t("containedIn");
t("The basic containment relation between a place and one that contains it.");

// https://schema.org/containedInPlace
t("containedInPlace");
t("The basic containment relation between a place and one that contains it.");

// https://schema.org/containsPlace
t("containsPlace");
t("The basic containment relation between a place and another that it contains.");

// https://schema.org/containsSeason
t("containsSeason");
t("A season that is part of the media series.");

// https://schema.org/contentLocation
t("contentLocation");
t("The location depicted or described in the content. For example, the location in a photograph or painting.");
t("The location depicted or described in the content.");

// https://schema.org/contentRating
t("contentRating");
t("Official rating of a piece of content&#x2014;for example, 'MPAA PG-13'.");

// https://schema.org/contentReferenceTime
t("contentReferenceTime");
t("The specific time described by a creative work, for works (e.g. articles, video objects etc.) that emphasise a particular moment within an Event.");

// https://schema.org/contentSize
t("contentSize");
t("File size in (mega/kilo)bytes.");

// https://schema.org/contentType
t("contentType");
t("The supported content type(s) for an EntryPoint response.");

// https://schema.org/contentUrl
t("contentUrl");
t("Actual bytes of the media object, for example the image file or video file.");

// https://schema.org/contraindication
t("contraindication");
t("A contraindication for this therapy.");

// https://schema.org/contributor
t("contributor");
t("A secondary contributor to the CreativeWork or Event.");

// https://schema.org/cookingMethod
t("cookingMethod");
t("The method of cooking, such as Frying, Steaming, ...");

// https://schema.org/cookTime
t("cookTime");
t('The time it takes to actually cook the dish, in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 duration format</a>.');

// https://schema.org/copyrightHolder
t("copyrightHolder");
t("The party holding the legal copyright to the CreativeWork.");

// https://schema.org/copyrightNotice
t("copyrightNotice");
t("Text of a notice appropriate for describing the copyright aspects of this Creative Work, ideally indicating the owner of the copyright for the Work.");

// https://schema.org/copyrightYear
t("copyrightYear");
t("The year during which the claimed copyright for the CreativeWork was first asserted.");

// https://schema.org/correction
t("correction");
t('Indicates a correction to a <a class="localLink" href="/CreativeWork">CreativeWork</a>, either via a <a class="localLink" href="/CorrectionComment">CorrectionComment</a>, textually or in another document.');

// https://schema.org/correctionsPolicy
t("correctionsPolicy");
t('For an <a class="localLink" href="/Organization">Organization</a> (e.g. <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a>), a statement describing (in news media, the newsroom’s) disclosure and correction policy for errors.');

// https://schema.org/costCategory
t("costCategory");
t("The category of cost, such as wholesale, retail, reimbursement cap, etc.");

// https://schema.org/costCurrency
t("costCurrency");
t("The currency (in 3-letter) of the drug cost. See: http://en.wikipedia.org/wiki/ISO_4217.");
t("The currency (in 3-letter) of the drug cost.");

// https://schema.org/costOrigin
t("costOrigin");
t("Additional details to capture the origin of the cost data. For example, 'Medicare Part B'.");
t("Additional details to capture the origin of the cost data.");

// https://schema.org/costPerUnit
t("costPerUnit");
t("The cost per unit of the drug.");

// https://schema.org/countriesNotSupported
t("countriesNotSupported");
t("Countries for which the application is not supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.");
t("Countries for which the application is not supported.");

// https://schema.org/countriesSupported
t("countriesSupported");
t("Countries for which the application is supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.");
t("Countries for which the application is supported.");

// https://schema.org/countryOfAssembly
t("countryOfAssembly");
t("The place where the product was assembled.");

// https://schema.org/countryOfLastProcessing
t("countryOfLastProcessing");
t('The place where the item (typically <a class="localLink" href="/Product">Product</a>) was last processed and tested before importation.');

// https://schema.org/countryOfOrigin
t("countryOfOrigin");
t('The country of origin of something, including products as well as creative  works such as movie and TV content.<br/><br/>

In the case of TV and movie, this would be the country of the principle offices of the production company or individual responsible for the movie. For other kinds of <a class="localLink" href="/CreativeWork">CreativeWork</a> it is difficult to provide fully general guidance, and properties such as <a class="localLink" href="/contentLocation">contentLocation</a> and <a class="localLink" href="/locationCreated">locationCreated</a> may be more applicable.<br/><br/>

In the case of products, the country of origin of the product. The exact interpretation of this may vary by context and product type, and cannot be fully enumerated here.');
t("The country of origin of something, including products as well as creative  works such as movie and TV content.");

// https://schema.org/course
t("course");
t("A sub property of location. The course where this action was taken.");
t("A sub property of location.");

// https://schema.org/courseCode
t("courseCode");
t('The identifier for the <a class="localLink" href="/Course">Course</a> used by the course <a class="localLink" href="/provider">provider</a> (e.g. CS101 or 6.001).');

// https://schema.org/courseMode
t("courseMode");
t('The medium or means of delivery of the course instance or the mode of study, either as a text label (e.g. "online", "onsite" or "blended"; "synchronous" or "asynchronous"; "full-time" or "part-time") or as a URL reference to a term from a controlled vocabulary (e.g. https://ceds.ed.gov/element/001311#Asynchronous).');

// https://schema.org/coursePrerequisites
t("coursePrerequisites");
t('Requirements for taking the Course. May be completion of another <a class="localLink" href="/Course">Course</a> or a textual description like "permission of instructor". Requirements may be a pre-requisite competency, referenced using <a class="localLink" href="/AlignmentObject">AlignmentObject</a>.');
t("Requirements for taking the Course.");

// https://schema.org/courseSchedule
t("courseSchedule");
t('Represents the length and pace of a course, expressed as a <a class="localLink" href="/Schedule">Schedule</a>.');

// https://schema.org/courseWorkload
t("courseWorkload");
t('The amount of work expected of students taking the course, often provided as a figure per week or per month, and may be broken down by type. For example, "2 hours of lectures, 1 hour of lab work and 3 hours of independent study per week".');
t("The amount of work expected of students taking the course, often provided as a figure per week or per month, and may be broken down by type.");

// https://schema.org/coverageEndTime
t("coverageEndTime");
t("The time when the live blog will stop covering the Event. Note that coverage may continue after the Event concludes.");
t("The time when the live blog will stop covering the Event.");

// https://schema.org/coverageStartTime
t("coverageStartTime");
t("The time when the live blog will begin covering the Event. Note that coverage may begin before the Event's start time. The LiveBlogPosting may also be created before coverage begins.");
t("The time when the live blog will begin covering the Event.");

// https://schema.org/creativeWorkStatus
t("creativeWorkStatus");
t("The status of a creative work in terms of its stage in a lifecycle. Example terms include Incomplete, Draft, Published, Obsolete. Some organizations define a set of terms for the stages of their publication lifecycle.");
t("The status of a creative work in terms of its stage in a lifecycle.");

// https://schema.org/creator
t("creator");
t("The creator/author of this CreativeWork. This is the same as the Author property for CreativeWork.");
t("The creator/author of this CreativeWork.");

// https://schema.org/credentialCategory
t("credentialCategory");
t('The category or type of credential being described, for example "degree”, “certificate”, “badge”, or more specific term.');

// https://schema.org/creditedTo
t("creditedTo");
t('The group the release is credited to if different than the byArtist. For example, Red and Blue is credited to "Stefani Germanotta Band", but by Lady Gaga.');
t("The group the release is credited to if different than the byArtist.");

// https://schema.org/creditText
t("creditText");
t("Text that can be used to credit person(s) and/or organization(s) associated with a published Creative Work.");

// https://schema.org/cssSelector
t("cssSelector");
t('A CSS selector, e.g. of a <a class="localLink" href="/SpeakableSpecification">SpeakableSpecification</a> or <a class="localLink" href="/WebPageElement">WebPageElement</a>. In the latter case, multiple matches within a page can constitute a single conceptual "Web page element".');
t('A CSS selector, e.g. of a <a class="localLink" href="/SpeakableSpecification">SpeakableSpecification</a> or <a class="localLink" href="/WebPageElement">WebPageElement</a>.');

// https://schema.org/currenciesAccepted
t("currenciesAccepted");
t('The currency accepted.<br/><br/>

Use standard formats: <a href="http://en.wikipedia.org/wiki/ISO_4217">ISO 4217 currency format</a>, e.g. "USD"; <a href="https://en.wikipedia.org/wiki/List_of_cryptocurrencies">Ticker symbol</a> for cryptocurrencies, e.g. "BTC"; well known names for <a href="https://en.wikipedia.org/wiki/Local_exchange_trading_system">Local Exchange Trading Systems</a> (LETS) and other currency types, e.g. "Ithaca HOUR".');
t("The currency accepted.");

// https://schema.org/currency
t("currency");
t('The currency in which the monetary amount is expressed.<br/><br/>

Use standard formats: <a href="http://en.wikipedia.org/wiki/ISO_4217">ISO 4217 currency format</a>, e.g. "USD"; <a href="https://en.wikipedia.org/wiki/List_of_cryptocurrencies">Ticker symbol</a> for cryptocurrencies, e.g. "BTC"; well known names for <a href="https://en.wikipedia.org/wiki/Local_exchange_trading_system">Local Exchange Trading Systems</a> (LETS) and other currency types, e.g. "Ithaca HOUR".');
t("The currency in which the monetary amount is expressed.");

// https://schema.org/currentExchangeRate
t("currentExchangeRate");
t("The current price of a currency.");

// https://schema.org/customer
t("customer");
t("Party placing the order or paying the invoice.");

// https://schema.org/customerRemorseReturnFees
t("customerRemorseReturnFees");
t("The type of return fees if the product is returned due to customer remorse.");

// https://schema.org/customerRemorseReturnLabelSource
t("customerRemorseReturnLabelSource");
t("The method (from an enumeration) by which the customer obtains a return shipping label for a product returned due to customer remorse.");

// https://schema.org/customerRemorseReturnShippingFeesAmount
t("customerRemorseReturnShippingFeesAmount");
t('The amount of shipping costs if a product is returned due to customer remorse. Applicable when property <a class="localLink" href="/customerRemorseReturnFees">customerRemorseReturnFees</a> equals <a class="localLink" href="/ReturnShippingFees">ReturnShippingFees</a>.');
t("The amount of shipping costs if a product is returned due to customer remorse.");

// https://schema.org/cutoffTime
t("cutoffTime");
t('Order cutoff time allows merchants to describe the time after which they will no longer process orders received on that day. For orders processed after cutoff time, one day gets added to the delivery time estimate. This property is expected to be most typically used via the <a class="localLink" href="/ShippingRateSettings">ShippingRateSettings</a> publication pattern. The time is indicated using the ISO-8601 Time format, e.g. "23:30:00-05:00" would represent 6:30 pm Eastern Standard Time (EST) which is 5 hours behind Coordinated Universal Time (UTC).');
t("Order cutoff time allows merchants to describe the time after which they will no longer process orders received on that day.");

// https://schema.org/cvdCollectionDate
t("cvdCollectionDate");
t("collectiondate - Date for which patient counts are reported.");

// https://schema.org/cvdFacilityCounty
t("cvdFacilityCounty");
t('Name of the County of the NHSN facility that this data record applies to. Use <a class="localLink" href="/cvdFacilityId">cvdFacilityId</a> to identify the facility. To provide other details, <a class="localLink" href="/healthcareReportingData">healthcareReportingData</a> can be used on a <a class="localLink" href="/Hospital">Hospital</a> entry.');
t("Name of the County of the NHSN facility that this data record applies to.");

// https://schema.org/cvdFacilityId
t("cvdFacilityId");
t('Identifier of the NHSN facility that this data record applies to. Use <a class="localLink" href="/cvdFacilityCounty">cvdFacilityCounty</a> to indicate the county. To provide other details, <a class="localLink" href="/healthcareReportingData">healthcareReportingData</a> can be used on a <a class="localLink" href="/Hospital">Hospital</a> entry.');
t("Identifier of the NHSN facility that this data record applies to.");

// https://schema.org/cvdNumBeds
t("cvdNumBeds");
t("numbeds - HOSPITAL INPATIENT BEDS: Inpatient beds, including all staffed, licensed, and overflow (surge) beds used for inpatients.");

// https://schema.org/cvdNumBedsOcc
t("cvdNumBedsOcc");
t("numbedsocc - HOSPITAL INPATIENT BED OCCUPANCY: Total number of staffed inpatient beds that are occupied.");

// https://schema.org/cvdNumC19Died
t("cvdNumC19Died");
t("numc19died - DEATHS: Patients with suspected or confirmed COVID-19 who died in the hospital, ED, or any overflow location.");

// https://schema.org/cvdNumC19HOPats
t("cvdNumC19HOPats");
t("numc19hopats - HOSPITAL ONSET: Patients hospitalized in an NHSN inpatient care location with onset of suspected or confirmed COVID-19 14 or more days after hospitalization.");

// https://schema.org/cvdNumC19HospPats
t("cvdNumC19HospPats");
t("numc19hosppats - HOSPITALIZED: Patients currently hospitalized in an inpatient care location who have suspected or confirmed COVID-19.");

// https://schema.org/cvdNumC19MechVentPats
t("cvdNumC19MechVentPats");
t("numc19mechventpats - HOSPITALIZED and VENTILATED: Patients hospitalized in an NHSN inpatient care location who have suspected or confirmed COVID-19 and are on a mechanical ventilator.");

// https://schema.org/cvdNumC19OFMechVentPats
t("cvdNumC19OFMechVentPats");
t("numc19ofmechventpats - ED/OVERFLOW and VENTILATED: Patients with suspected or confirmed COVID-19 who are in the ED or any overflow location awaiting an inpatient bed and on a mechanical ventilator.");

// https://schema.org/cvdNumC19OverflowPats
t("cvdNumC19OverflowPats");
t("numc19overflowpats - ED/OVERFLOW: Patients with suspected or confirmed COVID-19 who are in the ED or any overflow location awaiting an inpatient bed.");

// https://schema.org/cvdNumICUBeds
t("cvdNumICUBeds");
t("numicubeds - ICU BEDS: Total number of staffed inpatient intensive care unit (ICU) beds.");

// https://schema.org/cvdNumICUBedsOcc
t("cvdNumICUBedsOcc");
t("numicubedsocc - ICU BED OCCUPANCY: Total number of staffed inpatient ICU beds that are occupied.");

// https://schema.org/cvdNumTotBeds
t("cvdNumTotBeds");
t("numtotbeds - ALL HOSPITAL BEDS: Total number of all inpatient and outpatient beds, including all staffed, ICU, licensed, and overflow (surge) beds used for inpatients or outpatients.");

// https://schema.org/cvdNumVent
t("cvdNumVent");
t("numvent - MECHANICAL VENTILATORS: Total number of ventilators available.");

// https://schema.org/cvdNumVentUse
t("cvdNumVentUse");
t("numventuse - MECHANICAL VENTILATORS IN USE: Total number of ventilators in use.");

// https://schema.org/dataFeedElement
t("dataFeedElement");
t("An item within a data feed. Data feeds may have many elements.");
t("An item within a data feed.");

// https://schema.org/dataset
t("dataset");
t("A dataset contained in this catalog.");

// https://schema.org/datasetTimeInterval
t("datasetTimeInterval");
t("The range of temporal applicability of a dataset, e.g. for a 2011 census dataset, the year 2011 (in ISO 8601 time interval format).");

// https://schema.org/dateCreated
t("dateCreated");
t("The date on which the CreativeWork was created or the item was added to a DataFeed.");

// https://schema.org/dateDeleted
t("dateDeleted");
t("The datetime the item was removed from the DataFeed.");

// https://schema.org/dateIssued
t("dateIssued");
t("The date the ticket was issued.");

// https://schema.org/dateline
t("dateline");
t('A <a href="https://en.wikipedia.org/wiki/Dateline">dateline</a> is a brief piece of text included in news articles that describes where and when the story was written or filed though the date is often omitted. Sometimes only a placename is provided.<br/><br/>

Structured representations of dateline-related information can also be expressed more explicitly using <a class="localLink" href="/locationCreated">locationCreated</a> (which represents where a work was created, e.g. where a news report was written).  For location depicted or described in the content, use <a class="localLink" href="/contentLocation">contentLocation</a>.<br/><br/>

Dateline summaries are oriented more towards human readers than towards automated processing, and can vary substantially. Some examples: "BEIRUT, Lebanon, June 2.", "Paris, France", "December 19, 2017 11:43AM Reporting from Washington", "Beijing/Moscow", "QUEZON CITY, Philippines".');
t('A <a href="https://en.wikipedia.org/wiki/Dateline">dateline</a> is a brief piece of text included in news articles that describes where and when the story was written or filed though the date is often omitted.');

// https://schema.org/dateModified
t("dateModified");
t("The date on which the CreativeWork was most recently modified or when the item's entry was modified within a DataFeed.");

// https://schema.org/datePosted
t("datePosted");
t("Publication date of an online listing.");

// https://schema.org/datePublished
t("datePublished");
t("Date of first broadcast/publication.");

// https://schema.org/dateRead
t("dateRead");
t("The date/time at which the message has been read by the recipient if a single recipient exists.");

// https://schema.org/dateReceived
t("dateReceived");
t("The date/time the message was received if a single recipient exists.");

// https://schema.org/dateSent
t("dateSent");
t("The date/time at which the message was sent.");

// https://schema.org/dateVehicleFirstRegistered
t("dateVehicleFirstRegistered");
t("The date of the first registration of the vehicle with the respective public authorities.");

// https://schema.org/dayOfWeek
t("dayOfWeek");
t("The day of the week for which these opening hours are valid.");

// https://schema.org/deathDate
t("deathDate");
t("Date of death.");

// https://schema.org/deathPlace
t("deathPlace");
t("The place where the person died.");

// https://schema.org/defaultValue
t("defaultValue");
t("The default value of the input.  For properties that expect a literal, the default is a literal value, for properties that expect an object, it's an ID reference to one of the current values.");
t("The default value of the input.");

// https://schema.org/deliveryAddress
t("deliveryAddress");
t("Destination address.");

// https://schema.org/deliveryLeadTime
t("deliveryLeadTime");
t("The typical delay between the receipt of the order and the goods either leaving the warehouse or being prepared for pickup, in case the delivery method is on site pickup.");

// https://schema.org/deliveryMethod
t("deliveryMethod");
t("A sub property of instrument. The method of delivery.");
t("A sub property of instrument.");

// https://schema.org/deliveryStatus
t("deliveryStatus");
t("New entry added as the package passes through each leg of its journey (from shipment to final delivery).");

// https://schema.org/deliveryTime
t("deliveryTime");
t("The total delay between the receipt of the order and the goods reaching the final customer.");

// https://schema.org/department
t("department");
t("A relationship between an organization and a department of that organization, also described as an organization (allowing different urls, logos, opening hours). For example: a store with a pharmacy, or a bakery with a cafe.");
t("A relationship between an organization and a department of that organization, also described as an organization (allowing different urls, logos, opening hours).");

// https://schema.org/departureAirport
t("departureAirport");
t("The airport where the flight originates.");

// https://schema.org/departureBoatTerminal
t("departureBoatTerminal");
t("The terminal or port from which the boat departs.");

// https://schema.org/departureBusStop
t("departureBusStop");
t("The stop or station from which the bus departs.");

// https://schema.org/departureGate
t("departureGate");
t("Identifier of the flight's departure gate.");

// https://schema.org/departurePlatform
t("departurePlatform");
t("The platform from which the train departs.");

// https://schema.org/departureStation
t("departureStation");
t("The station from which the train departs.");

// https://schema.org/departureTerminal
t("departureTerminal");
t("Identifier of the flight's departure terminal.");

// https://schema.org/departureTime
t("departureTime");
t("The expected departure time.");

// https://schema.org/dependencies
t("dependencies");
t("Prerequisites needed to fulfill steps in article.");

// https://schema.org/depth
t("depth");
t("The depth of the item.");

// https://schema.org/description
t("description");
t("A description of the item.");

// https://schema.org/device
t("device");
t("Device required to run the application. Used in cases where a specific make/model is required to run the application.");
t("Device required to run the application.");

// https://schema.org/diagnosis
t("diagnosis");
t("One or more alternative conditions considered in the differential diagnosis process as output of a diagnosis process.");

// https://schema.org/diagram
t("diagram");
t("An image containing a diagram that illustrates the structure and/or its component substructures and/or connections with other structures.");

// https://schema.org/diet
t("diet");
t("A sub property of instrument. The diet used in this action.");
t("A sub property of instrument.");

// https://schema.org/dietFeatures
t("dietFeatures");
t("Nutritional information specific to the dietary plan. May include dietary recommendations on what foods to avoid, what foods to consume, and specific alterations/deviations from the USDA or other regulatory body's approved dietary guidelines.");
t("Nutritional information specific to the dietary plan.");

// https://schema.org/differentialDiagnosis
t("differentialDiagnosis");
t("One of a set of differential diagnoses for the condition. Specifically, a closely-related or competing diagnosis typically considered later in the cognitive process whereby this medical condition is distinguished from others most likely responsible for a similar collection of signs and symptoms to reach the most parsimonious diagnosis or diagnoses in a patient.");
t("One of a set of differential diagnoses for the condition.");

// https://schema.org/directApply
t("directApply");
t('Indicates whether an <a class="localLink" href="/url">url</a> that is associated with a <a class="localLink" href="/JobPosting">JobPosting</a> enables direct application for the job, via the posting website. A job posting is considered to have directApply of <a class="localLink" href="/True">True</a> if an application process for the specified job can be directly initiated via the url(s) given (noting that e.g. multiple internet domains might nevertheless be involved at an implementation level). A value of <a class="localLink" href="/False">False</a> is appropriate if there is no clear path to applying directly online for the specified job, navigating directly from the JobPosting url(s) supplied.');
t('Indicates whether an <a class="localLink" href="/url">url</a> that is associated with a <a class="localLink" href="/JobPosting">JobPosting</a> enables direct application for the job, via the posting website.');

// https://schema.org/director
t("director");
t("A director of e.g. TV, radio, movie, video gaming etc. content, or of an event. Directors can be associated with individual items or with a series, episode, clip.");
t("A director of e.g. TV, radio, movie, video gaming etc. content, or of an event.");

// https://schema.org/directors
t("directors");
t("A director of e.g. TV, radio, movie, video games etc. content. Directors can be associated with individual items or with a series, episode, clip.");
t("A director of e.g. TV, radio, movie, video games etc. content.");

// https://schema.org/disambiguatingDescription
t("disambiguatingDescription");
t("A sub property of description. A short description of the item used to disambiguate from other, similar items. Information from other properties (in particular, name) may be necessary for the description to be useful for disambiguation.");
t("A sub property of description.");

// https://schema.org/discount
t("discount");
t("Any discount applied (to an Order).");

// https://schema.org/discountCode
t("discountCode");
t("Code used to redeem a discount.");

// https://schema.org/discountCurrency
t("discountCurrency");
t('The currency of the discount.<br/><br/>

Use standard formats: <a href="http://en.wikipedia.org/wiki/ISO_4217">ISO 4217 currency format</a>, e.g. "USD"; <a href="https://en.wikipedia.org/wiki/List_of_cryptocurrencies">Ticker symbol</a> for cryptocurrencies, e.g. "BTC"; well known names for <a href="https://en.wikipedia.org/wiki/Local_exchange_trading_system">Local Exchange Trading Systems</a> (LETS) and other currency types, e.g. "Ithaca HOUR".');
t("The currency of the discount.");

// https://schema.org/discusses
t("discusses");
t("Specifies the CreativeWork associated with the UserComment.");

// https://schema.org/discussionUrl
t("discussionUrl");
t("A link to the page containing the comments of the CreativeWork.");

// https://schema.org/diseasePreventionInfo
t("diseasePreventionInfo");
t("Information about disease prevention.");

// https://schema.org/diseaseSpreadStatistics
t("diseaseSpreadStatistics");
t('Statistical information about the spread of a disease, either as <a class="localLink" href="/WebContent">WebContent</a>, or
  described directly as a <a class="localLink" href="/Dataset">Dataset</a>, or the specific <a class="localLink" href="/Observation">Observation</a>s in the dataset. When a <a class="localLink" href="/WebContent">WebContent</a> URL is
  provided, the page indicated might also contain more such markup.');
t('Statistical information about the spread of a disease, either as <a class="localLink" href="/WebContent">WebContent</a>, or
  described directly as a <a class="localLink" href="/Dataset">Dataset</a>, or the specific <a class="localLink" href="/Observation">Observation</a>s in the dataset.');

// https://schema.org/dissolutionDate
t("dissolutionDate");
t("The date that this organization was dissolved.");

// https://schema.org/distance
t("distance");
t("The distance travelled, e.g. exercising or travelling.");

// https://schema.org/distinguishingSign
t("distinguishingSign");
t("One of a set of signs and symptoms that can be used to distinguish this diagnosis from others in the differential diagnosis.");

// https://schema.org/distribution
t("distribution");
t('A downloadable form of this dataset, at a specific location, in a specific format. This property can be repeated if different variations are available. There is no expectation that different downloadable distributions must contain exactly equivalent information (see also <a href="https://www.w3.org/TR/vocab-dcat-3/#Class:Distribution">DCAT</a> on this point). Different distributions might include or exclude different subsets of the entire dataset, for example.');
t("A downloadable form of this dataset, at a specific location, in a specific format.");

// https://schema.org/diversityPolicy
t("diversityPolicy");
t('Statement on diversity policy by an <a class="localLink" href="/Organization">Organization</a> e.g. a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a>. For a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a>, a statement describing the newsroom’s diversity policy on both staffing and sources, typically providing staffing data.');
t('Statement on diversity policy by an <a class="localLink" href="/Organization">Organization</a> e.g. a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a>.');

// https://schema.org/diversityStaffingReport
t("diversityStaffingReport");
t('For an <a class="localLink" href="/Organization">Organization</a> (often but not necessarily a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a>), a report on staffing diversity issues. In a news context this might be for example ASNE or RTDNA (US) reports, or self-reported.');
t('For an <a class="localLink" href="/Organization">Organization</a> (often but not necessarily a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a>), a report on staffing diversity issues.');

// https://schema.org/documentation
t("documentation");
t("Further documentation describing the Web API in more detail.");

// https://schema.org/doesNotShip
t("doesNotShip");
t('Indicates when shipping to a particular <a class="localLink" href="/shippingDestination">shippingDestination</a> is not available.');

// https://schema.org/domainIncludes
t("domainIncludes");
t("Relates a property to a class that is (one of) the type(s) the property is expected to be used on.");

// https://schema.org/domiciledMortgage
t("domiciledMortgage");
t("Whether borrower is a resident of the jurisdiction where the property is located.");

// https://schema.org/doorTime
t("doorTime");
t("The time admission will commence.");

// https://schema.org/dosageForm
t("dosageForm");
t("A dosage form in which this drug/supplement is available, e.g. 'tablet', 'suspension', 'injection'.");

// https://schema.org/doseSchedule
t("doseSchedule");
t("A dosing schedule for the drug for a given population, either observed, recommended, or maximum dose based on the type used.");

// https://schema.org/doseUnit
t("doseUnit");
t("The unit of the dose, e.g. 'mg'.");

// https://schema.org/doseValue
t("doseValue");
t("The value of the dose, e.g. 500.");

// https://schema.org/downloadUrl
t("downloadUrl");
t("If the file can be downloaded, URL to download the binary.");

// https://schema.org/downPayment
t("downPayment");
t("a type of payment made in cash during the onset of the purchase of an expensive good/service. The payment typically represents only a percentage of the full purchase price.");
t("a type of payment made in cash during the onset of the purchase of an expensive good/service.");

// https://schema.org/downvoteCount
t("downvoteCount");
t("The number of downvotes this question, answer or comment has received from the community.");

// https://schema.org/drainsTo
t("drainsTo");
t("The vasculature that the vein drains into.");

// https://schema.org/driveWheelConfiguration
t("driveWheelConfiguration");
t("The drive wheel configuration, i.e. which roadwheels will receive torque from the vehicle's engine via the drivetrain.");

// https://schema.org/dropoffLocation
t("dropoffLocation");
t("Where a rental car can be dropped off.");

// https://schema.org/dropoffTime
t("dropoffTime");
t("When a rental car can be dropped off.");

// https://schema.org/drug
t("drug");
t("Specifying a drug or medicine used in a medication procedure.");

// https://schema.org/drugClass
t("drugClass");
t("The class of drug this belongs to (e.g., statins).");

// https://schema.org/drugUnit
t("drugUnit");
t("The unit in which the drug is measured, e.g. '5 mg tablet'.");

// https://schema.org/duns
t("duns");
t("The Dun &amp; Bradstreet DUNS number for identifying an organization or business person.");

// https://schema.org/duplicateTherapy
t("duplicateTherapy");
t("A therapy that duplicates or overlaps this one.");

// https://schema.org/duration
t("duration");
t('The duration of the item (movie, audio recording, event, etc.) in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 date format</a>.');

// https://schema.org/durationOfWarranty
t("durationOfWarranty");
t("The duration of the warranty promise. Common unitCode values are ANN for year, MON for months, or DAY for days.");
t("The duration of the warranty promise.");

// https://schema.org/duringMedia
t("duringMedia");
t("A media object representing the circumstances while performing this direction.");

// https://schema.org/earlyPrepaymentPenalty
t("earlyPrepaymentPenalty");
t("The amount to be paid as a penalty in the event of early payment of the loan.");

// https://schema.org/editEIDR
t("editEIDR");
t('An <a href="https://eidr.org/">EIDR</a> (Entertainment Identifier Registry) <a class="localLink" href="/identifier">identifier</a> representing a specific edit / edition for a work of film or television.<br/><br/>

For example, the motion picture known as "Ghostbusters" whose <a class="localLink" href="/titleEIDR">titleEIDR</a> is "10.5240/7EC7-228A-510A-053E-CBB8-J" has several edits, e.g. "10.5240/1F2A-E1C5-680A-14C6-E76B-I" and "10.5240/8A35-3BEE-6497-5D12-9E4F-3".<br/><br/>

Since schema.org types like <a class="localLink" href="/Movie">Movie</a> and <a class="localLink" href="/TVEpisode">TVEpisode</a> can be used for both works and their multiple expressions, it is possible to use <a class="localLink" href="/titleEIDR">titleEIDR</a> alone (for a general description), or alongside <a class="localLink" href="/editEIDR">editEIDR</a> for a more edit-specific description.');
t('An <a href="https://eidr.org/">EIDR</a> (Entertainment Identifier Registry) <a class="localLink" href="/identifier">identifier</a> representing a specific edit / edition for a work of film or television.');

// https://schema.org/editor
t("editor");
t("Specifies the Person who edited the CreativeWork.");

// https://schema.org/educationalAlignment
t("educationalAlignment");
t('An alignment to an established educational framework.<br/><br/>

This property should not be used where the nature of the alignment can be described using a simple property, for example to express that a resource <a class="localLink" href="/teaches">teaches</a> or <a class="localLink" href="/assesses">assesses</a> a competency.');
t("An alignment to an established educational framework.");

// https://schema.org/educationalCredentialAwarded
t("educationalCredentialAwarded");
t("A description of the qualification, award, certificate, diploma or other educational credential awarded as a consequence of successful completion of this course or program.");

// https://schema.org/educationalFramework
t("educationalFramework");
t("The framework to which the resource being described is aligned.");

// https://schema.org/educationalLevel
t("educationalLevel");
t("The level in terms of progression through an educational or training context. Examples of educational levels include 'beginner', 'intermediate' or 'advanced', and formal sets of level indicators.");
t("The level in terms of progression through an educational or training context.");

// https://schema.org/educationalProgramMode
t("educationalProgramMode");
t('Similar to courseMode, the medium or means of delivery of the program as a whole. The value may either be a text label (e.g. "online", "onsite" or "blended"; "synchronous" or "asynchronous"; "full-time" or "part-time") or a URL reference to a term from a controlled vocabulary (e.g. https://ceds.ed.gov/element/001311#Asynchronous ).');
t("Similar to courseMode, the medium or means of delivery of the program as a whole.");

// https://schema.org/educationalRole
t("educationalRole");
t("An educationalRole of an EducationalAudience.");

// https://schema.org/educationalUse
t("educationalUse");
t("The purpose of a work in the context of education; for example, 'assignment', 'group work'.");

// https://schema.org/educationRequirements
t("educationRequirements");
t("Educational background needed for the position or Occupation.");

// https://schema.org/eduQuestionType
t("eduQuestionType");
t('For questions that are part of learning resources (e.g. Quiz), eduQuestionType indicates the format of question being given. Example: "Multiple choice", "Open ended", "Flashcard".');
t("For questions that are part of learning resources (e.g. Quiz), eduQuestionType indicates the format of question being given.");

// https://schema.org/elevation
t("elevation");
t('The elevation of a location (<a href="https://en.wikipedia.org/wiki/World_Geodetic_System">WGS 84</a>). Values may be of the form \'NUMBER UNIT_OF_MEASUREMENT\' (e.g., \'1,000 m\', \'3,200 ft\') while numbers alone should be assumed to be a value in meters.');
t('The elevation of a location (<a href="https://en.wikipedia.org/wiki/World_Geodetic_System">WGS 84</a>).');

// https://schema.org/eligibilityToWorkRequirement
t("eligibilityToWorkRequirement");
t("The legal requirements such as citizenship, visa and other documentation required for an applicant to this job.");

// https://schema.org/eligibleCustomerType
t("eligibleCustomerType");
t("The type(s) of customers for which the given offer is valid.");

// https://schema.org/eligibleDuration
t("eligibleDuration");
t("The duration for which the given offer is valid.");

// https://schema.org/eligibleQuantity
t("eligibleQuantity");
t("The interval and unit of measurement of ordering quantities for which the offer or price specification is valid. This allows e.g. specifying that a certain freight charge is valid only for a certain quantity.");
t("The interval and unit of measurement of ordering quantities for which the offer or price specification is valid.");

// https://schema.org/eligibleRegion
t("eligibleRegion");
t('The ISO 3166-1 (ISO 3166-1 alpha-2) or ISO 3166-2 code, the place, or the GeoShape for the geo-political region(s) for which the offer or delivery charge specification is valid.<br/><br/>

See also <a class="localLink" href="/ineligibleRegion">ineligibleRegion</a>.');
t("The ISO 3166-1 (ISO 3166-1 alpha-2) or ISO 3166-2 code, the place, or the GeoShape for the geo-political region(s) for which the offer or delivery charge specification is valid.");

// https://schema.org/eligibleTransactionVolume
t("eligibleTransactionVolume");
t("The transaction volume, in a monetary unit, for which the offer or price specification is valid, e.g. for indicating a minimal purchasing volume, to express free shipping above a certain order volume, or to limit the acceptance of credit cards to purchases to a certain minimal amount.");

// https://schema.org/email
t("email");
t("Email address.");

// https://schema.org/embeddedTextCaption
t("embeddedTextCaption");
t('Represents textual captioning from a <a class="localLink" href="/MediaObject">MediaObject</a>, e.g. text of a \'meme\'.');

// https://schema.org/embedUrl
t("embedUrl");
t("A URL pointing to a player for a specific video. In general, this is the information in the <code>src</code> element of an <code>embed</code> tag and should not be the same as the content of the <code>loc</code> tag.");
t("A URL pointing to a player for a specific video.");

// https://schema.org/emissionsCO2
t("emissionsCO2");
t('The CO2 emissions in g/km. When used in combination with a QuantitativeValue, put "g/km" into the unitText property of that value, since there is no UN/CEFACT Common Code for "g/km".');
t("The CO2 emissions in g/km.");

// https://schema.org/employee
t("employee");
t("Someone working for this organization.");

// https://schema.org/employees
t("employees");
t("People working for this organization.");

// https://schema.org/employerOverview
t("employerOverview");
t("A description of the employer, career opportunities and work environment for this position.");

// https://schema.org/employmentType
t("employmentType");
t("Type of employment (e.g. full-time, part-time, contract, temporary, seasonal, internship).");

// https://schema.org/employmentUnit
t("employmentUnit");
t("Indicates the department, unit and/or facility where the employee reports and/or in which the job is to be performed.");

// https://schema.org/encodesBioChemEntity
t("encodesBioChemEntity");
t("Another BioChemEntity encoded by this one.");

// https://schema.org/encodesCreativeWork
t("encodesCreativeWork");
t("The CreativeWork encoded by this media object.");

// https://schema.org/encoding
t("encoding");
t("A media object that encodes this CreativeWork. This property is a synonym for associatedMedia.");
t("A media object that encodes this CreativeWork.");

// https://schema.org/encodingFormat
t("encodingFormat");
t('Media type typically expressed using a MIME format (see <a href="http://www.iana.org/assignments/media-types/media-types.xhtml">IANA site</a> and <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types">MDN reference</a>), e.g. application/zip for a SoftwareApplication binary, audio/mpeg for .mp3 etc.<br/><br/>

In cases where a <a class="localLink" href="/CreativeWork">CreativeWork</a> has several media type representations, <a class="localLink" href="/encoding">encoding</a> can be used to indicate each <a class="localLink" href="/MediaObject">MediaObject</a> alongside particular <a class="localLink" href="/encodingFormat">encodingFormat</a> information.<br/><br/>

Unregistered or niche encoding and file formats can be indicated instead via the most appropriate URL, e.g. defining Web page or a Wikipedia/Wikidata entry.');
t('Media type typically expressed using a MIME format (see <a href="http://www.iana.org/assignments/media-types/media-types.xhtml">IANA site</a> and <a href="https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types">MDN reference</a>), e.g. application/zip for a SoftwareApplication binary, audio/mpeg for .');

// https://schema.org/encodings
t("encodings");
t("A media object that encodes this CreativeWork.");

// https://schema.org/encodingType
t("encodingType");
t("The supported encoding type(s) for an EntryPoint request.");

// https://schema.org/endDate
t("endDate");
t('The end date and time of the item (in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 date format</a>).');

// https://schema.org/endOffset
t("endOffset");
t("The end time of the clip expressed as the number of seconds from the beginning of the work.");

// https://schema.org/endorsee
t("endorsee");
t("A sub property of participant. The person/organization being supported.");
t("A sub property of participant.");

// https://schema.org/endorsers
t("endorsers");
t("People or organizations that endorse the plan.");

// https://schema.org/endTime
t("endTime");
t("The endTime of something. For a reserved event or service (e.g. FoodEstablishmentReservation), the time that it is expected to end. For actions that span a period of time, when the action was performed. E.g. John wrote a book from January to <em>December</em>. For media, including audio and video, it's the time offset of the end of a clip within a larger file.<br/><br/>

Note that Event uses startDate/endDate instead of startTime/endTime, even when describing dates with times. This situation may be clarified in future revisions.");
t("The endTime of something.");

// https://schema.org/energyEfficiencyScaleMax
t("energyEfficiencyScaleMax");
t("Specifies the most energy efficient class on the regulated EU energy consumption scale for the product category a product belongs to. For example, energy consumption for televisions placed on the market after January 1, 2020 is scaled from D to A+++.");
t("Specifies the most energy efficient class on the regulated EU energy consumption scale for the product category a product belongs to.");

// https://schema.org/energyEfficiencyScaleMin
t("energyEfficiencyScaleMin");
t("Specifies the least energy efficient class on the regulated EU energy consumption scale for the product category a product belongs to. For example, energy consumption for televisions placed on the market after January 1, 2020 is scaled from D to A+++.");
t("Specifies the least energy efficient class on the regulated EU energy consumption scale for the product category a product belongs to.");

// https://schema.org/engineDisplacement
t("engineDisplacement");
t('The volume swept by all of the pistons inside the cylinders of an internal combustion engine in a single movement. <br/><br/>

Typical unit code(s): CMQ for cubic centimeter, LTR for liters, INQ for cubic inches
* Note 1: You can link to information about how the given value has been determined using the <a class="localLink" href="/valueReference">valueReference</a> property.
* Note 2: You can use <a class="localLink" href="/minValue">minValue</a> and <a class="localLink" href="/maxValue">maxValue</a> to indicate ranges.');
t("The volume swept by all of the pistons inside the cylinders of an internal combustion engine in a single movement.");

// https://schema.org/enginePower
t("enginePower");
t('The power of the vehicle\'s engine.
    Typical unit code(s): KWT for kilowatt, BHP for brake horsepower, N12 for metric horsepower (PS, with 1 PS = 735,49875 W)<br/><br/>

<ul>
<li>Note 1: There are many different ways of measuring an engine\'s power. For an overview, see  <a href="http://en.wikipedia.org/wiki/Horsepower#Engine_power_test_codes">http://en.wikipedia.org/wiki/Horsepower#Engine_power_test_codes</a>.</li>
<li>Note 2: You can link to information about how the given value has been determined using the <a class="localLink" href="/valueReference">valueReference</a> property.</li>
<li>Note 3: You can use <a class="localLink" href="/minValue">minValue</a> and <a class="localLink" href="/maxValue">maxValue</a> to indicate ranges.</li>
</ul>');
t("The power of the vehicle's engine.");

// https://schema.org/engineType
t("engineType");
t("The type of engine or engines powering the vehicle.");

// https://schema.org/entertainmentBusiness
t("entertainmentBusiness");
t("A sub property of location. The entertainment business where the action occurred.");
t("A sub property of location.");

// https://schema.org/epidemiology
t("epidemiology");
t("The characteristics of associated patients, such as age, gender, race etc.");

// https://schema.org/episode
t("episode");
t("An episode of a TV, radio or game media within a series or season.");

// https://schema.org/episodeNumber
t("episodeNumber");
t("Position of the episode within an ordered group of episodes.");

// https://schema.org/episodes
t("episodes");
t("An episode of a TV/radio series or season.");

// https://schema.org/equal
t("equal");
t("This ordering relation for qualitative values indicates that the subject is equal to the object.");

// https://schema.org/error
t("error");
t("For failed actions, more information on the cause of the failure.");

// https://schema.org/estimatedCost
t("estimatedCost");
t("The estimated cost of the supply or supplies consumed when performing instructions.");

// https://schema.org/estimatedFlightDuration
t("estimatedFlightDuration");
t("The estimated time the flight will take.");

// https://schema.org/estimatedSalary
t("estimatedSalary");
t("An estimated salary for a job posting or occupation, based on a variety of variables including, but not limited to industry, job title, and location. Estimated salaries  are often computed by outside organizations rather than the hiring organization, who may not have committed to the estimated value.");
t("An estimated salary for a job posting or occupation, based on a variety of variables including, but not limited to industry, job title, and location.");

// https://schema.org/estimatesRiskOf
t("estimatesRiskOf");
t("The condition, complication, or symptom whose risk is being estimated.");

// https://schema.org/ethicsPolicy
t("ethicsPolicy");
t('Statement about ethics policy, e.g. of a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a> regarding journalistic and publishing practices, or of a <a class="localLink" href="/Restaurant">Restaurant</a>, a page describing food source policies. In the case of a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a>, an ethicsPolicy is typically a statement describing the personal, organizational, and corporate standards of behavior expected by the organization.');
t('Statement about ethics policy, e.g. of a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a> regarding journalistic and publishing practices, or of a <a class="localLink" href="/Restaurant">Restaurant</a>, a page describing food source policies.');

// https://schema.org/event
t("event");
t("Upcoming or past event associated with this place, organization, or action.");

// https://schema.org/eventAttendanceMode
t("eventAttendanceMode");
t("The eventAttendanceMode of an event indicates whether it occurs online, offline, or a mix.");

// https://schema.org/events
t("events");
t("Upcoming or past events associated with this place or organization.");

// https://schema.org/eventSchedule
t("eventSchedule");
t('Associates an <a class="localLink" href="/Event">Event</a> with a <a class="localLink" href="/Schedule">Schedule</a>. There are circumstances where it is preferable to share a schedule for a series of
      repeating events rather than data on the individual events themselves. For example, a website or application might prefer to publish a schedule for a weekly
      gym class rather than provide data on every event. A schedule could be processed by applications to add forthcoming events to a calendar. An <a class="localLink" href="/Event">Event</a> that
      is associated with a <a class="localLink" href="/Schedule">Schedule</a> using this property should not have <a class="localLink" href="/startDate">startDate</a> or <a class="localLink" href="/endDate">endDate</a> properties. These are instead defined within the associated
      <a class="localLink" href="/Schedule">Schedule</a>, this avoids any ambiguity for clients using the data. The property might have repeated values to specify different schedules, e.g. for different months
      or seasons.');
t('Associates an <a class="localLink" href="/Event">Event</a> with a <a class="localLink" href="/Schedule">Schedule</a>.');

// https://schema.org/eventStatus
t("eventStatus");
t("An eventStatus of an event represents its status; particularly useful when an event is cancelled or rescheduled.");

// https://schema.org/evidenceLevel
t("evidenceLevel");
t("Strength of evidence of the data used to formulate the guideline (enumerated).");

// https://schema.org/evidenceOrigin
t("evidenceOrigin");
t("Source of the data used to formulate the guidance, e.g. RCT, consensus opinion, etc.");

// https://schema.org/exampleOfWork
t("exampleOfWork");
t("A creative work that this work is an example/instance/realization/derivation of.");

// https://schema.org/exceptDate
t("exceptDate");
t('Defines a <a class="localLink" href="/Date">Date</a> or <a class="localLink" href="/DateTime">DateTime</a> during which a scheduled <a class="localLink" href="/Event">Event</a> will not take place. The property allows exceptions to
      a <a class="localLink" href="/Schedule">Schedule</a> to be specified. If an exception is specified as a <a class="localLink" href="/DateTime">DateTime</a> then only the event that would have started at that specific date and time
      should be excluded from the schedule. If an exception is specified as a <a class="localLink" href="/Date">Date</a> then any event that is scheduled for that 24 hour period should be
      excluded from the schedule. This allows a whole day to be excluded from the schedule without having to itemise every scheduled event.');
t('Defines a <a class="localLink" href="/Date">Date</a> or <a class="localLink" href="/DateTime">DateTime</a> during which a scheduled <a class="localLink" href="/Event">Event</a> will not take place.');

// https://schema.org/exchangeRateSpread
t("exchangeRateSpread");
t("The difference between the price at which a broker or other intermediary buys and sells foreign currency.");

// https://schema.org/executableLibraryName
t("executableLibraryName");
t("Library file name, e.g., mscorlib.dll, system.web.dll.");
t("Library file name, e.g., mscorlib.");

// https://schema.org/exerciseCourse
t("exerciseCourse");
t("A sub property of location. The course where this action was taken.");
t("A sub property of location.");

// https://schema.org/exercisePlan
t("exercisePlan");
t("A sub property of instrument. The exercise plan used on this action.");
t("A sub property of instrument.");

// https://schema.org/exerciseRelatedDiet
t("exerciseRelatedDiet");
t("A sub property of instrument. The diet used in this action.");
t("A sub property of instrument.");

// https://schema.org/exerciseType
t("exerciseType");
t("Type(s) of exercise or activity, such as strength training, flexibility training, aerobics, cardiac rehabilitation, etc.");

// https://schema.org/exifData
t("exifData");
t("exif data for this object.");

// https://schema.org/expectedArrivalFrom
t("expectedArrivalFrom");
t("The earliest date the package may arrive.");

// https://schema.org/expectedArrivalUntil
t("expectedArrivalUntil");
t("The latest date the package may arrive.");

// https://schema.org/expectedPrognosis
t("expectedPrognosis");
t("The likely outcome in either the short term or long term of the medical condition.");

// https://schema.org/expectsAcceptanceOf
t("expectsAcceptanceOf");
t("An Offer which must be accepted before the user can perform the Action. For example, the user may need to buy a movie before being able to watch it.");
t("An Offer which must be accepted before the user can perform the Action.");

// https://schema.org/experienceInPlaceOfEducation
t("experienceInPlaceOfEducation");
t('Indicates whether a <a class="localLink" href="/JobPosting">JobPosting</a> will accept experience (as indicated by <a class="localLink" href="/OccupationalExperienceRequirements">OccupationalExperienceRequirements</a>) in place of its formal educational qualifications (as indicated by <a class="localLink" href="/educationRequirements">educationRequirements</a>). If true, indicates that satisfying one of these requirements is sufficient.');
t('Indicates whether a <a class="localLink" href="/JobPosting">JobPosting</a> will accept experience (as indicated by <a class="localLink" href="/OccupationalExperienceRequirements">OccupationalExperienceRequirements</a>) in place of its formal educational qualifications (as indicated by <a class="localLink" href="/educationRequirements">educationRequirements</a>).');

// https://schema.org/experienceRequirements
t("experienceRequirements");
t("Description of skills and experience needed for the position or Occupation.");

// https://schema.org/expertConsiderations
t("expertConsiderations");
t("Medical expert advice related to the plan.");

// https://schema.org/expires
t("expires");
t('Date the content expires and is no longer useful or available. For example a <a class="localLink" href="/VideoObject">VideoObject</a> or <a class="localLink" href="/NewsArticle">NewsArticle</a> whose availability or relevance is time-limited, or a <a class="localLink" href="/ClaimReview">ClaimReview</a> fact check whose publisher wants to indicate that it may no longer be relevant (or helpful to highlight) after some date.');
t("Date the content expires and is no longer useful or available.");

// https://schema.org/expressedIn
t("expressedIn");
t("Tissue, organ, biological sample, etc in which activity of this gene has been observed experimentally. For example brain, digestive system.");
t("Tissue, organ, biological sample, etc in which activity of this gene has been observed experimentally.");

// https://schema.org/familyName
t("familyName");
t("Family name. In the U.S., the last name of a Person.");
t("Family name.");

// https://schema.org/fatContent
t("fatContent");
t("The number of grams of fat.");

// https://schema.org/faxNumber
t("faxNumber");
t("The fax number.");

// https://schema.org/featureList
t("featureList");
t("Features or modules provided by this application (and possibly required by other applications).");

// https://schema.org/feesAndCommissionsSpecification
t("feesAndCommissionsSpecification");
t("Description of fees, commissions, and other terms applied either to a class of financial product, or by a financial service organization.");

// https://schema.org/fiberContent
t("fiberContent");
t("The number of grams of fiber.");

// https://schema.org/fileFormat
t("fileFormat");
t('Media type, typically MIME format (see <a href="http://www.iana.org/assignments/media-types/media-types.xhtml">IANA site</a>) of the content, e.g. application/zip of a SoftwareApplication binary. In cases where a CreativeWork has several media type representations, \'encoding\' can be used to indicate each MediaObject alongside particular fileFormat information. Unregistered or niche file formats can be indicated instead via the most appropriate URL, e.g. defining Web page or a Wikipedia entry.');
t('Media type, typically MIME format (see <a href="http://www.iana.org/assignments/media-types/media-types.xhtml">IANA site</a>) of the content, e.g. application/zip of a SoftwareApplication binary.');

// https://schema.org/fileSize
t("fileSize");
t("Size of the application / package (e.g. 18MB). In the absence of a unit (MB, KB etc.), KB will be assumed.");
t("Size of the application / package (e.g. 18MB).");

// https://schema.org/financialAidEligible
t("financialAidEligible");
t("A financial aid type or program which students may use to pay for tuition or fees associated with the program.");

// https://schema.org/firstAppearance
t("firstAppearance");
t('Indicates the first known occurrence of a <a class="localLink" href="/Claim">Claim</a> in some <a class="localLink" href="/CreativeWork">CreativeWork</a>.');

// https://schema.org/firstPerformance
t("firstPerformance");
t("The date and place the work was first performed.");

// https://schema.org/flightDistance
t("flightDistance");
t("The distance of the flight.");

// https://schema.org/flightNumber
t("flightNumber");
t("The unique identifier for a flight including the airline IATA code. For example, if describing United flight 110, where the IATA code for United is 'UA', the flightNumber is 'UA110'.");
t("The unique identifier for a flight including the airline IATA code.");

// https://schema.org/floorLevel
t("floorLevel");
t('The floor level for an <a class="localLink" href="/Accommodation">Accommodation</a> in a multi-storey building. Since counting
  systems <a href="https://en.wikipedia.org/wiki/Storey#Consecutive_number_floor_designations">vary internationally</a>, the local system should be used where possible.');
t('The floor level for an <a class="localLink" href="/Accommodation">Accommodation</a> in a multi-storey building.');

// https://schema.org/floorLimit
t("floorLimit");
t("A floor limit is the amount of money above which credit card transactions must be authorized.");

// https://schema.org/floorSize
t("floorSize");
t("The size of the accommodation, e.g. in square meter or squarefoot.
Typical unit code(s): MTK for square meter, FTK for square foot, or YDK for square yard");
t("The size of the accommodation, e.g. in square meter or squarefoot.");

// https://schema.org/followee
t("followee");
t("A sub property of object. The person or organization being followed.");
t("A sub property of object.");

// https://schema.org/follows
t("follows");
t("The most generic uni-directional social relation.");

// https://schema.org/followup
t("followup");
t("Typical or recommended followup care after the procedure is performed.");

// https://schema.org/foodEstablishment
t("foodEstablishment");
t("A sub property of location. The specific food establishment where the action occurred.");
t("A sub property of location.");

// https://schema.org/foodEvent
t("foodEvent");
t("A sub property of location. The specific food event where the action occurred.");
t("A sub property of location.");

// https://schema.org/foodWarning
t("foodWarning");
t("Any precaution, guidance, contraindication, etc. related to consumption of specific foods while taking this drug.");

// https://schema.org/founder
t("founder");
t("A person who founded this organization.");

// https://schema.org/founders
t("founders");
t("A person who founded this organization.");

// https://schema.org/foundingDate
t("foundingDate");
t("The date that this organization was founded.");

// https://schema.org/foundingLocation
t("foundingLocation");
t("The place where the Organization was founded.");

// https://schema.org/free
t("free");
t("A flag to signal that the item, event, or place is accessible for free.");

// https://schema.org/freeShippingThreshold
t("freeShippingThreshold");
t('A monetary value above (or at) which the shipping rate becomes free. Intended to be used via an <a class="localLink" href="/OfferShippingDetails">OfferShippingDetails</a> with <a class="localLink" href="/shippingSettingsLink">shippingSettingsLink</a> matching this <a class="localLink" href="/ShippingRateSettings">ShippingRateSettings</a>.');
t("A monetary value above (or at) which the shipping rate becomes free.");

// https://schema.org/frequency
t("frequency");
t("How often the dose is taken, e.g. 'daily'.");

// https://schema.org/fromLocation
t("fromLocation");
t("A sub property of location. The original location of the object or the agent before the action.");
t("A sub property of location.");

// https://schema.org/fuelCapacity
t("fuelCapacity");
t("The capacity of the fuel tank or in the case of electric cars, the battery. If there are multiple components for storage, this should indicate the total of all storage of the same type.<br/><br/>

Typical unit code(s): LTR for liters, GLL of US gallons, GLI for UK / imperial gallons, AMH for ampere-hours (for electrical vehicles).");
t("The capacity of the fuel tank or in the case of electric cars, the battery.");

// https://schema.org/fuelConsumption
t("fuelConsumption");
t('The amount of fuel consumed for traveling a particular distance or temporal duration with the given vehicle (e.g. liters per 100 km).<br/><br/>

<ul>
<li>Note 1: There are unfortunately no standard unit codes for liters per 100 km.  Use <a class="localLink" href="/unitText">unitText</a> to indicate the unit of measurement, e.g. L/100 km.</li>
<li>Note 2: There are two ways of indicating the fuel consumption, <a class="localLink" href="/fuelConsumption">fuelConsumption</a> (e.g. 8 liters per 100 km) and <a class="localLink" href="/fuelEfficiency">fuelEfficiency</a> (e.g. 30 miles per gallon). They are reciprocal.</li>
<li>Note 3: Often, the absolute value is useful only when related to driving speed ("at 80 km/h") or usage pattern ("city traffic"). You can use <a class="localLink" href="/valueReference">valueReference</a> to link the value for the fuel consumption to another value.</li>
</ul>');
t("The amount of fuel consumed for traveling a particular distance or temporal duration with the given vehicle (e.g. liters per 100 km).");

// https://schema.org/fuelEfficiency
t("fuelEfficiency");
t('The distance traveled per unit of fuel used; most commonly miles per gallon (mpg) or kilometers per liter (km/L).<br/><br/>

<ul>
<li>Note 1: There are unfortunately no standard unit codes for miles per gallon or kilometers per liter. Use <a class="localLink" href="/unitText">unitText</a> to indicate the unit of measurement, e.g. mpg or km/L.</li>
<li>Note 2: There are two ways of indicating the fuel consumption, <a class="localLink" href="/fuelConsumption">fuelConsumption</a> (e.g. 8 liters per 100 km) and <a class="localLink" href="/fuelEfficiency">fuelEfficiency</a> (e.g. 30 miles per gallon). They are reciprocal.</li>
<li>Note 3: Often, the absolute value is useful only when related to driving speed ("at 80 km/h") or usage pattern ("city traffic"). You can use <a class="localLink" href="/valueReference">valueReference</a> to link the value for the fuel economy to another value.</li>
</ul>');
t("The distance traveled per unit of fuel used; most commonly miles per gallon (mpg) or kilometers per liter (km/L).");

// https://schema.org/fuelType
t("fuelType");
t("The type of fuel suitable for the engine or engines of the vehicle. If the vehicle has only one engine, this property can be attached directly to the vehicle.");
t("The type of fuel suitable for the engine or engines of the vehicle.");

// https://schema.org/functionalClass
t("functionalClass");
t("The degree of mobility the joint allows.");

// https://schema.org/fundedItem
t("fundedItem");
t('Indicates something directly or indirectly funded or sponsored through a <a class="localLink" href="/Grant">Grant</a>. See also <a class="localLink" href="/ownershipFundingInfo">ownershipFundingInfo</a>.');
t('Indicates something directly or indirectly funded or sponsored through a <a class="localLink" href="/Grant">Grant</a>.');

// https://schema.org/funder
t("funder");
t("A person or organization that supports (sponsors) something through some kind of financial contribution.");

// https://schema.org/funding
t("funding");
t('A <a class="localLink" href="/Grant">Grant</a> that directly or indirectly provide funding or sponsorship for this item. See also <a class="localLink" href="/ownershipFundingInfo">ownershipFundingInfo</a>.');
t('A <a class="localLink" href="/Grant">Grant</a> that directly or indirectly provide funding or sponsorship for this item.');

// https://schema.org/game
t("game");
t("Video game which is played on this server.");

// https://schema.org/gameAvailabilityType
t("gameAvailabilityType");
t("Indicates the availability type of the game content associated with this action, such as whether it is a full version or a demo.");

// https://schema.org/gameEdition
t("gameEdition");
t("The edition of a video game.");

// https://schema.org/gameItem
t("gameItem");
t("An item is an object within the game world that can be collected by a player or, occasionally, a non-player character.");

// https://schema.org/gameLocation
t("gameLocation");
t("Real or fictional location of the game (or part of game).");

// https://schema.org/gamePlatform
t("gamePlatform");
t('The electronic systems used to play <a href="http://en.wikipedia.org/wiki/Category:Video_game_platforms">video games</a>.');

// https://schema.org/gameServer
t("gameServer");
t("The server on which  it is possible to play the game.");

// https://schema.org/gameTip
t("gameTip");
t("Links to tips, tactics, etc.");

// https://schema.org/gender
t("gender");
t('Gender of something, typically a <a class="localLink" href="/Person">Person</a>, but possibly also fictional characters, animals, etc. While https://schema.org/Male and https://schema.org/Female may be used, text strings are also acceptable for people who do not identify as a binary gender. The <a class="localLink" href="/gender">gender</a> property can also be used in an extended sense to cover e.g. the gender of sports teams. As with the gender of individuals, we do not try to enumerate all possibilities. A mixed-gender <a class="localLink" href="/SportsTeam">SportsTeam</a> can be indicated with a text value of "Mixed".');
t('Gender of something, typically a <a class="localLink" href="/Person">Person</a>, but possibly also fictional characters, animals, etc. While https://schema.org/Male and https://schema.org/Female may be used, text strings are also acceptable for people who do not identify as a binary gender. The <a class="localLink" href="/gender">gender</a> property can also be used in an extended sense to cover e.g. the gender of sports teams.');

// https://schema.org/genre
t("genre");
t("Genre of the creative work, broadcast channel or group.");

// https://schema.org/geo
t("geo");
t("The geo coordinates of the place.");

// https://schema.org/geoContains
t("geoContains");
t('Represents a relationship between two geometries (or the places they represent), relating a containing geometry to a contained geometry. "a contains b iff no points of b lie in the exterior of a, and at least one point of the interior of b lies in the interior of a". As defined in <a href="https://en.wikipedia.org/wiki/DE-9IM">DE-9IM</a>.');
t("Represents a relationship between two geometries (or the places they represent), relating a containing geometry to a contained geometry.");

// https://schema.org/geoCoveredBy
t("geoCoveredBy");
t('Represents a relationship between two geometries (or the places they represent), relating a geometry to another that covers it. As defined in <a href="https://en.wikipedia.org/wiki/DE-9IM">DE-9IM</a>.');
t("Represents a relationship between two geometries (or the places they represent), relating a geometry to another that covers it.");

// https://schema.org/geoCovers
t("geoCovers");
t('Represents a relationship between two geometries (or the places they represent), relating a covering geometry to a covered geometry. "Every point of b is a point of (the interior or boundary of) a". As defined in <a href="https://en.wikipedia.org/wiki/DE-9IM">DE-9IM</a>.');
t("Represents a relationship between two geometries (or the places they represent), relating a covering geometry to a covered geometry.");

// https://schema.org/geoCrosses
t("geoCrosses");
t('Represents a relationship between two geometries (or the places they represent), relating a geometry to another that crosses it: "a crosses b: they have some but not all interior points in common, and the dimension of the intersection is less than that of at least one of them". As defined in <a href="https://en.wikipedia.org/wiki/DE-9IM">DE-9IM</a>.');
t('Represents a relationship between two geometries (or the places they represent), relating a geometry to another that crosses it: "a crosses b: they have some but not all interior points in common, and the dimension of the intersection is less than that of at least one of them".');

// https://schema.org/geoDisjoint
t("geoDisjoint");
t('Represents spatial relations in which two geometries (or the places they represent) are topologically disjoint: "they have no point in common. They form a set of disconnected geometries." (A symmetric relationship, as defined in <a href="https://en.wikipedia.org/wiki/DE-9IM">DE-9IM</a>.)');
t('Represents spatial relations in which two geometries (or the places they represent) are topologically disjoint: "they have no point in common.');

// https://schema.org/geoEquals
t("geoEquals");
t('Represents spatial relations in which two geometries (or the places they represent) are topologically equal, as defined in <a href="https://en.wikipedia.org/wiki/DE-9IM">DE-9IM</a>. "Two geometries are topologically equal if their interiors intersect and no part of the interior or boundary of one geometry intersects the exterior of the other" (a symmetric relationship).');
t('Represents spatial relations in which two geometries (or the places they represent) are topologically equal, as defined in <a href="https://en.wikipedia.org/wiki/DE-9IM">DE-9IM</a>.');

// https://schema.org/geographicArea
t("geographicArea");
t("The geographic area associated with the audience.");

// https://schema.org/geoIntersects
t("geoIntersects");
t('Represents spatial relations in which two geometries (or the places they represent) have at least one point in common. As defined in <a href="https://en.wikipedia.org/wiki/DE-9IM">DE-9IM</a>.');
t("Represents spatial relations in which two geometries (or the places they represent) have at least one point in common.");

// https://schema.org/geoMidpoint
t("geoMidpoint");
t("Indicates the GeoCoordinates at the centre of a GeoShape, e.g. GeoCircle.");

// https://schema.org/geoOverlaps
t("geoOverlaps");
t('Represents a relationship between two geometries (or the places they represent), relating a geometry to another that geospatially overlaps it, i.e. they have some but not all points in common. As defined in <a href="https://en.wikipedia.org/wiki/DE-9IM">DE-9IM</a>.');
t("Represents a relationship between two geometries (or the places they represent), relating a geometry to another that geospatially overlaps it, i.e. they have some but not all points in common.");

// https://schema.org/geoRadius
t("geoRadius");
t("Indicates the approximate radius of a GeoCircle (metres unless indicated otherwise via Distance notation).");

// https://schema.org/geoTouches
t("geoTouches");
t('Represents spatial relations in which two geometries (or the places they represent) touch: "they have at least one boundary point in common, but no interior points." (A symmetric relationship, as defined in <a href="https://en.wikipedia.org/wiki/DE-9IM">DE-9IM</a>.)');
t('Represents spatial relations in which two geometries (or the places they represent) touch: "they have at least one boundary point in common, but no interior points.');

// https://schema.org/geoWithin
t("geoWithin");
t('Represents a relationship between two geometries (or the places they represent), relating a geometry to one that contains it, i.e. it is inside (i.e. within) its interior. As defined in <a href="https://en.wikipedia.org/wiki/DE-9IM">DE-9IM</a>.');
t("Represents a relationship between two geometries (or the places they represent), relating a geometry to one that contains it, i.e. it is inside (i.e. within) its interior.");

// https://schema.org/gettingTestedInfo
t("gettingTestedInfo");
t('Information about getting tested (for a <a class="localLink" href="/MedicalCondition">MedicalCondition</a>), e.g. in the context of a pandemic.');

// https://schema.org/givenName
t("givenName");
t("Given name. In the U.S., the first name of a Person.");
t("Given name.");

// https://schema.org/globalLocationNumber
t("globalLocationNumber");
t('The <a href="http://www.gs1.org/gln">Global Location Number</a> (GLN, sometimes also referred to as International Location Number or ILN) of the respective organization, person, or place. The GLN is a 13-digit number used to identify parties and physical locations.');
t('The <a href="http://www.gs1.org/gln">Global Location Number</a> (GLN, sometimes also referred to as International Location Number or ILN) of the respective organization, person, or place.');

// https://schema.org/governmentBenefitsInfo
t("governmentBenefitsInfo");
t("governmentBenefitsInfo provides information about government benefits associated with a SpecialAnnouncement.");

// https://schema.org/gracePeriod
t("gracePeriod");
t("The period of time after any due date that the borrower has to fulfil its obligations before a default (failure to pay) is deemed to have occurred.");

// https://schema.org/grantee
t("grantee");
t("The person, organization, contact point, or audience that has been granted this permission.");

// https://schema.org/greater
t("greater");
t("This ordering relation for qualitative values indicates that the subject is greater than the object.");

// https://schema.org/greaterOrEqual
t("greaterOrEqual");
t("This ordering relation for qualitative values indicates that the subject is greater than or equal to the object.");

// https://schema.org/gtin
t("gtin");
t('A Global Trade Item Number (<a href="https://www.gs1.org/standards/id-keys/gtin">GTIN</a>). GTINs identify trade items, including products and services, using numeric identification codes.<br/><br/>

The GS1 <a href="https://www.gs1.org/standards/Digital-Link/">digital link specifications</a> express GTINs as URLs (URIs, IRIs, etc.). Details including regular expression examples can be found in, Section 6 of the GS1 URI Syntax specification; see also <a href="https://github.com/schemaorg/schemaorg/issues/3156#issuecomment-1209522809">schema.org tracking issue</a> for schema.org-specific discussion. A correct <a class="localLink" href="/gtin">gtin</a> value should be a valid GTIN, which means that it should be an all-numeric string of either 8, 12, 13 or 14 digits, or a "GS1 Digital Link" URL based on such a string. The numeric component should also have a <a href="https://www.gs1.org/services/check-digit-calculator">valid GS1 check digit</a> and meet the other rules for valid GTINs. See also <a href="http://www.gs1.org/barcodes/technical/idkeys/gtin">GS1\'s GTIN Summary</a> and <a href="https://en.wikipedia.org/wiki/Global_Trade_Item_Number">Wikipedia</a> for more details. Left-padding of the gtin values is not required or encouraged. The <a class="localLink" href="/gtin">gtin</a> property generalizes the earlier <a class="localLink" href="/gtin8">gtin8</a>, <a class="localLink" href="/gtin12">gtin12</a>, <a class="localLink" href="/gtin13">gtin13</a>, and <a class="localLink" href="/gtin14">gtin14</a> properties.<br/><br/>

Note also that this is a definition for how to include GTINs in Schema.org data, and not a definition of GTINs in general - see the GS1 documentation for authoritative details.');
t('A Global Trade Item Number (<a href="https://www.gs1.org/standards/id-keys/gtin">GTIN</a>).');

// https://schema.org/gtin12
t("gtin12");
t('The GTIN-12 code of the product, or the product to which the offer refers. The GTIN-12 is the 12-digit GS1 Identification Key composed of a U.P.C. Company Prefix, Item Reference, and Check Digit used to identify trade items. See <a href="http://www.gs1.org/barcodes/technical/idkeys/gtin">GS1 GTIN Summary</a> for more details.');
t("The GTIN-12 code of the product, or the product to which the offer refers.");

// https://schema.org/gtin13
t("gtin13");
t('The GTIN-13 code of the product, or the product to which the offer refers. This is equivalent to 13-digit ISBN codes and EAN UCC-13. Former 12-digit UPC codes can be converted into a GTIN-13 code by simply adding a preceding zero. See <a href="http://www.gs1.org/barcodes/technical/idkeys/gtin">GS1 GTIN Summary</a> for more details.');
t("The GTIN-13 code of the product, or the product to which the offer refers.");

// https://schema.org/gtin14
t("gtin14");
t('The GTIN-14 code of the product, or the product to which the offer refers. See <a href="http://www.gs1.org/barcodes/technical/idkeys/gtin">GS1 GTIN Summary</a> for more details.');
t("The GTIN-14 code of the product, or the product to which the offer refers.");

// https://schema.org/gtin8
t("gtin8");
t('The GTIN-8 code of the product, or the product to which the offer refers. This code is also known as EAN/UCC-8 or 8-digit EAN. See <a href="http://www.gs1.org/barcodes/technical/idkeys/gtin">GS1 GTIN Summary</a> for more details.');
t("The GTIN-8 code of the product, or the product to which the offer refers.");

// https://schema.org/guideline
t("guideline");
t("A medical guideline related to this entity.");

// https://schema.org/guidelineDate
t("guidelineDate");
t("Date on which this guideline's recommendation was made.");

// https://schema.org/guidelineSubject
t("guidelineSubject");
t("The medical conditions, treatments, etc. that are the subject of the guideline.");

// https://schema.org/handlingTime
t("handlingTime");
t('The typical delay between the receipt of the order and the goods either leaving the warehouse or being prepared for pickup, in case the delivery method is on site pickup. Typical properties: minValue, maxValue, unitCode (d for DAY).  This is by common convention assumed to mean business days (if a unitCode is used, coded as "d"), i.e. only counting days when the business normally operates.');
t("The typical delay between the receipt of the order and the goods either leaving the warehouse or being prepared for pickup, in case the delivery method is on site pickup.");

// https://schema.org/hasAdultConsideration
t("hasAdultConsideration");
t("Used to tag an item to be intended or suitable for consumption or use by adults only.");

// https://schema.org/hasBioChemEntityPart
t("hasBioChemEntityPart");
t("Indicates a BioChemEntity that (in some sense) has this BioChemEntity as a part.");

// https://schema.org/hasBioPolymerSequence
t("hasBioPolymerSequence");
t("A symbolic representation of a BioChemEntity. For example, a nucleotide sequence of a Gene or an amino acid sequence of a Protein.");
t("A symbolic representation of a BioChemEntity.");

// https://schema.org/hasBroadcastChannel
t("hasBroadcastChannel");
t("A broadcast channel of a broadcast service.");

// https://schema.org/hasCategoryCode
t("hasCategoryCode");
t("A Category code contained in this code set.");

// https://schema.org/hasCourse
t("hasCourse");
t("A course or class that is one of the learning opportunities that constitute an educational / occupational program. No information is implied about whether the course is mandatory or optional; no guarantee is implied about whether the course will be available to everyone on the program.");
t("A course or class that is one of the learning opportunities that constitute an educational / occupational program.");

// https://schema.org/hasCourseInstance
t("hasCourseInstance");
t("An offering of the course at a specific time and place or through specific media or mode of study or to a specific section of students.");

// https://schema.org/hasCredential
t("hasCredential");
t("A credential awarded to the Person or Organization.");

// https://schema.org/hasDefinedTerm
t("hasDefinedTerm");
t("A Defined Term contained in this term set.");

// https://schema.org/hasDeliveryMethod
t("hasDeliveryMethod");
t("Method used for delivery or shipping.");

// https://schema.org/hasDigitalDocumentPermission
t("hasDigitalDocumentPermission");
t('A permission related to the access to this document (e.g. permission to read or write an electronic document). For a public document, specify a grantee with an Audience with audienceType equal to "public".');
t("A permission related to the access to this document (e.g. permission to read or write an electronic document).");

// https://schema.org/hasDriveThroughService
t("hasDriveThroughService");
t('Indicates whether some facility (e.g. <a class="localLink" href="/FoodEstablishment">FoodEstablishment</a>, <a class="localLink" href="/CovidTestingFacility">CovidTestingFacility</a>) offers a service that can be used by driving through in a car. In the case of <a class="localLink" href="/CovidTestingFacility">CovidTestingFacility</a> such facilities could potentially help with social distancing from other potentially-infected users.');
t('Indicates whether some facility (e.g. <a class="localLink" href="/FoodEstablishment">FoodEstablishment</a>, <a class="localLink" href="/CovidTestingFacility">CovidTestingFacility</a>) offers a service that can be used by driving through in a car.');

// https://schema.org/hasEnergyConsumptionDetails
t("hasEnergyConsumptionDetails");
t('Defines the energy efficiency Category (also known as "class" or "rating") for a product according to an international energy efficiency standard.');

// https://schema.org/hasEnergyEfficiencyCategory
t("hasEnergyEfficiencyCategory");
t("Defines the energy efficiency Category (which could be either a rating out of range of values or a yes/no certification) for a product according to an international energy efficiency standard.");

// https://schema.org/hasHealthAspect
t("hasHealthAspect");
t('Indicates the aspect or aspects specifically addressed in some <a class="localLink" href="/HealthTopicContent">HealthTopicContent</a>. For example, that the content is an overview, or that it talks about treatment, self-care, treatments or their side-effects.');
t('Indicates the aspect or aspects specifically addressed in some <a class="localLink" href="/HealthTopicContent">HealthTopicContent</a>.');

// https://schema.org/hasMap
t("hasMap");
t("A URL to a map of the place.");

// https://schema.org/hasMeasurement
t("hasMeasurement");
t("A product measurement, for example the inseam of pants, the wheel size of a bicycle, or the gauge of a screw. Usually an exact measurement, but can also be a range of measurements for adjustable products, for example belts and ski bindings.");
t("A product measurement, for example the inseam of pants, the wheel size of a bicycle, or the gauge of a screw.");

// https://schema.org/hasMenu
t("hasMenu");
t("Either the actual menu as a structured representation, as text, or a URL of the menu.");

// https://schema.org/hasMenuItem
t("hasMenuItem");
t("A food or drink item contained in a menu or menu section.");

// https://schema.org/hasMenuSection
t("hasMenuSection");
t("A subgrouping of the menu (by dishes, course, serving time period, etc.).");

// https://schema.org/hasMerchantReturnPolicy
t("hasMerchantReturnPolicy");
t("Specifies a MerchantReturnPolicy that may be applicable.");

// https://schema.org/hasMolecularFunction
t("hasMolecularFunction");
t("Molecular function performed by this BioChemEntity; please use PropertyValue if you want to include any evidence.");

// https://schema.org/hasOccupation
t("hasOccupation");
t("The Person's occupation. For past professions, use Role for expressing dates.");
t("The Person's occupation.");

// https://schema.org/hasOfferCatalog
t("hasOfferCatalog");
t("Indicates an OfferCatalog listing for this Organization, Person, or Service.");

// https://schema.org/hasPart
t("hasPart");
t("Indicates an item or CreativeWork that is part of this item, or CreativeWork (in some sense).");

// https://schema.org/hasPOS
t("hasPOS");
t("Points-of-Sales operated by the organization or person.");

// https://schema.org/hasRepresentation
t("hasRepresentation");
t("A common representation such as a protein sequence or chemical structure for this entity. For images use schema.org/image.");
t("A common representation such as a protein sequence or chemical structure for this entity.");

// https://schema.org/hasVariant
t("hasVariant");
t('Indicates a <a class="localLink" href="/Product">Product</a> that is a member of this <a class="localLink" href="/ProductGroup">ProductGroup</a> (or <a class="localLink" href="/ProductModel">ProductModel</a>).');

// https://schema.org/headline
t("headline");
t("Headline of the article.");

// https://schema.org/healthcareReportingData
t("healthcareReportingData");
t('Indicates data describing a hospital, e.g. a CDC <a class="localLink" href="/CDCPMDRecord">CDCPMDRecord</a> or as some kind of <a class="localLink" href="/Dataset">Dataset</a>.');

// https://schema.org/healthCondition
t("healthCondition");
t("Specifying the health condition(s) of a patient, medical study, or other target audience.");

// https://schema.org/healthPlanCoinsuranceOption
t("healthPlanCoinsuranceOption");
t("Whether the coinsurance applies before or after deductible, etc. TODO: Is this a closed set?");

// https://schema.org/healthPlanCoinsuranceRate
t("healthPlanCoinsuranceRate");
t("The rate of coinsurance expressed as a number between 0.0 and 1.0.");

// https://schema.org/healthPlanCopay
t("healthPlanCopay");
t("The copay amount.");

// https://schema.org/healthPlanCopayOption
t("healthPlanCopayOption");
t("Whether the copay is before or after deductible, etc. TODO: Is this a closed set?");

// https://schema.org/healthPlanCostSharing
t("healthPlanCostSharing");
t("The costs to the patient for services under this network or formulary.");

// https://schema.org/healthPlanDrugOption
t("healthPlanDrugOption");
t("TODO.");

// https://schema.org/healthPlanDrugTier
t("healthPlanDrugTier");
t("The tier(s) of drugs offered by this formulary or insurance plan.");

// https://schema.org/healthPlanId
t("healthPlanId");
t("The 14-character, HIOS-generated Plan ID number. (Plan IDs must be unique, even across different markets.)");
t("The 14-character, HIOS-generated Plan ID number.");

// https://schema.org/healthPlanMarketingUrl
t("healthPlanMarketingUrl");
t("The URL that goes directly to the plan brochure for the specific standard plan or plan variation.");

// https://schema.org/healthPlanNetworkId
t("healthPlanNetworkId");
t("Name or unique ID of network. (Networks are often reused across different insurance plans.)");
t("Name or unique ID of network.");

// https://schema.org/healthPlanNetworkTier
t("healthPlanNetworkTier");
t("The tier(s) for this network.");

// https://schema.org/healthPlanPharmacyCategory
t("healthPlanPharmacyCategory");
t("The category or type of pharmacy associated with this cost sharing.");

// https://schema.org/height
t("height");
t("The height of the item.");

// https://schema.org/highPrice
t("highPrice");
t("The highest price of all offers available.<br/><br/>

Usage guidelines:<br/><br/>

<ul>
<li>Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.</li>
<li>Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.</li>
</ul>");
t("The highest price of all offers available.");

// https://schema.org/hiringOrganization
t("hiringOrganization");
t("Organization or Person offering the job position.");

// https://schema.org/holdingArchive
t("holdingArchive");
t('<a class="localLink" href="/ArchiveOrganization">ArchiveOrganization</a> that holds, keeps or maintains the <a class="localLink" href="/ArchiveComponent">ArchiveComponent</a>.');

// https://schema.org/homeLocation
t("homeLocation");
t("A contact location for a person's residence.");

// https://schema.org/homeTeam
t("homeTeam");
t("The home team in a sports event.");

// https://schema.org/honorificPrefix
t("honorificPrefix");
t("An honorific prefix preceding a Person's name such as Dr/Mrs/Mr.");

// https://schema.org/honorificSuffix
t("honorificSuffix");
t("An honorific suffix following a Person's name such as M.D./PhD/MSCSW.");
t("An honorific suffix following a Person's name such as M.");

// https://schema.org/hospitalAffiliation
t("hospitalAffiliation");
t("A hospital with which the physician or office is affiliated.");

// https://schema.org/hostingOrganization
t("hostingOrganization");
t("The organization (airline, travelers' club, etc.) the membership is made with.");

// https://schema.org/hoursAvailable
t("hoursAvailable");
t("The hours during which this service or contact is available.");

// https://schema.org/howPerformed
t("howPerformed");
t("How the procedure is performed.");

// https://schema.org/httpMethod
t("httpMethod");
t("An HTTP method that specifies the appropriate HTTP method for a request to an HTTP EntryPoint. Values are capitalized strings as used in HTTP.");
t("An HTTP method that specifies the appropriate HTTP method for a request to an HTTP EntryPoint.");

// https://schema.org/iataCode
t("iataCode");
t("IATA identifier for an airline or airport.");

// https://schema.org/icaoCode
t("icaoCode");
t("ICAO identifier for an airport.");

// https://schema.org/identifier
t("identifier");
t('The identifier property represents any kind of identifier for any kind of <a class="localLink" href="/Thing">Thing</a>, such as ISBNs, GTIN codes, UUIDs etc. Schema.org provides dedicated properties for representing many of these, either as textual strings or as URL (URI) links. See <a href="/docs/datamodel.html#identifierBg">background notes</a> for more details.');
t('The identifier property represents any kind of identifier for any kind of <a class="localLink" href="/Thing">Thing</a>, such as ISBNs, GTIN codes, UUIDs etc. Schema.');

// https://schema.org/identifyingExam
t("identifyingExam");
t("A physical examination that can identify this sign.");

// https://schema.org/identifyingTest
t("identifyingTest");
t("A diagnostic test that can identify this sign.");

// https://schema.org/illustrator
t("illustrator");
t("The illustrator of the book.");

// https://schema.org/image
t("image");
t('An image of the item. This can be a <a class="localLink" href="/URL">URL</a> or a fully described <a class="localLink" href="/ImageObject">ImageObject</a>.');
t("An image of the item.");

// https://schema.org/imagingTechnique
t("imagingTechnique");
t("Imaging technique used.");

// https://schema.org/inAlbum
t("inAlbum");
t("The album to which this recording belongs.");

// https://schema.org/inBroadcastLineup
t("inBroadcastLineup");
t("The CableOrSatelliteService offering the channel.");

// https://schema.org/incentiveCompensation
t("incentiveCompensation");
t("Description of bonus and commission compensation aspects of the job.");

// https://schema.org/incentives
t("incentives");
t("Description of bonus and commission compensation aspects of the job.");

// https://schema.org/inChI
t("inChI");
t("Non-proprietary identifier for molecular entity that can be used in printed and electronic data sources thus enabling easier linking of diverse data compilations.");

// https://schema.org/inChIKey
t("inChIKey");
t("InChIKey is a hashed version of the full InChI (using the SHA-256 algorithm).");

// https://schema.org/includedComposition
t("includedComposition");
t("Smaller compositions included in this work (e.g. a movement in a symphony).");

// https://schema.org/includedDataCatalog
t("includedDataCatalog");
t("A data catalog which contains this dataset (this property was previously 'catalog', preferred name is now 'includedInDataCatalog').");

// https://schema.org/includedInDataCatalog
t("includedInDataCatalog");
t("A data catalog which contains this dataset.");

// https://schema.org/includedInHealthInsurancePlan
t("includedInHealthInsurancePlan");
t("The insurance plans that cover this drug.");

// https://schema.org/includedRiskFactor
t("includedRiskFactor");
t("A modifiable or non-modifiable risk factor included in the calculation, e.g. age, coexisting condition.");

// https://schema.org/includesAttraction
t("includesAttraction");
t("Attraction located at destination.");

// https://schema.org/includesHealthPlanFormulary
t("includesHealthPlanFormulary");
t("Formularies covered by this plan.");

// https://schema.org/includesHealthPlanNetwork
t("includesHealthPlanNetwork");
t("Networks covered by this plan.");

// https://schema.org/includesObject
t("includesObject");
t('This links to a node or nodes indicating the exact quantity of the products included in  an <a class="localLink" href="/Offer">Offer</a> or <a class="localLink" href="/ProductCollection">ProductCollection</a>.');

// https://schema.org/inCodeSet
t("inCodeSet");
t('A <a class="localLink" href="/CategoryCodeSet">CategoryCodeSet</a> that contains this category code.');

// https://schema.org/increasesRiskOf
t("increasesRiskOf");
t("The condition, complication, etc. influenced by this factor.");

// https://schema.org/inDefinedTermSet
t("inDefinedTermSet");
t('A <a class="localLink" href="/DefinedTermSet">DefinedTermSet</a> that contains this term.');

// https://schema.org/industry
t("industry");
t("The industry associated with the job position.");

// https://schema.org/ineligibleRegion
t("ineligibleRegion");
t('The ISO 3166-1 (ISO 3166-1 alpha-2) or ISO 3166-2 code, the place, or the GeoShape for the geo-political region(s) for which the offer or delivery charge specification is not valid, e.g. a region where the transaction is not allowed.<br/><br/>

See also <a class="localLink" href="/eligibleRegion">eligibleRegion</a>.');
t("The ISO 3166-1 (ISO 3166-1 alpha-2) or ISO 3166-2 code, the place, or the GeoShape for the geo-political region(s) for which the offer or delivery charge specification is not valid, e.g. a region where the transaction is not allowed.");

// https://schema.org/infectiousAgent
t("infectiousAgent");
t("The actual infectious agent, such as a specific bacterium.");

// https://schema.org/infectiousAgentClass
t("infectiousAgentClass");
t("The class of infectious agent (bacteria, prion, etc.) that causes the disease.");

// https://schema.org/ingredients
t("ingredients");
t("A single ingredient used in the recipe, e.g. sugar, flour or garlic.");

// https://schema.org/inker
t("inker");
t("The individual who traces over the pencil drawings in ink after pencils are complete.");

// https://schema.org/inLanguage
t("inLanguage");
t('The language of the content or performance or used in an action. Please use one of the language codes from the <a href="http://tools.ietf.org/html/bcp47">IETF BCP 47 standard</a>. See also <a class="localLink" href="/availableLanguage">availableLanguage</a>.');
t("The language of the content or performance or used in an action.");

// https://schema.org/inPlaylist
t("inPlaylist");
t("The playlist to which this recording belongs.");

// https://schema.org/inProductGroupWithID
t("inProductGroupWithID");
t('Indicates the <a class="localLink" href="/productGroupID">productGroupID</a> for a <a class="localLink" href="/ProductGroup">ProductGroup</a> that this product <a class="localLink" href="/isVariantOf">isVariantOf</a>.');

// https://schema.org/insertion
t("insertion");
t("The place of attachment of a muscle, or what the muscle moves.");

// https://schema.org/installUrl
t("installUrl");
t("URL at which the app may be installed, if different from the URL of the item.");

// https://schema.org/inStoreReturnsOffered
t("inStoreReturnsOffered");
t('Are in-store returns offered? (For more advanced return methods use the <a class="localLink" href="/returnMethod">returnMethod</a> property.)');
t('Are in-store returns offered? (For more advanced return methods use the <a class="localLink" href="/returnMethod">returnMethod</a> property.');

// https://schema.org/instructor
t("instructor");
t('A person assigned to instruct or provide instructional assistance for the <a class="localLink" href="/CourseInstance">CourseInstance</a>.');

// https://schema.org/instrument
t("instrument");
t("The object that helped the agent perform the action. E.g. John wrote a book with <em>a pen</em>.");
t("The object that helped the agent perform the action.");

// https://schema.org/inSupportOf
t("inSupportOf");
t("Qualification, candidature, degree, application that Thesis supports.");

// https://schema.org/intensity
t("intensity");
t("Quantitative measure gauging the degree of force involved in the exercise, for example, heartbeats per minute. May include the velocity of the movement.");
t("Quantitative measure gauging the degree of force involved in the exercise, for example, heartbeats per minute.");

// https://schema.org/interactingDrug
t("interactingDrug");
t("Another drug that is known to interact with this drug in a way that impacts the effect of this drug or causes a risk to the patient. Note: disease interactions are typically captured as contraindications.");
t("Another drug that is known to interact with this drug in a way that impacts the effect of this drug or causes a risk to the patient.");

// https://schema.org/interactionCount
t("interactionCount");
t("This property is deprecated, alongside the UserInteraction types on which it depended.");

// https://schema.org/interactionService
t("interactionService");
t("The WebSite or SoftwareApplication where the interactions took place.");

// https://schema.org/interactionStatistic
t("interactionStatistic");
t("The number of interactions for the CreativeWork using the WebSite or SoftwareApplication. The most specific child type of InteractionCounter should be used.");
t("The number of interactions for the CreativeWork using the WebSite or SoftwareApplication.");

// https://schema.org/interactionType
t("interactionType");
t('The Action representing the type of interaction. For up votes, +1s, etc. use <a class="localLink" href="/LikeAction">LikeAction</a>. For down votes use <a class="localLink" href="/DislikeAction">DislikeAction</a>. Otherwise, use the most specific Action.');
t("The Action representing the type of interaction.");

// https://schema.org/interactivityType
t("interactivityType");
t("The predominant mode of learning supported by the learning resource. Acceptable values are 'active', 'expositive', or 'mixed'.");
t("The predominant mode of learning supported by the learning resource.");

// https://schema.org/interestRate
t("interestRate");
t("The interest rate, charged or paid, applicable to the financial product. Note: This is different from the calculated annualPercentageRate.");
t("The interest rate, charged or paid, applicable to the financial product.");

// https://schema.org/interpretedAsClaim
t("interpretedAsClaim");
t('Used to indicate a specific claim contained, implied, translated or refined from the content of a <a class="localLink" href="/MediaObject">MediaObject</a> or other <a class="localLink" href="/CreativeWork">CreativeWork</a>. The interpreting party can be indicated using <a class="localLink" href="/claimInterpreter">claimInterpreter</a>.');
t('Used to indicate a specific claim contained, implied, translated or refined from the content of a <a class="localLink" href="/MediaObject">MediaObject</a> or other <a class="localLink" href="/CreativeWork">CreativeWork</a>.');

// https://schema.org/inventoryLevel
t("inventoryLevel");
t("The current approximate inventory level for the item or items.");

// https://schema.org/inverseOf
t("inverseOf");
t("Relates a property to a property that is its inverse. Inverse properties relate the same pairs of items to each other, but in reversed direction. For example, the 'alumni' and 'alumniOf' properties are inverseOf each other. Some properties don't have explicit inverses; in these situations RDFa and JSON-LD syntax for reverse properties can be used.");
t("Relates a property to a property that is its inverse.");

// https://schema.org/isAcceptingNewPatients
t("isAcceptingNewPatients");
t("Whether the provider is accepting new patients.");

// https://schema.org/isAccessibleForFree
t("isAccessibleForFree");
t("A flag to signal that the item, event, or place is accessible for free.");

// https://schema.org/isAccessoryOrSparePartFor
t("isAccessoryOrSparePartFor");
t("A pointer to another product (or multiple products) for which this product is an accessory or spare part.");

// https://schema.org/isAvailableGenerically
t("isAvailableGenerically");
t("True if the drug is available in a generic form (regardless of name).");

// https://schema.org/isBasedOn
t("isBasedOn");
t("A resource from which this work is derived or from which it is a modification or adaptation.");

// https://schema.org/isBasedOnUrl
t("isBasedOnUrl");
t("A resource that was used in the creation of this resource. This term can be repeated for multiple sources. For example, http://example.com/great-multiplication-intro.html.");
t("A resource that was used in the creation of this resource.");

// https://schema.org/isbn
t("isbn");
t("The ISBN of the book.");

// https://schema.org/isConsumableFor
t("isConsumableFor");
t("A pointer to another product (or multiple products) for which this product is a consumable.");

// https://schema.org/isEncodedByBioChemEntity
t("isEncodedByBioChemEntity");
t("Another BioChemEntity encoding by this one.");

// https://schema.org/isFamilyFriendly
t("isFamilyFriendly");
t("Indicates whether this content is family friendly.");

// https://schema.org/isGift
t("isGift");
t("Indicates whether the offer was accepted as a gift for someone other than the buyer.");

// https://schema.org/isicV4
t("isicV4");
t("The International Standard of Industrial Classification of All Economic Activities (ISIC), Revision 4 code for a particular organization, business person, or place.");

// https://schema.org/isInvolvedInBiologicalProcess
t("isInvolvedInBiologicalProcess");
t("Biological process this BioChemEntity is involved in; please use PropertyValue if you want to include any evidence.");

// https://schema.org/isLiveBroadcast
t("isLiveBroadcast");
t("True if the broadcast is of a live event.");

// https://schema.org/isLocatedInSubcellularLocation
t("isLocatedInSubcellularLocation");
t("Subcellular location where this BioChemEntity is located; please use PropertyValue if you want to include any evidence.");

// https://schema.org/iso6523Code
t("iso6523Code");
t('An organization identifier as defined in ISO 6523(-1). Note that many existing organization identifiers such as <a href="https://schema.org/leiCode">leiCode</a>, <a href="https://schema.org/duns">duns</a> and <a href="https://schema.org/vatID">vatID</a> can be expressed as an ISO 6523 identifier by setting the ICD part of the ISO 6523 identifier accordingly.');
t("An organization identifier as defined in ISO 6523(-1).");

// https://schema.org/isPartOf
t("isPartOf");
t("Indicates an item or CreativeWork that this item, or CreativeWork (in some sense), is part of.");

// https://schema.org/isPartOfBioChemEntity
t("isPartOfBioChemEntity");
t("Indicates a BioChemEntity that is (in some sense) a part of this BioChemEntity.");

// https://schema.org/isPlanForApartment
t("isPlanForApartment");
t("Indicates some accommodation that this floor plan describes.");

// https://schema.org/isProprietary
t("isProprietary");
t("True if this item's name is a proprietary/brand name (vs. generic name).");
t("True if this item's name is a proprietary/brand name (vs.");

// https://schema.org/isrcCode
t("isrcCode");
t("The International Standard Recording Code for the recording.");

// https://schema.org/isRelatedTo
t("isRelatedTo");
t("A pointer to another, somehow related product (or multiple products).");

// https://schema.org/isResizable
t("isResizable");
t("Whether the 3DModel allows resizing. For example, room layout applications often do not allow 3DModel elements to be resized to reflect reality.");
t("Whether the 3DModel allows resizing.");

// https://schema.org/isSimilarTo
t("isSimilarTo");
t("A pointer to another, functionally similar product (or multiple products).");

// https://schema.org/issn
t("issn");
t("The International Standard Serial Number (ISSN) that identifies this serial publication. You can repeat this property to identify different formats of, or the linking ISSN (ISSN-L) for, this serial publication.");
t("The International Standard Serial Number (ISSN) that identifies this serial publication.");

// https://schema.org/issuedBy
t("issuedBy");
t("The organization issuing the ticket or permit.");

// https://schema.org/issuedThrough
t("issuedThrough");
t("The service through which the permit was granted.");

// https://schema.org/issueNumber
t("issueNumber");
t('Identifies the issue of publication; for example, "iii" or "2".');

// https://schema.org/isUnlabelledFallback
t("isUnlabelledFallback");
t('This can be marked \'true\' to indicate that some published <a class="localLink" href="/DeliveryTimeSettings">DeliveryTimeSettings</a> or <a class="localLink" href="/ShippingRateSettings">ShippingRateSettings</a> are intended to apply to all <a class="localLink" href="/OfferShippingDetails">OfferShippingDetails</a> published by the same merchant, when referenced by a <a class="localLink" href="/shippingSettingsLink">shippingSettingsLink</a> in those settings. It is not meaningful to use a \'true\' value for this property alongside a transitTimeLabel (for <a class="localLink" href="/DeliveryTimeSettings">DeliveryTimeSettings</a>) or shippingLabel (for <a class="localLink" href="/ShippingRateSettings">ShippingRateSettings</a>), since this property is for use with unlabelled settings.');
t('This can be marked \'true\' to indicate that some published <a class="localLink" href="/DeliveryTimeSettings">DeliveryTimeSettings</a> or <a class="localLink" href="/ShippingRateSettings">ShippingRateSettings</a> are intended to apply to all <a class="localLink" href="/OfferShippingDetails">OfferShippingDetails</a> published by the same merchant, when referenced by a <a class="localLink" href="/shippingSettingsLink">shippingSettingsLink</a> in those settings.');

// https://schema.org/isVariantOf
t("isVariantOf");
t('Indicates the kind of product that this is a variant of. In the case of <a class="localLink" href="/ProductModel">ProductModel</a>, this is a pointer (from a ProductModel) to a base product from which this product is a variant. It is safe to infer that the variant inherits all product features from the base model, unless defined locally. This is not transitive. In the case of a <a class="localLink" href="/ProductGroup">ProductGroup</a>, the group description also serves as a template, representing a set of Products that vary on explicitly defined, specific dimensions only (so it defines both a set of variants, as well as which values distinguish amongst those variants). When used with <a class="localLink" href="/ProductGroup">ProductGroup</a>, this property can apply to any <a class="localLink" href="/Product">Product</a> included in the group.');
t("Indicates the kind of product that this is a variant of.");

// https://schema.org/iswcCode
t("iswcCode");
t("The International Standard Musical Work Code for the composition.");

// https://schema.org/item
t("item");
t("An entity represented by an entry in a list or data feed (e.g. an 'artist' in a list of 'artists').");

// https://schema.org/itemCondition
t("itemCondition");
t("A predefined value from OfferItemCondition specifying the condition of the product or service, or the products or services included in the offer. Also used for product return policies to specify the condition of products accepted for returns.");
t("A predefined value from OfferItemCondition specifying the condition of the product or service, or the products or services included in the offer.");

// https://schema.org/itemDefectReturnFees
t("itemDefectReturnFees");
t("The type of return fees for returns of defect products.");

// https://schema.org/itemDefectReturnLabelSource
t("itemDefectReturnLabelSource");
t("The method (from an enumeration) by which the customer obtains a return shipping label for a defect product.");

// https://schema.org/itemDefectReturnShippingFeesAmount
t("itemDefectReturnShippingFeesAmount");
t('Amount of shipping costs for defect product returns. Applicable when property <a class="localLink" href="/itemDefectReturnFees">itemDefectReturnFees</a> equals <a class="localLink" href="/ReturnShippingFees">ReturnShippingFees</a>.');
t("Amount of shipping costs for defect product returns.");

// https://schema.org/itemListElement
t("itemListElement");
t('For itemListElement values, you can use simple strings (e.g. "Peter", "Paul", "Mary"), existing entities, or use ListItem.<br/><br/>

Text values are best if the elements in the list are plain strings. Existing entities are best for a simple, unordered list of existing things in your data. ListItem is used with ordered lists when you want to provide additional context about the element in that list or when the same item might be in different places in different lists.<br/><br/>

Note: The order of elements in your mark-up is not sufficient for indicating the order or elements.  Use ListItem with a \'position\' property in such cases.');
t('For itemListElement values, you can use simple strings (e.g. "Peter", "Paul", "Mary"), existing entities, or use ListItem.');

// https://schema.org/itemListOrder
t("itemListOrder");
t("Type of ordering (e.g. Ascending, Descending, Unordered).");

// https://schema.org/itemLocation
t("itemLocation");
t("Current location of the item.");

// https://schema.org/itemOffered
t("itemOffered");
t('An item being offered (or demanded). The transactional nature of the offer or demand is documented using <a class="localLink" href="/businessFunction">businessFunction</a>, e.g. sell, lease etc. While several common expected types are listed explicitly in this definition, others can be used. Using a second type, such as Product or a subtype of Product, can clarify the nature of the offer.');
t("An item being offered (or demanded).");

// https://schema.org/itemReviewed
t("itemReviewed");
t("The item that is being reviewed/rated.");

// https://schema.org/itemShipped
t("itemShipped");
t("Item(s) being shipped.");

// https://schema.org/itinerary
t("itinerary");
t('Destination(s) ( <a class="localLink" href="/Place">Place</a> ) that make up a trip. For a trip where destination order is important use <a class="localLink" href="/ItemList">ItemList</a> to specify that order (see examples).');
t('Destination(s) ( <a class="localLink" href="/Place">Place</a> ) that make up a trip.');

// https://schema.org/iupacName
t("iupacName");
t("Systematic method of naming chemical compounds as recommended by the International Union of Pure and Applied Chemistry (IUPAC).");

// https://schema.org/jobBenefits
t("jobBenefits");
t("Description of benefits associated with the job.");

// https://schema.org/jobImmediateStart
t("jobImmediateStart");
t("An indicator as to whether a position is available for an immediate start.");

// https://schema.org/jobLocation
t("jobLocation");
t("A (typically single) geographic location associated with the job position.");

// https://schema.org/jobLocationType
t("jobLocationType");
t("A description of the job location (e.g. TELECOMMUTE for telecommute jobs).");

// https://schema.org/jobStartDate
t("jobStartDate");
t("The date on which a successful applicant for this job would be expected to start work. Choose a specific date in the future or use the jobImmediateStart property to indicate the position is to be filled as soon as possible.");
t("The date on which a successful applicant for this job would be expected to start work.");

// https://schema.org/jobTitle
t("jobTitle");
t("The job title of the person (for example, Financial Manager).");

// https://schema.org/jurisdiction
t("jurisdiction");
t("Indicates a legal jurisdiction, e.g. of some legislation, or where some government service is based.");

// https://schema.org/keywords
t("keywords");
t("Keywords or tags used to describe some item. Multiple textual entries in a keywords list are typically delimited by commas, or by repeating the property.");
t("Keywords or tags used to describe some item.");

// https://schema.org/knownVehicleDamages
t("knownVehicleDamages");
t("A textual description of known damages, both repaired and unrepaired.");

// https://schema.org/knows
t("knows");
t("The most generic bi-directional social/work relation.");

// https://schema.org/knowsAbout
t("knowsAbout");
t('Of a <a class="localLink" href="/Person">Person</a>, and less typically of an <a class="localLink" href="/Organization">Organization</a>, to indicate a topic that is known about - suggesting possible expertise but not implying it. We do not distinguish skill levels here, or relate this to educational content, events, objectives or <a class="localLink" href="/JobPosting">JobPosting</a> descriptions.');
t('Of a <a class="localLink" href="/Person">Person</a>, and less typically of an <a class="localLink" href="/Organization">Organization</a>, to indicate a topic that is known about - suggesting possible expertise but not implying it.');

// https://schema.org/knowsLanguage
t("knowsLanguage");
t('Of a <a class="localLink" href="/Person">Person</a>, and less typically of an <a class="localLink" href="/Organization">Organization</a>, to indicate a known language. We do not distinguish skill levels or reading/writing/speaking/signing here. Use language codes from the <a href="http://tools.ietf.org/html/bcp47">IETF BCP 47 standard</a>.');
t('Of a <a class="localLink" href="/Person">Person</a>, and less typically of an <a class="localLink" href="/Organization">Organization</a>, to indicate a known language.');

// https://schema.org/labelDetails
t("labelDetails");
t("Link to the drug's label details.");

// https://schema.org/landlord
t("landlord");
t("A sub property of participant. The owner of the real estate property.");
t("A sub property of participant.");

// https://schema.org/language
t("language");
t("A sub property of instrument. The language used on this action.");
t("A sub property of instrument.");

// https://schema.org/lastReviewed
t("lastReviewed");
t("Date on which the content on this web page was last reviewed for accuracy and/or completeness.");

// https://schema.org/latitude
t("latitude");
t('The latitude of a location. For example <code>37.42242</code> (<a href="https://en.wikipedia.org/wiki/World_Geodetic_System">WGS 84</a>).');
t("The latitude of a location.");

// https://schema.org/layoutImage
t("layoutImage");
t("A schematic image showing the floorplan layout.");

// https://schema.org/learningResourceType
t("learningResourceType");
t("The predominant type or kind characterizing the learning resource. For example, 'presentation', 'handout'.");
t("The predominant type or kind characterizing the learning resource.");

// https://schema.org/leaseLength
t("leaseLength");
t('Length of the lease for some <a class="localLink" href="/Accommodation">Accommodation</a>, either particular to some <a class="localLink" href="/Offer">Offer</a> or in some cases intrinsic to the property.');

// https://schema.org/legalName
t("legalName");
t("The official name of the organization, e.g. the registered company name.");

// https://schema.org/legalStatus
t("legalStatus");
t("The drug or supplement's legal status, including any controlled substance schedules that apply.");

// https://schema.org/legislationApplies
t("legislationApplies");
t('Indicates that this legislation (or part of a legislation) somehow transfers another legislation in a different legislative context. This is an informative link, and it has no legal value. For legally-binding links of transposition, use the <a href="/legislationTransposes">legislationTransposes</a> property. For example an informative consolidated law of a European Union\'s member state "applies" the consolidated version of the European Directive implemented in it.');
t("Indicates that this legislation (or part of a legislation) somehow transfers another legislation in a different legislative context.");

// https://schema.org/legislationChanges
t("legislationChanges");
t('Another legislation that this legislation changes. This encompasses the notions of amendment, replacement, correction, repeal, or other types of change. This may be a direct change (textual or non-textual amendment) or a consequential or indirect change. The property is to be used to express the existence of a change relationship between two acts rather than the existence of a consolidated version of the text that shows the result of the change. For consolidation relationships, use the <a href="/legislationConsolidates">legislationConsolidates</a> property.');
t("Another legislation that this legislation changes.");

// https://schema.org/legislationConsolidates
t("legislationConsolidates");
t("Indicates another legislation taken into account in this consolidated legislation (which is usually the product of an editorial process that revises the legislation). This property should be used multiple times to refer to both the original version or the previous consolidated version, and to the legislations making the change.");
t("Indicates another legislation taken into account in this consolidated legislation (which is usually the product of an editorial process that revises the legislation).");

// https://schema.org/legislationDate
t("legislationDate");
t("The date of adoption or signature of the legislation. This is the date at which the text is officially aknowledged to be a legislation, even though it might not even be published or in force.");
t("The date of adoption or signature of the legislation.");

// https://schema.org/legislationDateVersion
t("legislationDateVersion");
t('The point-in-time at which the provided description of the legislation is valid (e.g.: when looking at the law on the 2016-04-07 (= dateVersion), I get the consolidation of 2015-04-12 of the "National Insurance Contributions Act 2015")');

// https://schema.org/legislationIdentifier
t("legislationIdentifier");
t("An identifier for the legislation. This can be either a string-based identifier, like the CELEX at EU level or the NOR in France, or a web-based, URL/URI identifier, like an ELI (European Legislation Identifier) or an URN-Lex.");
t("An identifier for the legislation.");

// https://schema.org/legislationJurisdiction
t("legislationJurisdiction");
t("The jurisdiction from which the legislation originates.");

// https://schema.org/legislationLegalForce
t("legislationLegalForce");
t("Whether the legislation is currently in force, not in force, or partially in force.");

// https://schema.org/legislationLegalValue
t("legislationLegalValue");
t('The legal value of this legislation file. The same legislation can be written in multiple files with different legal values. Typically a digitally signed PDF have a "stronger" legal value than the HTML file of the same act.');
t("The legal value of this legislation file.");

// https://schema.org/legislationPassedBy
t("legislationPassedBy");
t('The person or organization that originally passed or made the law: typically parliament (for primary legislation) or government (for secondary legislation). This indicates the "legal author" of the law, as opposed to its physical author.');
t("The person or organization that originally passed or made the law: typically parliament (for primary legislation) or government (for secondary legislation).");

// https://schema.org/legislationResponsible
t("legislationResponsible");
t("An individual or organization that has some kind of responsibility for the legislation. Typically the ministry who is/was in charge of elaborating the legislation, or the adressee for potential questions about the legislation once it is published.");
t("An individual or organization that has some kind of responsibility for the legislation.");

// https://schema.org/legislationTransposes
t("legislationTransposes");
t("Indicates that this legislation (or part of legislation) fulfills the objectives set by another legislation, by passing appropriate implementation measures. Typically, some legislations of European Union's member states or regions transpose European Directives. This indicates a legally binding link between the 2 legislations.");
t("Indicates that this legislation (or part of legislation) fulfills the objectives set by another legislation, by passing appropriate implementation measures.");

// https://schema.org/legislationType
t("legislationType");
t('The type of the legislation. Examples of values are "law", "act", "directive", "decree", "regulation", "statutory instrument", "loi organique", "règlement grand-ducal", etc., depending on the country.');
t("The type of the legislation.");

// https://schema.org/leiCode
t("leiCode");
t("An organization identifier that uniquely identifies a legal entity as defined in ISO 17442.");

// https://schema.org/lender
t("lender");
t("A sub property of participant. The person that lends the object being borrowed.");
t("A sub property of participant.");

// https://schema.org/lesser
t("lesser");
t("This ordering relation for qualitative values indicates that the subject is lesser than the object.");

// https://schema.org/lesserOrEqual
t("lesserOrEqual");
t("This ordering relation for qualitative values indicates that the subject is lesser than or equal to the object.");

// https://schema.org/letterer
t("letterer");
t("The individual who adds lettering, including speech balloons and sound effects, to artwork.");

// https://schema.org/license
t("license");
t("A license document that applies to this content, typically indicated by URL.");

// https://schema.org/line
t("line");
t("A line is a point-to-point path consisting of two or more points. A line is expressed as a series of two or more point objects separated by space.");
t("A line is a point-to-point path consisting of two or more points.");

// https://schema.org/linkRelationship
t("linkRelationship");
t("Indicates the relationship type of a Web link.");

// https://schema.org/liveBlogUpdate
t("liveBlogUpdate");
t("An update to the LiveBlog.");

// https://schema.org/loanMortgageMandateAmount
t("loanMortgageMandateAmount");
t("Amount of mortgage mandate that can be converted into a proper mortgage at a later stage.");

// https://schema.org/loanPaymentAmount
t("loanPaymentAmount");
t("The amount of money to pay in a single payment.");

// https://schema.org/loanPaymentFrequency
t("loanPaymentFrequency");
t("Frequency of payments due, i.e. number of months between payments. This is defined as a frequency, i.e. the reciprocal of a period of time.");
t("Frequency of payments due, i.e. number of months between payments.");

// https://schema.org/loanRepaymentForm
t("loanRepaymentForm");
t("A form of paying back money previously borrowed from a lender. Repayment usually takes the form of periodic payments that normally include part principal plus interest in each payment.");
t("A form of paying back money previously borrowed from a lender.");

// https://schema.org/loanTerm
t("loanTerm");
t("The duration of the loan or credit agreement.");

// https://schema.org/loanType
t("loanType");
t("The type of a loan or credit.");

// https://schema.org/location
t("location");
t("The location of, for example, where an event is happening, where an organization is located, or where an action takes place.");

// https://schema.org/locationCreated
t("locationCreated");
t("The location where the CreativeWork was created, which may not be the same as the location depicted in the CreativeWork.");

// https://schema.org/lodgingUnitDescription
t("lodgingUnitDescription");
t("A full description of the lodging unit.");

// https://schema.org/lodgingUnitType
t("lodgingUnitType");
t("Textual description of the unit type (including suite vs. room, size of bed, etc.).");

// https://schema.org/logo
t("logo");
t("An associated logo.");

// https://schema.org/longitude
t("longitude");
t('The longitude of a location. For example <code>-122.08585</code> (<a href="https://en.wikipedia.org/wiki/World_Geodetic_System">WGS 84</a>).');
t("The longitude of a location.");

// https://schema.org/loser
t("loser");
t("A sub property of participant. The loser of the action.");
t("A sub property of participant.");

// https://schema.org/lowPrice
t("lowPrice");
t("The lowest price of all offers available.<br/><br/>

Usage guidelines:<br/><br/>

<ul>
<li>Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.</li>
<li>Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.</li>
</ul>");
t("The lowest price of all offers available.");

// https://schema.org/lyricist
t("lyricist");
t("The person who wrote the words.");

// https://schema.org/lyrics
t("lyrics");
t("The words in the song.");

// https://schema.org/mainContentOfPage
t("mainContentOfPage");
t("Indicates if this web page element is the main subject of the page.");

// https://schema.org/mainEntity
t("mainEntity");
t("Indicates the primary entity described in some page or other CreativeWork.");

// https://schema.org/mainEntityOfPage
t("mainEntityOfPage");
t('Indicates a page (or other CreativeWork) for which this thing is the main entity being described. See <a href="/docs/datamodel.html#mainEntityBackground">background notes</a> for details.');
t("Indicates a page (or other CreativeWork) for which this thing is the main entity being described.");

// https://schema.org/maintainer
t("maintainer");
t('A maintainer of a <a class="localLink" href="/Dataset">Dataset</a>, software package (<a class="localLink" href="/SoftwareApplication">SoftwareApplication</a>), or other <a class="localLink" href="/Project">Project</a>. A maintainer is a <a class="localLink" href="/Person">Person</a> or <a class="localLink" href="/Organization">Organization</a> that manages contributions to, and/or publication of, some (typically complex) artifact. It is common for distributions of software and data to be based on "upstream" sources. When <a class="localLink" href="/maintainer">maintainer</a> is applied to a specific version of something e.g. a particular version or packaging of a <a class="localLink" href="/Dataset">Dataset</a>, it is always  possible that the upstream source has a different maintainer. The <a class="localLink" href="/isBasedOn">isBasedOn</a> property can be used to indicate such relationships between datasets to make the different maintenance roles clear. Similarly in the case of software, a package may have dedicated maintainers working on integration into software distributions such as Ubuntu, as well as upstream maintainers of the underlying work.');
t('A maintainer of a <a class="localLink" href="/Dataset">Dataset</a>, software package (<a class="localLink" href="/SoftwareApplication">SoftwareApplication</a>), or other <a class="localLink" href="/Project">Project</a>.');

// https://schema.org/makesOffer
t("makesOffer");
t("A pointer to products or services offered by the organization or person.");

// https://schema.org/manufacturer
t("manufacturer");
t("The manufacturer of the product.");

// https://schema.org/map
t("map");
t("A URL to a map of the place.");

// https://schema.org/maps
t("maps");
t("A URL to a map of the place.");

// https://schema.org/mapType
t("mapType");
t("Indicates the kind of Map, from the MapCategoryType Enumeration.");

// https://schema.org/marginOfError
t("marginOfError");
t('A <a class="localLink" href="/marginOfError">marginOfError</a> for an <a class="localLink" href="/Observation">Observation</a>.');

// https://schema.org/masthead
t("masthead");
t('For a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a>, a link to the masthead page or a page listing top editorial management.');

// https://schema.org/material
t("material");
t("A material that something is made from, e.g. leather, wool, cotton, paper.");

// https://schema.org/materialExtent
t("materialExtent");
t("The quantity of the materials being described or an expression of the physical space they occupy.");

// https://schema.org/mathExpression
t("mathExpression");
t("A mathematical expression (e.g. 'x^2-3x=0') that may be solved for a specific variable, simplified, or transformed. This can take many formats, e.g. LaTeX, Ascii-Math, or math as you would write with a keyboard.");
t("A mathematical expression (e.g. 'x^2-3x=0') that may be solved for a specific variable, simplified, or transformed.");

// https://schema.org/maximumAttendeeCapacity
t("maximumAttendeeCapacity");
t("The total number of individuals that may attend an event or venue.");

// https://schema.org/maximumEnrollment
t("maximumEnrollment");
t("The maximum number of students who may be enrolled in the program.");

// https://schema.org/maximumIntake
t("maximumIntake");
t("Recommended intake of this supplement for a given population as defined by a specific recommending authority.");

// https://schema.org/maximumPhysicalAttendeeCapacity
t("maximumPhysicalAttendeeCapacity");
t('The maximum physical attendee capacity of an <a class="localLink" href="/Event">Event</a> whose <a class="localLink" href="/eventAttendanceMode">eventAttendanceMode</a> is <a class="localLink" href="/OfflineEventAttendanceMode">OfflineEventAttendanceMode</a> (or the offline aspects, in the case of a <a class="localLink" href="/MixedEventAttendanceMode">MixedEventAttendanceMode</a>).');

// https://schema.org/maximumVirtualAttendeeCapacity
t("maximumVirtualAttendeeCapacity");
t('The maximum virtual attendee capacity of an <a class="localLink" href="/Event">Event</a> whose <a class="localLink" href="/eventAttendanceMode">eventAttendanceMode</a> is <a class="localLink" href="/OnlineEventAttendanceMode">OnlineEventAttendanceMode</a> (or the online aspects, in the case of a <a class="localLink" href="/MixedEventAttendanceMode">MixedEventAttendanceMode</a>).');

// https://schema.org/maxPrice
t("maxPrice");
t("The highest price if the price is a range.");

// https://schema.org/maxValue
t("maxValue");
t("The upper value of some characteristic or property.");

// https://schema.org/mealService
t("mealService");
t("Description of the meals that will be provided or available for purchase.");

// https://schema.org/measuredProperty
t("measuredProperty");
t('The measuredProperty of an <a class="localLink" href="/Observation">Observation</a>, typically via its <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a>. There are various kinds of applicable <a class="localLink" href="/Property">Property</a>: a schema.org property, a property from other RDF-compatible systems, e.g. W3C RDF Data Cube, Data Commons, Wikidata, or schema.org extensions such as <a href="https://www.gs1.org/voc/?show=properties">GS1\'s</a>.');
t('The measuredProperty of an <a class="localLink" href="/Observation">Observation</a>, typically via its <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a>.');

// https://schema.org/measurementDenominator
t("measurementDenominator");
t("Identifies the denominator variable when an observation represents a ratio or percentage.");

// https://schema.org/measurementMethod
t("measurementMethod");
t('A subproperty of <a class="localLink" href="/measurementTechnique">measurementTechnique</a> that can be used for specifying specific methods, in particular via <a class="localLink" href="/MeasurementMethodEnum">MeasurementMethodEnum</a>.');

// https://schema.org/measurementQualifier
t("measurementQualifier");
t("Provides additional qualification to an observation. For example, a GDP observation measures the Nominal value.");
t("Provides additional qualification to an observation.");

// https://schema.org/measurementTechnique
t("measurementTechnique");
t('A technique, method or technology used in an <a class="localLink" href="/Observation">Observation</a>, <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a> or <a class="localLink" href="/Dataset">Dataset</a> (or <a class="localLink" href="/DataDownload">DataDownload</a>, <a class="localLink" href="/DataCatalog">DataCatalog</a>), corresponding to the method used for measuring the corresponding variable(s) (for datasets, described using <a class="localLink" href="/variableMeasured">variableMeasured</a>; for <a class="localLink" href="/Observation">Observation</a>, a <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a>). Often but not necessarily each <a class="localLink" href="/variableMeasured">variableMeasured</a> will have an explicit representation as (or mapping to) an property such as those defined in Schema.org, or other RDF vocabularies and "knowledge graphs". In that case the subproperty of <a class="localLink" href="/variableMeasured">variableMeasured</a> called <a class="localLink" href="/measuredProperty">measuredProperty</a> is applicable.<br/><br/>

The <a class="localLink" href="/measurementTechnique">measurementTechnique</a> property helps when extra clarification is needed about how a <a class="localLink" href="/measuredProperty">measuredProperty</a> was measured. This is oriented towards scientific and scholarly dataset publication but may have broader applicability; it is not intended as a full representation of measurement, but can often serve as a high level summary for dataset discovery. <br/><br/>

For example, if <a class="localLink" href="/variableMeasured">variableMeasured</a> is: molecule concentration, <a class="localLink" href="/measurementTechnique">measurementTechnique</a> could be: "mass spectrometry" or "nmr spectroscopy" or "colorimetry" or "immunofluorescence". If the <a class="localLink" href="/variableMeasured">variableMeasured</a> is "depression rating", the <a class="localLink" href="/measurementTechnique">measurementTechnique</a> could be "Zung Scale" or "HAM-D" or "Beck Depression Inventory". <br/><br/>

If there are several <a class="localLink" href="/variableMeasured">variableMeasured</a> properties recorded for some given data object, use a <a class="localLink" href="/PropertyValue">PropertyValue</a> for each <a class="localLink" href="/variableMeasured">variableMeasured</a> and attach the corresponding <a class="localLink" href="/measurementTechnique">measurementTechnique</a>. The value can also be from an enumeration, organized as a <a class="localLink" href="/MeasurementMetholdEnumeration">MeasurementMetholdEnumeration</a>.');
t('A technique, method or technology used in an <a class="localLink" href="/Observation">Observation</a>, <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a> or <a class="localLink" href="/Dataset">Dataset</a> (or <a class="localLink" href="/DataDownload">DataDownload</a>, <a class="localLink" href="/DataCatalog">DataCatalog</a>), corresponding to the method used for measuring the corresponding variable(s) (for datasets, described using <a class="localLink" href="/variableMeasured">variableMeasured</a>; for <a class="localLink" href="/Observation">Observation</a>, a <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a>).');

// https://schema.org/mechanismOfAction
t("mechanismOfAction");
t("The specific biochemical interaction through which this drug or supplement produces its pharmacological effect.");

// https://schema.org/mediaAuthenticityCategory
t("mediaAuthenticityCategory");
t("Indicates a MediaManipulationRatingEnumeration classification of a media object (in the context of how it was published or shared).");

// https://schema.org/mediaItemAppearance
t("mediaItemAppearance");
t('In the context of a <a class="localLink" href="/MediaReview">MediaReview</a>, indicates specific media item(s) that are grouped using a <a class="localLink" href="/MediaReviewItem">MediaReviewItem</a>.');

// https://schema.org/median
t("median");
t("The median value.");

// https://schema.org/medicalAudience
t("medicalAudience");
t("Medical audience for page.");

// https://schema.org/medicalSpecialty
t("medicalSpecialty");
t("A medical specialty of the provider.");

// https://schema.org/medicineSystem
t("medicineSystem");
t("The system of medicine that includes this MedicalEntity, for example 'evidence-based', 'homeopathic', 'chiropractic', etc.");

// https://schema.org/meetsEmissionStandard
t("meetsEmissionStandard");
t("Indicates that the vehicle meets the respective emission standard.");

// https://schema.org/member
t("member");
t("A member of an Organization or a ProgramMembership. Organizations can be members of organizations; ProgramMembership is typically for individuals.");
t("A member of an Organization or a ProgramMembership.");

// https://schema.org/memberOf
t("memberOf");
t("An Organization (or ProgramMembership) to which this Person or Organization belongs.");

// https://schema.org/members
t("members");
t("A member of this organization.");

// https://schema.org/membershipNumber
t("membershipNumber");
t("A unique identifier for the membership.");

// https://schema.org/membershipPointsEarned
t("membershipPointsEarned");
t("The number of membership points earned by the member. If necessary, the unitText can be used to express the units the points are issued in. (E.g. stars, miles, etc.)");
t("The number of membership points earned by the member.");

// https://schema.org/memoryRequirements
t("memoryRequirements");
t("Minimum memory requirements.");

// https://schema.org/mentions
t("mentions");
t("Indicates that the CreativeWork contains a reference to, but is not necessarily about a concept.");

// https://schema.org/menu
t("menu");
t("Either the actual menu as a structured representation, as text, or a URL of the menu.");

// https://schema.org/menuAddOn
t("menuAddOn");
t("Additional menu item(s) such as a side dish of salad or side order of fries that can be added to this menu item. Additionally it can be a menu section containing allowed add-on menu items for this menu item.");
t("Additional menu item(s) such as a side dish of salad or side order of fries that can be added to this menu item.");

// https://schema.org/merchant
t("merchant");
t("'merchant' is an out-dated term for 'seller'.");

// https://schema.org/merchantReturnDays
t("merchantReturnDays");
t('Specifies either a fixed return date or the number of days (from the delivery date) that a product can be returned. Used when the <a class="localLink" href="/returnPolicyCategory">returnPolicyCategory</a> property is specified as <a class="localLink" href="/MerchantReturnFiniteReturnWindow">MerchantReturnFiniteReturnWindow</a>.');
t("Specifies either a fixed return date or the number of days (from the delivery date) that a product can be returned.");

// https://schema.org/merchantReturnLink
t("merchantReturnLink");
t("Specifies a Web page or service by URL, for product returns.");

// https://schema.org/messageAttachment
t("messageAttachment");
t("A CreativeWork attached to the message.");

// https://schema.org/mileageFromOdometer
t("mileageFromOdometer");
t("The total distance travelled by the particular vehicle since its initial production, as read from its odometer.<br/><br/>

Typical unit code(s): KMT for kilometers, SMI for statute miles");
t("The total distance travelled by the particular vehicle since its initial production, as read from its odometer.");

// https://schema.org/minimumPaymentDue
t("minimumPaymentDue");
t("The minimum payment required at this time.");

// https://schema.org/minPrice
t("minPrice");
t("The lowest price if the price is a range.");

// https://schema.org/minValue
t("minValue");
t("The lower value of some characteristic or property.");

// https://schema.org/missionCoveragePrioritiesPolicy
t("missionCoveragePrioritiesPolicy");
t('For a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a>, a statement on coverage priorities, including any public agenda or stance on issues.');

// https://schema.org/mobileUrl
t("mobileUrl");
t('The <a class="localLink" href="/mobileUrl">mobileUrl</a> property is provided for specific situations in which data consumers need to determine whether one of several provided URLs is a dedicated \'mobile site\'.<br/><br/>

To discourage over-use, and reflecting intial usecases, the property is expected only on <a class="localLink" href="/Product">Product</a> and <a class="localLink" href="/Offer">Offer</a>, rather than <a class="localLink" href="/Thing">Thing</a>. The general trend in web technology is towards <a href="https://en.wikipedia.org/wiki/Responsive_web_design">responsive design</a> in which content can be flexibly adapted to a wide range of browsing environments. Pages and sites referenced with the long-established <a class="localLink" href="/url">url</a> property should ideally also be usable on a wide variety of devices, including mobile phones. In most cases, it would be pointless and counter productive to attempt to update all <a class="localLink" href="/url">url</a> markup to use <a class="localLink" href="/mobileUrl">mobileUrl</a> for more mobile-oriented pages. The property is intended for the case when items (primarily <a class="localLink" href="/Product">Product</a> and <a class="localLink" href="/Offer">Offer</a>) have extra URLs hosted on an additional "mobile site" alongside the main one. It should not be taken as an endorsement of this publication style.');
t('The <a class="localLink" href="/mobileUrl">mobileUrl</a> property is provided for specific situations in which data consumers need to determine whether one of several provided URLs is a dedicated \'mobile site\'.');

// https://schema.org/model
t("model");
t("The model of the product. Use with the URL of a ProductModel or a textual representation of the model identifier. The URL of the ProductModel can be from an external source. It is recommended to additionally provide strong product identifiers via the gtin8/gtin13/gtin14 and mpn properties.");
t("The model of the product.");

// https://schema.org/modelDate
t("modelDate");
t("The release date of a vehicle model (often used to differentiate versions of the same make and model).");

// https://schema.org/modifiedTime
t("modifiedTime");
t("The date and time the reservation was modified.");

// https://schema.org/molecularFormula
t("molecularFormula");
t("The empirical formula is the simplest whole number ratio of all the atoms in a molecule.");

// https://schema.org/molecularWeight
t("molecularWeight");
t("This is the molecular weight of the entity being described, not of the parent. Units should be included in the form '&lt;Number&gt; &lt;unit&gt;', for example '12 amu' or as '&lt;QuantitativeValue&gt;.");
t("This is the molecular weight of the entity being described, not of the parent.");

// https://schema.org/monoisotopicMolecularWeight
t("monoisotopicMolecularWeight");
t("The monoisotopic mass is the sum of the masses of the atoms in a molecule using the unbound, ground-state, rest mass of the principal (most abundant) isotope for each element instead of the isotopic average mass. Please include the units in the form '&lt;Number&gt; &lt;unit&gt;', for example '770.230488 g/mol' or as '&lt;QuantitativeValue&gt;.");
t("The monoisotopic mass is the sum of the masses of the atoms in a molecule using the unbound, ground-state, rest mass of the principal (most abundant) isotope for each element instead of the isotopic average mass.");

// https://schema.org/monthlyMinimumRepaymentAmount
t("monthlyMinimumRepaymentAmount");
t("The minimum payment is the lowest amount of money that one is required to pay on a credit card statement each month.");

// https://schema.org/monthsOfExperience
t("monthsOfExperience");
t("Indicates the minimal number of months of experience required for a position.");

// https://schema.org/mpn
t("mpn");
t("The Manufacturer Part Number (MPN) of the product, or the product to which the offer refers.");

// https://schema.org/multipleValues
t("multipleValues");
t("Whether multiple values are allowed for the property.  Default is false.");
t("Whether multiple values are allowed for the property.");

// https://schema.org/muscleAction
t("muscleAction");
t("The movement the muscle generates.");

// https://schema.org/musicalKey
t("musicalKey");
t("The key, mode, or scale this composition uses.");

// https://schema.org/musicArrangement
t("musicArrangement");
t("An arrangement derived from the composition.");

// https://schema.org/musicBy
t("musicBy");
t("The composer of the soundtrack.");

// https://schema.org/musicCompositionForm
t("musicCompositionForm");
t("The type of composition (e.g. overture, sonata, symphony, etc.).");

// https://schema.org/musicGroupMember
t("musicGroupMember");
t("A member of a music group&#x2014;for example, John, Paul, George, or Ringo.");

// https://schema.org/musicReleaseFormat
t("musicReleaseFormat");
t("Format of this release (the type of recording media used, i.e. compact disc, digital media, LP, etc.).");

// https://schema.org/naics
t("naics");
t("The North American Industry Classification System (NAICS) code for a particular organization or business person.");

// https://schema.org/name
t("name");
t("The name of the item.");

// https://schema.org/namedPosition
t("namedPosition");
t("A position played, performed or filled by a person or organization, as part of an organization. For example, an athlete in a SportsTeam might play in the position named 'Quarterback'.");
t("A position played, performed or filled by a person or organization, as part of an organization.");

// https://schema.org/nationality
t("nationality");
t("Nationality of the person.");

// https://schema.org/naturalProgression
t("naturalProgression");
t("The expected progression of the condition if it is not treated and allowed to progress naturally.");

// https://schema.org/negativeNotes
t("negativeNotes");
t('Provides negative considerations regarding something, most typically in pro/con lists for reviews (alongside <a class="localLink" href="/positiveNotes">positiveNotes</a>). For symmetry <br/><br/>

In the case of a <a class="localLink" href="/Review">Review</a>, the property describes the <a class="localLink" href="/itemReviewed">itemReviewed</a> from the perspective of the review; in the case of a <a class="localLink" href="/Product">Product</a>, the product itself is being described. Since product descriptions 
tend to emphasise positive claims, it may be relatively unusual to find <a class="localLink" href="/negativeNotes">negativeNotes</a> used in this way. Nevertheless for the sake of symmetry, <a class="localLink" href="/negativeNotes">negativeNotes</a> can be used on <a class="localLink" href="/Product">Product</a>.<br/><br/>

The property values can be expressed either as unstructured text (repeated as necessary), or if ordered, as a list (in which case the most negative is at the beginning of the list).');
t('Provides negative considerations regarding something, most typically in pro/con lists for reviews (alongside <a class="localLink" href="/positiveNotes">positiveNotes</a>).');

// https://schema.org/nerve
t("nerve");
t("The underlying innervation associated with the muscle.");

// https://schema.org/nerveMotor
t("nerveMotor");
t("The neurological pathway extension that involves muscle control.");

// https://schema.org/netWorth
t("netWorth");
t("The total financial value of the person as calculated by subtracting assets from liabilities.");

// https://schema.org/newsUpdatesAndGuidelines
t("newsUpdatesAndGuidelines");
t('Indicates a page with news updates and guidelines. This could often be (but is not required to be) the main page containing <a class="localLink" href="/SpecialAnnouncement">SpecialAnnouncement</a> markup on a site.');
t("Indicates a page with news updates and guidelines.");

// https://schema.org/nextItem
t("nextItem");
t("A link to the ListItem that follows the current one.");

// https://schema.org/noBylinesPolicy
t("noBylinesPolicy");
t('For a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a> or other news-related <a class="localLink" href="/Organization">Organization</a>, a statement explaining when authors of articles are not named in bylines.');

// https://schema.org/nonEqual
t("nonEqual");
t("This ordering relation for qualitative values indicates that the subject is not equal to the object.");

// https://schema.org/nonprofitStatus
t("nonprofitStatus");
t("nonprofitStatus indicates the legal status of a non-profit organization in its primary place of business.");

// https://schema.org/nonProprietaryName
t("nonProprietaryName");
t("The generic name of this drug or supplement.");

// https://schema.org/normalRange
t("normalRange");
t("Range of acceptable values for a typical patient, when applicable.");

// https://schema.org/nsn
t("nsn");
t('Indicates the <a href="https://en.wikipedia.org/wiki/NATO_Stock_Number">NATO stock number</a> (nsn) of a <a class="localLink" href="/Product">Product</a>.');

// https://schema.org/numAdults
t("numAdults");
t("The number of adults staying in the unit.");

// https://schema.org/numberedPosition
t("numberedPosition");
t("A number associated with a role in an organization, for example, the number on an athlete's jersey.");

// https://schema.org/numberOfAccommodationUnits
t("numberOfAccommodationUnits");
t('Indicates the total (available plus unavailable) number of accommodation units in an <a class="localLink" href="/ApartmentComplex">ApartmentComplex</a>, or the number of accommodation units for a specific <a class="localLink" href="/FloorPlan">FloorPlan</a> (within its specific <a class="localLink" href="/ApartmentComplex">ApartmentComplex</a>). See also <a class="localLink" href="/numberOfAvailableAccommodationUnits">numberOfAvailableAccommodationUnits</a>.');
t('Indicates the total (available plus unavailable) number of accommodation units in an <a class="localLink" href="/ApartmentComplex">ApartmentComplex</a>, or the number of accommodation units for a specific <a class="localLink" href="/FloorPlan">FloorPlan</a> (within its specific <a class="localLink" href="/ApartmentComplex">ApartmentComplex</a>).');

// https://schema.org/numberOfAirbags
t("numberOfAirbags");
t("The number or type of airbags in the vehicle.");

// https://schema.org/numberOfAvailableAccommodationUnits
t("numberOfAvailableAccommodationUnits");
t('Indicates the number of available accommodation units in an <a class="localLink" href="/ApartmentComplex">ApartmentComplex</a>, or the number of accommodation units for a specific <a class="localLink" href="/FloorPlan">FloorPlan</a> (within its specific <a class="localLink" href="/ApartmentComplex">ApartmentComplex</a>). See also <a class="localLink" href="/numberOfAccommodationUnits">numberOfAccommodationUnits</a>.');
t('Indicates the number of available accommodation units in an <a class="localLink" href="/ApartmentComplex">ApartmentComplex</a>, or the number of accommodation units for a specific <a class="localLink" href="/FloorPlan">FloorPlan</a> (within its specific <a class="localLink" href="/ApartmentComplex">ApartmentComplex</a>).');

// https://schema.org/numberOfAxles
t("numberOfAxles");
t("The number of axles.<br/><br/>

Typical unit code(s): C62");
t("The number of axles.");

// https://schema.org/numberOfBathroomsTotal
t("numberOfBathroomsTotal");
t('The total integer number of bathrooms in some <a class="localLink" href="/Accommodation">Accommodation</a>, following real estate conventions as <a href="https://ddwiki.reso.org/display/DDW17/BathroomsTotalInteger+Field">documented in RESO</a>: "The simple sum of the number of bathrooms. For example for a property with two Full Bathrooms and one Half Bathroom, the Bathrooms Total Integer will be 3.". See also <a class="localLink" href="/numberOfRooms">numberOfRooms</a>.');
t('The total integer number of bathrooms in some <a class="localLink" href="/Accommodation">Accommodation</a>, following real estate conventions as <a href="https://ddwiki.reso.org/display/DDW17/BathroomsTotalInteger+Field">documented in RESO</a>: "The simple sum of the number of bathrooms.');

// https://schema.org/numberOfBedrooms
t("numberOfBedrooms");
t('The total integer number of bedrooms in a some <a class="localLink" href="/Accommodation">Accommodation</a>, <a class="localLink" href="/ApartmentComplex">ApartmentComplex</a> or <a class="localLink" href="/FloorPlan">FloorPlan</a>.');

// https://schema.org/numberOfBeds
t("numberOfBeds");
t("The quantity of the given bed type available in the HotelRoom, Suite, House, or Apartment.");

// https://schema.org/numberOfCredits
t("numberOfCredits");
t("The number of credits or units awarded by a Course or required to complete an EducationalOccupationalProgram.");

// https://schema.org/numberOfDoors
t("numberOfDoors");
t("The number of doors.<br/><br/>

Typical unit code(s): C62");
t("The number of doors.");

// https://schema.org/numberOfEmployees
t("numberOfEmployees");
t("The number of employees in an organization, e.g. business.");

// https://schema.org/numberOfEpisodes
t("numberOfEpisodes");
t("The number of episodes in this season or series.");

// https://schema.org/numberOfForwardGears
t("numberOfForwardGears");
t("The total number of forward gears available for the transmission system of the vehicle.<br/><br/>

Typical unit code(s): C62");
t("The total number of forward gears available for the transmission system of the vehicle.");

// https://schema.org/numberOfFullBathrooms
t("numberOfFullBathrooms");
t('Number of full bathrooms - The total number of full and ¾ bathrooms in an <a class="localLink" href="/Accommodation">Accommodation</a>. This corresponds to the <a href="https://ddwiki.reso.org/display/DDW17/BathroomsFull+Field">BathroomsFull field in RESO</a>.');
t('Number of full bathrooms - The total number of full and ¾ bathrooms in an <a class="localLink" href="/Accommodation">Accommodation</a>.');

// https://schema.org/numberOfItems
t("numberOfItems");
t("The number of items in an ItemList. Note that some descriptions might not fully describe all items in a list (e.g., multi-page pagination); in such cases, the numberOfItems would be for the entire list.");
t("The number of items in an ItemList.");

// https://schema.org/numberOfLoanPayments
t("numberOfLoanPayments");
t("The number of payments contractually required at origination to repay the loan. For monthly paying loans this is the number of months from the contractual first payment date to the maturity date.");
t("The number of payments contractually required at origination to repay the loan.");

// https://schema.org/numberOfPages
t("numberOfPages");
t("The number of pages in the book.");

// https://schema.org/numberOfPartialBathrooms
t("numberOfPartialBathrooms");
t('Number of partial bathrooms - The total number of half and ¼ bathrooms in an <a class="localLink" href="/Accommodation">Accommodation</a>. This corresponds to the <a href="https://ddwiki.reso.org/display/DDW17/BathroomsPartial+Field">BathroomsPartial field in RESO</a>.');
t('Number of partial bathrooms - The total number of half and ¼ bathrooms in an <a class="localLink" href="/Accommodation">Accommodation</a>.');

// https://schema.org/numberOfPlayers
t("numberOfPlayers");
t("Indicate how many people can play this game (minimum, maximum, or range).");

// https://schema.org/numberOfPreviousOwners
t("numberOfPreviousOwners");
t("The number of owners of the vehicle, including the current one.<br/><br/>

Typical unit code(s): C62");
t("The number of owners of the vehicle, including the current one.");

// https://schema.org/numberOfRooms
t("numberOfRooms");
t("The number of rooms (excluding bathrooms and closets) of the accommodation or lodging business.
Typical unit code(s): ROM for room or C62 for no unit. The type of room can be put in the unitText property of the QuantitativeValue.");
t("The number of rooms (excluding bathrooms and closets) of the accommodation or lodging business.");

// https://schema.org/numberOfSeasons
t("numberOfSeasons");
t("The number of seasons in this series.");

// https://schema.org/numChildren
t("numChildren");
t("The number of children staying in the unit.");

// https://schema.org/numConstraints
t("numConstraints");
t('Indicates the number of constraints property values defined for a particular <a class="localLink" href="/ConstraintNode">ConstraintNode</a> such as <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a>. This helps applications understand if they have access to a sufficiently complete description of a <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a> or other construct that is defined using properties on template-style nodes.');
t('Indicates the number of constraints property values defined for a particular <a class="localLink" href="/ConstraintNode">ConstraintNode</a> such as <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a>.');

// https://schema.org/numTracks
t("numTracks");
t("The number of tracks in this album or playlist.");

// https://schema.org/nutrition
t("nutrition");
t("Nutrition information about the recipe or menu item.");

// https://schema.org/object
t("object");
t("The object upon which the action is carried out, whose state is kept intact or changed. Also known as the semantic roles patient, affected or undergoer (which change their state) or theme (which doesn't). E.g. John read <em>a book</em>.");
t("The object upon which the action is carried out, whose state is kept intact or changed.");

// https://schema.org/observationAbout
t("observationAbout");
t('The <a class="localLink" href="/observationAbout">observationAbout</a> property identifies an entity, often a <a class="localLink" href="/Place">Place</a>, associated with an <a class="localLink" href="/Observation">Observation</a>.');

// https://schema.org/observationDate
t("observationDate");
t('The observationDate of an <a class="localLink" href="/Observation">Observation</a>.');

// https://schema.org/observationPeriod
t("observationPeriod");
t("The length of time an Observation took place over. The format follows <code>P[0-9]*[Y|M|D|h|m|s]</code>. For example, P1Y is Period 1 Year, P3M is Period 3 Months, P3h is Period 3 hours.");
t("The length of time an Observation took place over.");

// https://schema.org/occupancy
t("occupancy");
t("The allowed total occupancy for the accommodation in persons (including infants etc). For individual accommodations, this is not necessarily the legal maximum but defines the permitted usage as per the contractual agreement (e.g. a double room used by a single person).
Typical unit code(s): C62 for person");
t("The allowed total occupancy for the accommodation in persons (including infants etc).");

// https://schema.org/occupationalCategory
t("occupationalCategory");
t('A category describing the job, preferably using a term from a taxonomy such as <a href="http://www.onetcenter.org/taxonomy.html">BLS O*NET-SOC</a>, <a href="https://www.ilo.org/public/english/bureau/stat/isco/isco08/">ISCO-08</a> or similar, with the property repeated for each applicable value. Ideally the taxonomy should be identified, and both the textual label and formal code for the category should be provided.<br/><br/>

Note: for historical reasons, any textual label and formal code provided as a literal may be assumed to be from O*NET-SOC.');
t('A category describing the job, preferably using a term from a taxonomy such as <a href="http://www.onetcenter.org/taxonomy.html">BLS O*NET-SOC</a>, <a href="https://www.ilo.org/public/english/bureau/stat/isco/isco08/">ISCO-08</a> or similar, with the property repeated for each applicable value.');

// https://schema.org/occupationalCredentialAwarded
t("occupationalCredentialAwarded");
t("A description of the qualification, award, certificate, diploma or other occupational credential awarded as a consequence of successful completion of this course or program.");

// https://schema.org/occupationLocation
t("occupationLocation");
t("The region/country for which this occupational description is appropriate. Note that educational requirements and qualifications can vary between jurisdictions.");
t("The region/country for which this occupational description is appropriate.");

// https://schema.org/offerCount
t("offerCount");
t("The number of offers for the product.");

// https://schema.org/offeredBy
t("offeredBy");
t("A pointer to the organization or person making the offer.");

// https://schema.org/offers
t("offers");
t('An offer to provide this item&#x2014;for example, an offer to sell a product, rent the DVD of a movie, perform a service, or give away tickets to an event. Use <a class="localLink" href="/businessFunction">businessFunction</a> to indicate the kind of transaction offered, i.e. sell, lease, etc. This property can also be used to describe a <a class="localLink" href="/Demand">Demand</a>. While this property is listed as expected on a number of common types, it can be used in others. In that case, using a second type, such as Product or a subtype of Product, can clarify the nature of the offer.');
t("An offer to provide this item&#x2014;for example, an offer to sell a product, rent the DVD of a movie, perform a service, or give away tickets to an event.");

// https://schema.org/offersPrescriptionByMail
t("offersPrescriptionByMail");
t("Whether prescriptions can be delivered by mail.");

// https://schema.org/openingHours
t("openingHours");
t('The general opening hours for a business. Opening hours can be specified as a weekly time range, starting with days, then times per day. Multiple days can be listed with commas \',\' separating each day. Day or time ranges are specified using a hyphen \'-\'.<br/><br/>

<ul>
<li>Days are specified using the following two-letter combinations: <code>Mo</code>, <code>Tu</code>, <code>We</code>, <code>Th</code>, <code>Fr</code>, <code>Sa</code>, <code>Su</code>.</li>
<li>Times are specified using 24:00 format. For example, 3pm is specified as <code>15:00</code>, 10am as <code>10:00</code>. </li>
<li>Here is an example: <code>&lt;time itemprop="openingHours" datetime=&quot;Tu,Th 16:00-20:00&quot;&gt;Tuesdays and Thursdays 4-8pm&lt;/time&gt;</code>.</li>
<li>If a business is open 7 days a week, then it can be specified as <code>&lt;time itemprop=&quot;openingHours&quot; datetime=&quot;Mo-Su&quot;&gt;Monday through Sunday, all day&lt;/time&gt;</code>.</li>
</ul>');
t("The general opening hours for a business.");

// https://schema.org/openingHoursSpecification
t("openingHoursSpecification");
t("The opening hours of a certain place.");

// https://schema.org/opens
t("opens");
t("The opening hour of the place or service on the given day(s) of the week.");

// https://schema.org/operatingSystem
t("operatingSystem");
t("Operating systems supported (Windows 7, OS X 10.6, Android 1.6).");

// https://schema.org/opponent
t("opponent");
t("A sub property of participant. The opponent on this action.");
t("A sub property of participant.");

// https://schema.org/option
t("option");
t("A sub property of object. The options subject to this action.");
t("A sub property of object.");

// https://schema.org/orderDate
t("orderDate");
t("Date order was placed.");

// https://schema.org/orderDelivery
t("orderDelivery");
t("The delivery of the parcel related to this order or order item.");

// https://schema.org/orderedItem
t("orderedItem");
t("The item ordered.");

// https://schema.org/orderItemNumber
t("orderItemNumber");
t("The identifier of the order item.");

// https://schema.org/orderItemStatus
t("orderItemStatus");
t("The current status of the order item.");

// https://schema.org/orderNumber
t("orderNumber");
t("The identifier of the transaction.");

// https://schema.org/orderQuantity
t("orderQuantity");
t("The number of the item ordered. If the property is not set, assume the quantity is one.");
t("The number of the item ordered.");

// https://schema.org/orderStatus
t("orderStatus");
t("The current status of the order.");

// https://schema.org/organizer
t("organizer");
t("An organizer of an Event.");

// https://schema.org/originAddress
t("originAddress");
t("Shipper's address.");

// https://schema.org/originalMediaContextDescription
t("originalMediaContextDescription");
t('Describes, in a <a class="localLink" href="/MediaReview">MediaReview</a> when dealing with <a class="localLink" href="/DecontextualizedContent">DecontextualizedContent</a>, background information that can contribute to better interpretation of the <a class="localLink" href="/MediaObject">MediaObject</a>.');

// https://schema.org/originalMediaLink
t("originalMediaLink");
t('Link to the page containing an original version of the content, or directly to an online copy of the original <a class="localLink" href="/MediaObject">MediaObject</a> content, e.g. video file.');

// https://schema.org/originatesFrom
t("originatesFrom");
t("The vasculature the lymphatic structure originates, or afferents, from.");

// https://schema.org/overdosage
t("overdosage");
t("Any information related to overdose on a drug, including signs or symptoms, treatments, contact information for emergency response.");

// https://schema.org/ownedFrom
t("ownedFrom");
t("The date and time of obtaining the product.");

// https://schema.org/ownedThrough
t("ownedThrough");
t("The date and time of giving up ownership on the product.");

// https://schema.org/ownershipFundingInfo
t("ownershipFundingInfo");
t('For an <a class="localLink" href="/Organization">Organization</a> (often but not necessarily a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a>), a description of organizational ownership structure; funding and grants. In a news/media setting, this is with particular reference to editorial independence.   Note that the <a class="localLink" href="/funder">funder</a> is also available and can be used to make basic funder information machine-readable.');
t('For an <a class="localLink" href="/Organization">Organization</a> (often but not necessarily a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a>), a description of organizational ownership structure; funding and grants.');

// https://schema.org/owns
t("owns");
t("Products owned by the organization or person.");

// https://schema.org/pageEnd
t("pageEnd");
t('The page on which the work ends; for example "138" or "xvi".');

// https://schema.org/pageStart
t("pageStart");
t('The page on which the work starts; for example "135" or "xiii".');

// https://schema.org/pagination
t("pagination");
t('Any description of pages that is not separated into pageStart and pageEnd; for example, "1-6, 9, 55" or "10-12, 46-49".');

// https://schema.org/parent
t("parent");
t("A parent of this person.");

// https://schema.org/parentItem
t("parentItem");
t("The parent of a question, answer or item in general.");

// https://schema.org/parentOrganization
t("parentOrganization");
t('The larger organization that this organization is a <a class="localLink" href="/subOrganization">subOrganization</a> of, if any.');

// https://schema.org/parents
t("parents");
t("A parents of the person.");

// https://schema.org/parentService
t("parentService");
t("A broadcast service to which the broadcast service may belong to such as regional variations of a national channel.");

// https://schema.org/parentTaxon
t("parentTaxon");
t("Closest parent taxon of the taxon in question.");

// https://schema.org/participant
t("participant");
t("Other co-agents that participated in the action indirectly. E.g. John wrote a book with <em>Steve</em>.");
t("Other co-agents that participated in the action indirectly.");

// https://schema.org/partOfEpisode
t("partOfEpisode");
t("The episode to which this clip belongs.");

// https://schema.org/partOfInvoice
t("partOfInvoice");
t("The order is being paid as part of the referenced Invoice.");

// https://schema.org/partOfOrder
t("partOfOrder");
t("The overall order the items in this delivery were included in.");

// https://schema.org/partOfSeason
t("partOfSeason");
t("The season to which this episode belongs.");

// https://schema.org/partOfSeries
t("partOfSeries");
t("The series to which this episode or season belongs.");

// https://schema.org/partOfSystem
t("partOfSystem");
t("The anatomical or organ system that this structure is part of.");

// https://schema.org/partOfTrip
t("partOfTrip");
t('Identifies that this <a class="localLink" href="/Trip">Trip</a> is a subTrip of another Trip.  For example Day 1, Day 2, etc. of a multi-day trip.');
t('Identifies that this <a class="localLink" href="/Trip">Trip</a> is a subTrip of another Trip.');

// https://schema.org/partOfTVSeries
t("partOfTVSeries");
t("The TV series to which this episode or season belongs.");

// https://schema.org/partySize
t("partySize");
t("Number of people the reservation should accommodate.");

// https://schema.org/passengerPriorityStatus
t("passengerPriorityStatus");
t("The priority status assigned to a passenger for security or boarding (e.g. FastTrack or Priority).");

// https://schema.org/passengerSequenceNumber
t("passengerSequenceNumber");
t("The passenger's sequence number as assigned by the airline.");

// https://schema.org/pathophysiology
t("pathophysiology");
t("Changes in the normal mechanical, physical, and biochemical functions that are associated with this activity or condition.");

// https://schema.org/pattern
t("pattern");
t("A pattern that something has, for example 'polka dot', 'striped', 'Canadian flag'. Values are typically expressed as text, although links to controlled value schemes are also supported.");
t("A pattern that something has, for example 'polka dot', 'striped', 'Canadian flag'.");

// https://schema.org/payload
t("payload");
t('The permitted weight of passengers and cargo, EXCLUDING the weight of the empty vehicle.<br/><br/>

Typical unit code(s): KGM for kilogram, LBR for pound<br/><br/>

<ul>
<li>Note 1: Many databases specify the permitted TOTAL weight instead, which is the sum of <a class="localLink" href="/weight">weight</a> and <a class="localLink" href="/payload">payload</a></li>
<li>Note 2: You can indicate additional information in the <a class="localLink" href="/name">name</a> of the <a class="localLink" href="/QuantitativeValue">QuantitativeValue</a> node.</li>
<li>Note 3: You may also link to a <a class="localLink" href="/QualitativeValue">QualitativeValue</a> node that provides additional information using <a class="localLink" href="/valueReference">valueReference</a>.</li>
<li>Note 4: Note that you can use <a class="localLink" href="/minValue">minValue</a> and <a class="localLink" href="/maxValue">maxValue</a> to indicate ranges.</li>
</ul>');
t("The permitted weight of passengers and cargo, EXCLUDING the weight of the empty vehicle.");

// https://schema.org/paymentAccepted
t("paymentAccepted");
t("Cash, Credit Card, Cryptocurrency, Local Exchange Tradings System, etc.");

// https://schema.org/paymentDue
t("paymentDue");
t("The date that payment is due.");

// https://schema.org/paymentDueDate
t("paymentDueDate");
t("The date that payment is due.");

// https://schema.org/paymentMethod
t("paymentMethod");
t("The name of the credit card or other method of payment for the order.");

// https://schema.org/paymentMethodId
t("paymentMethodId");
t("An identifier for the method of payment used (e.g. the last 4 digits of the credit card).");

// https://schema.org/paymentStatus
t("paymentStatus");
t("The status of payment; whether the invoice has been paid or not.");

// https://schema.org/paymentUrl
t("paymentUrl");
t("The URL for sending a payment.");

// https://schema.org/penciler
t("penciler");
t("The individual who draws the primary narrative artwork.");

// https://schema.org/percentile10
t("percentile10");
t("The 10th percentile value.");

// https://schema.org/percentile25
t("percentile25");
t("The 25th percentile value.");

// https://schema.org/percentile75
t("percentile75");
t("The 75th percentile value.");

// https://schema.org/percentile90
t("percentile90");
t("The 90th percentile value.");

// https://schema.org/performer
t("performer");
t("A performer at the event&#x2014;for example, a presenter, musician, musical group or actor.");

// https://schema.org/performerIn
t("performerIn");
t("Event that this person is a performer or participant in.");

// https://schema.org/performers
t("performers");
t("The main performer or performers of the event&#x2014;for example, a presenter, musician, or actor.");

// https://schema.org/performTime
t("performTime");
t('The length of time it takes to perform instructions or a direction (not including time to prepare the supplies), in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 duration format</a>.');

// https://schema.org/permissions
t("permissions");
t("Permission(s) required to run the app (for example, a mobile app may require full internet access or may run only on wifi).");

// https://schema.org/permissionType
t("permissionType");
t("The type of permission granted the person, organization, or audience.");

// https://schema.org/permitAudience
t("permitAudience");
t("The target audience for this permit.");

// https://schema.org/permittedUsage
t("permittedUsage");
t("Indications regarding the permitted usage of the accommodation.");

// https://schema.org/petsAllowed
t("petsAllowed");
t("Indicates whether pets are allowed to enter the accommodation or lodging business. More detailed information can be put in a text value.");
t("Indicates whether pets are allowed to enter the accommodation or lodging business.");

// https://schema.org/phoneticText
t("phoneticText");
t('Representation of a text <a class="localLink" href="/textValue">textValue</a> using the specified <a class="localLink" href="/speechToTextMarkup">speechToTextMarkup</a>. For example the city name of Houston in IPA: /ˈhjuːstən/.');
t('Representation of a text <a class="localLink" href="/textValue">textValue</a> using the specified <a class="localLink" href="/speechToTextMarkup">speechToTextMarkup</a>.');

// https://schema.org/photo
t("photo");
t("A photograph of this place.");

// https://schema.org/photos
t("photos");
t("Photographs of this place.");

// https://schema.org/physicalRequirement
t("physicalRequirement");
t("A description of the types of physical activity associated with the job. Defined terms such as those in O*net may be used, but note that there is no way to specify the level of ability as well as its nature when using a defined term.");
t("A description of the types of physical activity associated with the job.");

// https://schema.org/physiologicalBenefits
t("physiologicalBenefits");
t("Specific physiologic benefits associated to the plan.");

// https://schema.org/pickupLocation
t("pickupLocation");
t("Where a taxi will pick up a passenger or a rental car can be picked up.");

// https://schema.org/pickupTime
t("pickupTime");
t("When a taxi will pick up a passenger or a rental car can be picked up.");

// https://schema.org/playersOnline
t("playersOnline");
t("Number of players on the server.");

// https://schema.org/playerType
t("playerType");
t("Player type required&#x2014;for example, Flash or Silverlight.");

// https://schema.org/playMode
t("playMode");
t("Indicates whether this game is multi-player, co-op or single-player.  The game can be marked as multi-player, co-op and single-player at the same time.");
t("Indicates whether this game is multi-player, co-op or single-player.");

// https://schema.org/polygon
t("polygon");
t("A polygon is the area enclosed by a point-to-point path for which the starting and ending points are the same. A polygon is expressed as a series of four or more space delimited points where the first and final points are identical.");
t("A polygon is the area enclosed by a point-to-point path for which the starting and ending points are the same.");

// https://schema.org/populationType
t("populationType");
t('Indicates the populationType common to all members of a <a class="localLink" href="/StatisticalPopulation">StatisticalPopulation</a> or all cases within the scope of a <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a>.');

// https://schema.org/position
t("position");
t("The position of an item in a series or sequence of items.");

// https://schema.org/positiveNotes
t("positiveNotes");
t('Provides positive considerations regarding something, for example product highlights or (alongside <a class="localLink" href="/negativeNotes">negativeNotes</a>) pro/con lists for reviews.<br/><br/>

In the case of a <a class="localLink" href="/Review">Review</a>, the property describes the <a class="localLink" href="/itemReviewed">itemReviewed</a> from the perspective of the review; in the case of a <a class="localLink" href="/Product">Product</a>, the product itself is being described.<br/><br/>

The property values can be expressed either as unstructured text (repeated as necessary), or if ordered, as a list (in which case the most positive is at the beginning of the list).');
t('Provides positive considerations regarding something, for example product highlights or (alongside <a class="localLink" href="/negativeNotes">negativeNotes</a>) pro/con lists for reviews.');

// https://schema.org/possibleComplication
t("possibleComplication");
t("A possible unexpected and unfavorable evolution of a medical condition. Complications may include worsening of the signs or symptoms of the disease, extension of the condition to other organ systems, etc.");
t("A possible unexpected and unfavorable evolution of a medical condition.");

// https://schema.org/possibleTreatment
t("possibleTreatment");
t("A possible treatment to address this condition, sign or symptom.");

// https://schema.org/postalCode
t("postalCode");
t("The postal code. For example, 94043.");
t("The postal code.");

// https://schema.org/postalCodeBegin
t("postalCodeBegin");
t("First postal code in a range (included).");

// https://schema.org/postalCodeEnd
t("postalCodeEnd");
t('Last postal code in the range (included). Needs to be after <a class="localLink" href="/postalCodeBegin">postalCodeBegin</a>.');
t("Last postal code in the range (included).");

// https://schema.org/postalCodePrefix
t("postalCodePrefix");
t("A defined range of postal codes indicated by a common textual prefix. Used for non-numeric systems such as UK.");
t("A defined range of postal codes indicated by a common textual prefix.");

// https://schema.org/postalCodeRange
t("postalCodeRange");
t("A defined range of postal codes.");

// https://schema.org/postOfficeBoxNumber
t("postOfficeBoxNumber");
t("The post office box number for PO box addresses.");

// https://schema.org/postOp
t("postOp");
t("A description of the postoperative procedures, care, and/or followups for this device.");

// https://schema.org/potentialAction
t("potentialAction");
t("Indicates a potential Action, which describes an idealized action in which this thing would play an 'object' role.");

// https://schema.org/potentialUse
t("potentialUse");
t("Intended use of the BioChemEntity by humans.");

// https://schema.org/predecessorOf
t("predecessorOf");
t("A pointer from a previous, often discontinued variant of the product to its newer variant.");

// https://schema.org/pregnancyCategory
t("pregnancyCategory");
t("Pregnancy category of this drug.");

// https://schema.org/pregnancyWarning
t("pregnancyWarning");
t("Any precaution, guidance, contraindication, etc. related to this drug's use during pregnancy.");

// https://schema.org/preOp
t("preOp");
t("A description of the workup, testing, and other preparations required before implanting this device.");

// https://schema.org/preparation
t("preparation");
t("Typical preparation that a patient must undergo before having the procedure performed.");

// https://schema.org/prepTime
t("prepTime");
t('The length of time it takes to prepare the items to be used in instructions or a direction, in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 duration format</a>.');

// https://schema.org/prescribingInfo
t("prescribingInfo");
t("Link to prescribing information for the drug.");

// https://schema.org/prescriptionStatus
t("prescriptionStatus");
t("Indicates the status of drug prescription, e.g. local catalogs classifications or whether the drug is available by prescription or over-the-counter, etc.");

// https://schema.org/previousItem
t("previousItem");
t("A link to the ListItem that precedes the current one.");

// https://schema.org/previousStartDate
t("previousStartDate");
t("Used in conjunction with eventStatus for rescheduled or cancelled events. This property contains the previously scheduled start date. For rescheduled events, the startDate property should be used for the newly scheduled start date. In the (rare) case of an event that has been postponed and rescheduled multiple times, this field may be repeated.");
t("Used in conjunction with eventStatus for rescheduled or cancelled events.");

// https://schema.org/price
t("price");
t('The offer price of a product, or of a price component when attached to PriceSpecification and its subtypes.<br/><br/>

Usage guidelines:<br/><br/>

<ul>
<li>Use the <a class="localLink" href="/priceCurrency">priceCurrency</a> property (with standard formats: <a href="http://en.wikipedia.org/wiki/ISO_4217">ISO 4217 currency format</a>, e.g. "USD"; <a href="https://en.wikipedia.org/wiki/List_of_cryptocurrencies">Ticker symbol</a> for cryptocurrencies, e.g. "BTC"; well known names for <a href="https://en.wikipedia.org/wiki/Local_exchange_trading_system">Local Exchange Trading Systems</a> (LETS) and other currency types, e.g. "Ithaca HOUR") instead of including <a href="http://en.wikipedia.org/wiki/Dollar_sign#Currencies_that_use_the_dollar_or_peso_sign">ambiguous symbols</a> such as \'$\' in the value.</li>
<li>Use \'.\' (Unicode \'FULL STOP\' (U+002E)) rather than \',\' to indicate a decimal point. Avoid using these symbols as a readability separator.</li>
<li>Note that both <a href="http://www.w3.org/TR/xhtml-rdfa-primer/#using-the-content-attribute">RDFa</a> and Microdata syntax allow the use of a "content=" attribute for publishing simple machine-readable values alongside more human-friendly formatting.</li>
<li>Use values from 0123456789 (Unicode \'DIGIT ZERO\' (U+0030) to \'DIGIT NINE\' (U+0039)) rather than superficially similar Unicode symbols.</li>
</ul>');
t("The offer price of a product, or of a price component when attached to PriceSpecification and its subtypes.");

// https://schema.org/priceComponent
t("priceComponent");
t('This property links to all <a class="localLink" href="/UnitPriceSpecification">UnitPriceSpecification</a> nodes that apply in parallel for the <a class="localLink" href="/CompoundPriceSpecification">CompoundPriceSpecification</a> node.');

// https://schema.org/priceComponentType
t("priceComponentType");
t("Identifies a price component (for example, a line item on an invoice), part of the total price for an offer.");

// https://schema.org/priceCurrency
t("priceCurrency");
t('The currency of the price, or a price component when attached to <a class="localLink" href="/PriceSpecification">PriceSpecification</a> and its subtypes.<br/><br/>

Use standard formats: <a href="http://en.wikipedia.org/wiki/ISO_4217">ISO 4217 currency format</a>, e.g. "USD"; <a href="https://en.wikipedia.org/wiki/List_of_cryptocurrencies">Ticker symbol</a> for cryptocurrencies, e.g. "BTC"; well known names for <a href="https://en.wikipedia.org/wiki/Local_exchange_trading_system">Local Exchange Trading Systems</a> (LETS) and other currency types, e.g. "Ithaca HOUR".');
t('The currency of the price, or a price component when attached to <a class="localLink" href="/PriceSpecification">PriceSpecification</a> and its subtypes.');

// https://schema.org/priceRange
t("priceRange");
t("The price range of the business, for example <code>$$$</code>.");

// https://schema.org/priceSpecification
t("priceSpecification");
t("One or more detailed price specifications, indicating the unit price and delivery or payment charges.");

// https://schema.org/priceType
t("priceType");
t('Defines the type of a price specified for an offered product, for example a list price, a (temporary) sale price or a manufacturer suggested retail price. If multiple prices are specified for an offer the <a class="localLink" href="/priceType">priceType</a> property can be used to identify the type of each such specified price. The value of priceType can be specified as a value from enumeration PriceTypeEnumeration or as a free form text string for price types that are not already predefined in PriceTypeEnumeration.');
t("Defines the type of a price specified for an offered product, for example a list price, a (temporary) sale price or a manufacturer suggested retail price.");

// https://schema.org/priceValidUntil
t("priceValidUntil");
t("The date after which the price is no longer available.");

// https://schema.org/primaryImageOfPage
t("primaryImageOfPage");
t("Indicates the main image on the page.");

// https://schema.org/primaryPrevention
t("primaryPrevention");
t("A preventative therapy used to prevent an initial occurrence of the medical condition, such as vaccination.");

// https://schema.org/printColumn
t("printColumn");
t("The number of the column in which the NewsArticle appears in the print edition.");

// https://schema.org/printEdition
t("printEdition");
t("The edition of the print product in which the NewsArticle appears.");

// https://schema.org/printPage
t("printPage");
t("If this NewsArticle appears in print, this field indicates the name of the page on which the article is found. Please note that this field is intended for the exact page name (e.g. A5, B18).");
t("If this NewsArticle appears in print, this field indicates the name of the page on which the article is found.");

// https://schema.org/printSection
t("printSection");
t("If this NewsArticle appears in print, this field indicates the print section in which the article appeared.");

// https://schema.org/procedure
t("procedure");
t("A description of the procedure involved in setting up, using, and/or installing the device.");

// https://schema.org/procedureType
t("procedureType");
t("The type of procedure, for example Surgical, Noninvasive, or Percutaneous.");

// https://schema.org/processingTime
t("processingTime");
t("Estimated processing time for the service using this channel.");

// https://schema.org/processorRequirements
t("processorRequirements");
t("Processor architecture required to run the application (e.g. IA64).");

// https://schema.org/producer
t("producer");
t("The person or organization who produced the work (e.g. music album, movie, TV/radio series etc.).");

// https://schema.org/produces
t("produces");
t("The tangible thing generated by the service, e.g. a passport, permit, etc.");

// https://schema.org/productGroupID
t("productGroupID");
t("Indicates a textual identifier for a ProductGroup.");

// https://schema.org/productID
t("productID");
t('The product identifier, such as ISBN. For example: <code>meta itemprop="productID" content="isbn:123-456-789"</code>.');
t("The product identifier, such as ISBN.");

// https://schema.org/productionCompany
t("productionCompany");
t("The production company or studio responsible for the item, e.g. series, video game, episode etc.");

// https://schema.org/productionDate
t("productionDate");
t("The date of production of the item, e.g. vehicle.");

// https://schema.org/productSupported
t("productSupported");
t('The product or service this support contact point is related to (such as product support for a particular product line). This can be a specific product or product line (e.g. "iPhone") or a general category of products or services (e.g. "smartphones").');
t("The product or service this support contact point is related to (such as product support for a particular product line).");

// https://schema.org/proficiencyLevel
t("proficiencyLevel");
t("Proficiency needed for this content; expected values: 'Beginner', 'Expert'.");

// https://schema.org/programMembershipUsed
t("programMembershipUsed");
t("Any membership in a frequent flyer, hotel loyalty program, etc. being applied to the reservation.");

// https://schema.org/programmingLanguage
t("programmingLanguage");
t("The computer programming language.");

// https://schema.org/programmingModel
t("programmingModel");
t("Indicates whether API is managed or unmanaged.");

// https://schema.org/programName
t("programName");
t("The program providing the membership.");

// https://schema.org/programPrerequisites
t("programPrerequisites");
t("Prerequisites for enrolling in the program.");

// https://schema.org/programType
t("programType");
t("The type of educational or occupational program. For example, classroom, internship, alternance, etc.");
t("The type of educational or occupational program.");

// https://schema.org/propertyID
t("propertyID");
t("A commonly used identifier for the characteristic represented by the property, e.g. a manufacturer or a standard code for a property. propertyID can be
(1) a prefixed string, mainly meant to be used with standards for product properties; (2) a site-specific, non-prefixed string (e.g. the primary key of the property or the vendor-specific ID of the property), or (3)
a URL indicating the type of the property, either pointing to an external vocabulary, or a Web resource that describes the property (e.g. a glossary entry).
Standards bodies should promote a standard prefix for the identifiers of properties from their standards.");
t("A commonly used identifier for the characteristic represented by the property, e.g. a manufacturer or a standard code for a property.");

// https://schema.org/proprietaryName
t("proprietaryName");
t("Proprietary name given to the diet plan, typically by its originator or creator.");

// https://schema.org/proteinContent
t("proteinContent");
t("The number of grams of protein.");

// https://schema.org/provider
t("provider");
t("The service provider, service operator, or service performer; the goods producer. Another party (a seller) may offer those services or goods on behalf of the provider. A provider may also serve as the seller.");
t("The service provider, service operator, or service performer; the goods producer.");

// https://schema.org/providerMobility
t("providerMobility");
t("Indicates the mobility of a provided service (e.g. 'static', 'dynamic').");

// https://schema.org/providesBroadcastService
t("providesBroadcastService");
t("The BroadcastService offered on this channel.");

// https://schema.org/providesService
t("providesService");
t("The service provided by this channel.");

// https://schema.org/publicAccess
t("publicAccess");
t('A flag to signal that the <a class="localLink" href="/Place">Place</a> is open to public visitors.  If this property is omitted there is no assumed default boolean value');
t('A flag to signal that the <a class="localLink" href="/Place">Place</a> is open to public visitors.');

// https://schema.org/publication
t("publication");
t("A publication event associated with the item.");

// https://schema.org/publicationType
t("publicationType");
t('The type of the medical article, taken from the US NLM MeSH publication type catalog. See also <a href="http://www.nlm.nih.gov/mesh/pubtypes.html">MeSH documentation</a>.');
t("The type of the medical article, taken from the US NLM MeSH publication type catalog.");

// https://schema.org/publicTransportClosuresInfo
t("publicTransportClosuresInfo");
t("Information about public transport closures.");

// https://schema.org/publishedBy
t("publishedBy");
t("An agent associated with the publication event.");

// https://schema.org/publishedOn
t("publishedOn");
t("A broadcast service associated with the publication event.");

// https://schema.org/publisher
t("publisher");
t("The publisher of the creative work.");

// https://schema.org/publisherImprint
t("publisherImprint");
t("The publishing division which published the comic.");

// https://schema.org/publishingPrinciples
t("publishingPrinciples");
t('The publishingPrinciples property indicates (typically via <a class="localLink" href="/URL">URL</a>) a document describing the editorial principles of an <a class="localLink" href="/Organization">Organization</a> (or individual, e.g. a <a class="localLink" href="/Person">Person</a> writing a blog) that relate to their activities as a publisher, e.g. ethics or diversity policies. When applied to a <a class="localLink" href="/CreativeWork">CreativeWork</a> (e.g. <a class="localLink" href="/NewsArticle">NewsArticle</a>) the principles are those of the party primarily responsible for the creation of the <a class="localLink" href="/CreativeWork">CreativeWork</a>.<br/><br/>

While such policies are most typically expressed in natural language, sometimes related information (e.g. indicating a <a class="localLink" href="/funder">funder</a>) can be expressed using schema.org terminology.');
t('The publishingPrinciples property indicates (typically via <a class="localLink" href="/URL">URL</a>) a document describing the editorial principles of an <a class="localLink" href="/Organization">Organization</a> (or individual, e.g. a <a class="localLink" href="/Person">Person</a> writing a blog) that relate to their activities as a publisher, e.g. ethics or diversity policies.');

// https://schema.org/purchaseDate
t("purchaseDate");
t("The date the item, e.g. vehicle, was purchased by the current owner.");

// https://schema.org/qualifications
t("qualifications");
t("Specific qualifications required for this role or Occupation.");

// https://schema.org/quarantineGuidelines
t("quarantineGuidelines");
t("Guidelines about quarantine rules, e.g. in the context of a pandemic.");

// https://schema.org/query
t("query");
t("A sub property of instrument. The query used on this action.");
t("A sub property of instrument.");

// https://schema.org/quest
t("quest");
t("The task that a player-controlled character, or group of characters may complete in order to gain a reward.");

// https://schema.org/question
t("question");
t("A sub property of object. A question.");
t("A sub property of object.");

// https://schema.org/rangeIncludes
t("rangeIncludes");
t("Relates a property to a class that constitutes (one of) the expected type(s) for values of the property.");

// https://schema.org/ratingCount
t("ratingCount");
t("The count of total number of ratings.");

// https://schema.org/ratingExplanation
t("ratingExplanation");
t('A short explanation (e.g. one to two sentences) providing background context and other information that led to the conclusion expressed in the rating. This is particularly applicable to ratings associated with "fact check" markup using <a class="localLink" href="/ClaimReview">ClaimReview</a>.');
t("A short explanation (e.g. one to two sentences) providing background context and other information that led to the conclusion expressed in the rating.");

// https://schema.org/ratingValue
t("ratingValue");
t("The rating for the content.<br/><br/>

Usage guidelines:<br/><br/>

<ul>
<li>Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.</li>
<li>Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.</li>
</ul>");
t("The rating for the content.");

// https://schema.org/readBy
t("readBy");
t("A person who reads (performs) the audiobook.");

// https://schema.org/readonlyValue
t("readonlyValue");
t('Whether or not a property is mutable.  Default is false. Specifying this for a property that also has a value makes it act similar to a "hidden" input in an HTML form.');
t("Whether or not a property is mutable.");

// https://schema.org/realEstateAgent
t("realEstateAgent");
t("A sub property of participant. The real estate agent involved in the action.");
t("A sub property of participant.");

// https://schema.org/recipe
t("recipe");
t("A sub property of instrument. The recipe/instructions used to perform the action.");
t("A sub property of instrument.");

// https://schema.org/recipeCategory
t("recipeCategory");
t("The category of the recipe—for example, appetizer, entree, etc.");

// https://schema.org/recipeCuisine
t("recipeCuisine");
t("The cuisine of the recipe (for example, French or Ethiopian).");

// https://schema.org/recipeIngredient
t("recipeIngredient");
t("A single ingredient used in the recipe, e.g. sugar, flour or garlic.");

// https://schema.org/recipeInstructions
t("recipeInstructions");
t("A step in making the recipe, in the form of a single item (document, video, etc.) or an ordered list with HowToStep and/or HowToSection items.");

// https://schema.org/recipeYield
t("recipeYield");
t("The quantity produced by the recipe (for example, number of people served, number of servings, etc).");

// https://schema.org/recipient
t("recipient");
t("A sub property of participant. The participant who is at the receiving end of the action.");
t("A sub property of participant.");

// https://schema.org/recognizedBy
t("recognizedBy");
t("An organization that acknowledges the validity, value or utility of a credential. Note: recognition may include a process of quality assurance or accreditation.");
t("An organization that acknowledges the validity, value or utility of a credential.");

// https://schema.org/recognizingAuthority
t("recognizingAuthority");
t("If applicable, the organization that officially recognizes this entity as part of its endorsed system of medicine.");

// https://schema.org/recommendationStrength
t("recommendationStrength");
t("Strength of the guideline's recommendation (e.g. 'class I').");

// https://schema.org/recommendedIntake
t("recommendedIntake");
t("Recommended intake of this supplement for a given population as defined by a specific recommending authority.");

// https://schema.org/recordedAs
t("recordedAs");
t("An audio recording of the work.");

// https://schema.org/recordedAt
t("recordedAt");
t("The Event where the CreativeWork was recorded. The CreativeWork may capture all or part of the event.");
t("The Event where the CreativeWork was recorded.");

// https://schema.org/recordedIn
t("recordedIn");
t("The CreativeWork that captured all or part of this Event.");

// https://schema.org/recordingOf
t("recordingOf");
t("The composition this track is a recording of.");

// https://schema.org/recordLabel
t("recordLabel");
t("The label that issued the release.");

// https://schema.org/recourseLoan
t("recourseLoan");
t("The only way you get the money back in the event of default is the security. Recourse is where you still have the opportunity to go back to the borrower for the rest of the money.");
t("The only way you get the money back in the event of default is the security.");

// https://schema.org/referenceQuantity
t("referenceQuantity");
t("The reference quantity for which a certain price applies, e.g. 1 EUR per 4 kWh of electricity. This property is a replacement for unitOfMeasurement for the advanced cases where the price does not relate to a standard unit.");
t("The reference quantity for which a certain price applies, e.g. 1 EUR per 4 kWh of electricity.");

// https://schema.org/referencesOrder
t("referencesOrder");
t("The Order(s) related to this Invoice. One or more Orders may be combined into a single Invoice.");
t("The Order(s) related to this Invoice.");

// https://schema.org/refundType
t("refundType");
t("A refund type, from an enumerated list.");

// https://schema.org/regionDrained
t("regionDrained");
t("The anatomical or organ system drained by this vessel; generally refers to a specific part of an organ.");

// https://schema.org/regionsAllowed
t("regionsAllowed");
t('The regions where the media is allowed. If not specified, then it\'s assumed to be allowed everywhere. Specify the countries in <a href="http://en.wikipedia.org/wiki/ISO_3166">ISO 3166 format</a>.');
t("The regions where the media is allowed.");

// https://schema.org/relatedAnatomy
t("relatedAnatomy");
t("Anatomical systems or structures that relate to the superficial anatomy.");

// https://schema.org/relatedCondition
t("relatedCondition");
t("A medical condition associated with this anatomy.");

// https://schema.org/relatedDrug
t("relatedDrug");
t("Any other drug related to this one, for example commonly-prescribed alternatives.");

// https://schema.org/relatedLink
t("relatedLink");
t("A link related to this web page, for example to other related web pages.");

// https://schema.org/relatedStructure
t("relatedStructure");
t("Related anatomical structure(s) that are not part of the system but relate or connect to it, such as vascular bundles associated with an organ system.");

// https://schema.org/relatedTherapy
t("relatedTherapy");
t("A medical therapy related to this anatomy.");

// https://schema.org/relatedTo
t("relatedTo");
t("The most generic familial relation.");

// https://schema.org/releaseDate
t("releaseDate");
t("The release date of a product or product model. This can be used to distinguish the exact variant of a product.");
t("The release date of a product or product model.");

// https://schema.org/releasedEvent
t("releasedEvent");
t("The place and time the release was issued, expressed as a PublicationEvent.");

// https://schema.org/releaseNotes
t("releaseNotes");
t("Description of what changed in this version.");

// https://schema.org/releaseOf
t("releaseOf");
t("The album this is a release of.");

// https://schema.org/relevantOccupation
t("relevantOccupation");
t("The Occupation for the JobPosting.");

// https://schema.org/relevantSpecialty
t("relevantSpecialty");
t("If applicable, a medical specialty in which this entity is relevant.");

// https://schema.org/remainingAttendeeCapacity
t("remainingAttendeeCapacity");
t("The number of attendee places for an event that remain unallocated.");

// https://schema.org/renegotiableLoan
t("renegotiableLoan");
t("Whether the terms for payment of interest can be renegotiated during the life of the loan.");

// https://schema.org/repeatCount
t("repeatCount");
t('Defines the number of times a recurring <a class="localLink" href="/Event">Event</a> will take place.');

// https://schema.org/repeatFrequency
t("repeatFrequency");
t('Defines the frequency at which <a class="localLink" href="/Event">Event</a>s will occur according to a schedule <a class="localLink" href="/Schedule">Schedule</a>. The intervals between
      events should be defined as a <a class="localLink" href="/Duration">Duration</a> of time.');
t('Defines the frequency at which <a class="localLink" href="/Event">Event</a>s will occur according to a schedule <a class="localLink" href="/Schedule">Schedule</a>.');

// https://schema.org/repetitions
t("repetitions");
t("Number of times one should repeat the activity.");

// https://schema.org/replacee
t("replacee");
t("A sub property of object. The object that is being replaced.");
t("A sub property of object.");

// https://schema.org/replacer
t("replacer");
t("A sub property of object. The object that replaces.");
t("A sub property of object.");

// https://schema.org/replyToUrl
t("replyToUrl");
t("The URL at which a reply may be posted to the specified UserComment.");

// https://schema.org/reportNumber
t("reportNumber");
t("The number or other unique designator assigned to a Report by the publishing organization.");

// https://schema.org/representativeOfPage
t("representativeOfPage");
t("Indicates whether this image is representative of the content of the page.");

// https://schema.org/requiredCollateral
t("requiredCollateral");
t("Assets required to secure loan or credit repayments. It may take form of third party pledge, goods, financial instruments (cash, securities, etc.)");
t("Assets required to secure loan or credit repayments.");

// https://schema.org/requiredGender
t("requiredGender");
t("Audiences defined by a person's gender.");

// https://schema.org/requiredMaxAge
t("requiredMaxAge");
t("Audiences defined by a person's maximum age.");

// https://schema.org/requiredMinAge
t("requiredMinAge");
t("Audiences defined by a person's minimum age.");

// https://schema.org/requiredQuantity
t("requiredQuantity");
t("The required quantity of the item(s).");

// https://schema.org/requirements
t("requirements");
t("Component dependency requirements for application. This includes runtime environments and shared libraries that are not included in the application distribution package, but required to run the application (examples: DirectX, Java or .NET runtime).");
t("Component dependency requirements for application.");

// https://schema.org/requiresSubscription
t("requiresSubscription");
t("Indicates if use of the media require a subscription  (either paid or free). Allowed values are <code>true</code> or <code>false</code> (note that an earlier version had 'yes', 'no').");
t("Indicates if use of the media require a subscription  (either paid or free).");

// https://schema.org/reservationFor
t("reservationFor");
t("The thing -- flight, event, restaurant, etc. being reserved.");

// https://schema.org/reservationId
t("reservationId");
t("A unique identifier for the reservation.");

// https://schema.org/reservationStatus
t("reservationStatus");
t("The current status of the reservation.");

// https://schema.org/reservedTicket
t("reservedTicket");
t("A ticket associated with the reservation.");

// https://schema.org/responsibilities
t("responsibilities");
t("Responsibilities associated with this role or Occupation.");

// https://schema.org/restockingFee
t("restockingFee");
t('Use <a class="localLink" href="/MonetaryAmount">MonetaryAmount</a> to specify a fixed restocking fee for product returns, or use <a class="localLink" href="/Number">Number</a> to specify a percentage of the product price paid by the customer.');

// https://schema.org/restPeriods
t("restPeriods");
t("How often one should break from the activity.");

// https://schema.org/result
t("result");
t("The result produced in the action. E.g. John wrote <em>a book</em>.");
t("The result produced in the action.");

// https://schema.org/resultComment
t("resultComment");
t("A sub property of result. The Comment created or sent as a result of this action.");
t("A sub property of result.");

// https://schema.org/resultReview
t("resultReview");
t("A sub property of result. The review that resulted in the performing of the action.");
t("A sub property of result.");

// https://schema.org/returnFees
t("returnFees");
t("The type of return fees for purchased products (for any return reason).");

// https://schema.org/returnLabelSource
t("returnLabelSource");
t("The method (from an enumeration) by which the customer obtains a return shipping label for a product returned for any reason.");

// https://schema.org/returnMethod
t("returnMethod");
t("The type of return method offered, specified from an enumeration.");

// https://schema.org/returnPolicyCategory
t("returnPolicyCategory");
t("Specifies an applicable return policy (from an enumeration).");

// https://schema.org/returnPolicyCountry
t("returnPolicyCountry");
t('The country where the product has to be sent to for returns, for example "Ireland" using the <a class="localLink" href="/name">name</a> property of <a class="localLink" href="/Country">Country</a>. You can also provide the two-letter <a href="http://en.wikipedia.org/wiki/ISO_3166-1">ISO 3166-1 alpha-2 country code</a>. Note that this can be different from the country where the product was originally shipped from or sent to.');
t('The country where the product has to be sent to for returns, for example "Ireland" using the <a class="localLink" href="/name">name</a> property of <a class="localLink" href="/Country">Country</a>.');

// https://schema.org/returnPolicySeasonalOverride
t("returnPolicySeasonalOverride");
t("Seasonal override of a return policy.");

// https://schema.org/returnShippingFeesAmount
t("returnShippingFeesAmount");
t('Amount of shipping costs for product returns (for any reason). Applicable when property <a class="localLink" href="/returnFees">returnFees</a> equals <a class="localLink" href="/ReturnShippingFees">ReturnShippingFees</a>.');
t("Amount of shipping costs for product returns (for any reason).");

// https://schema.org/review
t("review");
t("A review of the item.");

// https://schema.org/reviewAspect
t("reviewAspect");
t("This Review or Rating is relevant to this part or facet of the itemReviewed.");

// https://schema.org/reviewBody
t("reviewBody");
t("The actual body of the review.");

// https://schema.org/reviewCount
t("reviewCount");
t("The count of total number of reviews.");

// https://schema.org/reviewedBy
t("reviewedBy");
t("People or organizations that have reviewed the content on this web page for accuracy and/or completeness.");

// https://schema.org/reviewRating
t("reviewRating");
t('The rating given in this review. Note that reviews can themselves be rated. The <code>reviewRating</code> applies to rating given by the review. The <a class="localLink" href="/aggregateRating">aggregateRating</a> property applies to the review itself, as a creative work.');
t("The rating given in this review.");

// https://schema.org/reviews
t("reviews");
t("Review of the item.");

// https://schema.org/riskFactor
t("riskFactor");
t("A modifiable or non-modifiable factor that increases the risk of a patient contracting this condition, e.g. age,  coexisting condition.");

// https://schema.org/risks
t("risks");
t("Specific physiologic risks associated to the diet plan.");

// https://schema.org/roleName
t("roleName");
t("A role played, performed or filled by a person or organization. For example, the team of creators for a comic book might fill the roles named 'inker', 'penciller', and 'letterer'; or an athlete in a SportsTeam might play in the position named 'Quarterback'.");
t("A role played, performed or filled by a person or organization.");

// https://schema.org/roofLoad
t("roofLoad");
t('The permitted total weight of cargo and installations (e.g. a roof rack) on top of the vehicle.<br/><br/>

Typical unit code(s): KGM for kilogram, LBR for pound<br/><br/>

<ul>
<li>Note 1: You can indicate additional information in the <a class="localLink" href="/name">name</a> of the <a class="localLink" href="/QuantitativeValue">QuantitativeValue</a> node.</li>
<li>Note 2: You may also link to a <a class="localLink" href="/QualitativeValue">QualitativeValue</a> node that provides additional information using <a class="localLink" href="/valueReference">valueReference</a></li>
<li>Note 3: Note that you can use <a class="localLink" href="/minValue">minValue</a> and <a class="localLink" href="/maxValue">maxValue</a> to indicate ranges.</li>
</ul>');
t("The permitted total weight of cargo and installations (e.g. a roof rack) on top of the vehicle.");

// https://schema.org/rsvpResponse
t("rsvpResponse");
t("The response (yes, no, maybe) to the RSVP.");

// https://schema.org/runsTo
t("runsTo");
t("The vasculature the lymphatic structure runs, or efferents, to.");

// https://schema.org/runtime
t("runtime");
t("Runtime platform or script interpreter dependencies (example: Java v1, Python 2.3, .NET Framework 3.0).");
t("Runtime platform or script interpreter dependencies (example: Java v1, Python 2.3, .");

// https://schema.org/runtimePlatform
t("runtimePlatform");
t("Runtime platform or script interpreter dependencies (example: Java v1, Python 2.3, .NET Framework 3.0).");
t("Runtime platform or script interpreter dependencies (example: Java v1, Python 2.3, .");

// https://schema.org/rxcui
t("rxcui");
t("The RxCUI drug identifier from RXNORM.");

// https://schema.org/safetyConsideration
t("safetyConsideration");
t("Any potential safety concern associated with the supplement. May include interactions with other drugs and foods, pregnancy, breastfeeding, known adverse reactions, and documented efficacy of the supplement.");
t("Any potential safety concern associated with the supplement.");

// https://schema.org/salaryCurrency
t("salaryCurrency");
t('The currency (coded using <a href="http://en.wikipedia.org/wiki/ISO_4217">ISO 4217</a>) used for the main salary information in this job posting or for this employee.');

// https://schema.org/salaryUponCompletion
t("salaryUponCompletion");
t("The expected salary upon completing the training.");

// https://schema.org/sameAs
t("sameAs");
t("URL of a reference Web page that unambiguously indicates the item's identity. E.g. the URL of the item's Wikipedia page, Wikidata entry, or official website.");
t("URL of a reference Web page that unambiguously indicates the item's identity.");

// https://schema.org/sampleType
t("sampleType");
t("What type of code sample: full (compile ready) solution, code snippet, inline code, scripts, template.");

// https://schema.org/saturatedFatContent
t("saturatedFatContent");
t("The number of grams of saturated fat.");

// https://schema.org/scheduledPaymentDate
t("scheduledPaymentDate");
t("The date the invoice is scheduled to be paid.");

// https://schema.org/scheduledTime
t("scheduledTime");
t("The time the object is scheduled to.");

// https://schema.org/scheduleTimezone
t("scheduleTimezone");
t('Indicates the timezone for which the time(s) indicated in the <a class="localLink" href="/Schedule">Schedule</a> are given. The value provided should be among those listed in the IANA Time Zone Database.');
t('Indicates the timezone for which the time(s) indicated in the <a class="localLink" href="/Schedule">Schedule</a> are given.');

// https://schema.org/schemaVersion
t("schemaVersion");
t("Indicates (by URL or string) a particular version of a schema used in some CreativeWork. This property was created primarily to
    indicate the use of a specific schema.org release, e.g. <code>10.0</code> as a simple string, or more explicitly via URL, <code>https://schema.org/docs/releases.html#v10.0</code>. There may be situations in which other schemas might usefully be referenced this way, e.g. <code>http://dublincore.org/specifications/dublin-core/dces/1999-07-02/</code> but this has not been carefully explored in the community.");
t("Indicates (by URL or string) a particular version of a schema used in some CreativeWork.");

// https://schema.org/schoolClosuresInfo
t("schoolClosuresInfo");
t("Information about school closures.");

// https://schema.org/screenCount
t("screenCount");
t("The number of screens in the movie theater.");

// https://schema.org/screenshot
t("screenshot");
t("A link to a screenshot image of the app.");

// https://schema.org/sdDatePublished
t("sdDatePublished");
t('Indicates the date on which the current structured data was generated / published. Typically used alongside <a class="localLink" href="/sdPublisher">sdPublisher</a>');
t("Indicates the date on which the current structured data was generated / published.");

// https://schema.org/sdLicense
t("sdLicense");
t("A license document that applies to this structured data, typically indicated by URL.");

// https://schema.org/sdPublisher
t("sdPublisher");
t('Indicates the party responsible for generating and publishing the current structured data markup, typically in cases where the structured data is derived automatically from existing published content but published on a different site. For example, student projects and open data initiatives often re-publish existing content with more explicitly structured metadata. The
<a class="localLink" href="/sdPublisher">sdPublisher</a> property helps make such practices more explicit.');
t("Indicates the party responsible for generating and publishing the current structured data markup, typically in cases where the structured data is derived automatically from existing published content but published on a different site.");

// https://schema.org/season
t("season");
t("A season in a media series.");

// https://schema.org/seasonNumber
t("seasonNumber");
t("Position of the season within an ordered group of seasons.");

// https://schema.org/seasons
t("seasons");
t("A season in a media series.");

// https://schema.org/seatingCapacity
t("seatingCapacity");
t("The number of persons that can be seated (e.g. in a vehicle), both in terms of the physical space available, and in terms of limitations set by law.<br/><br/>

Typical unit code(s): C62 for persons");
t("The number of persons that can be seated (e.g. in a vehicle), both in terms of the physical space available, and in terms of limitations set by law.");

// https://schema.org/seatingType
t("seatingType");
t("The type/class of the seat.");

// https://schema.org/seatNumber
t("seatNumber");
t("The location of the reserved seat (e.g., 27).");

// https://schema.org/seatRow
t("seatRow");
t("The row location of the reserved seat (e.g., B).");

// https://schema.org/seatSection
t("seatSection");
t("The section location of the reserved seat (e.g. Orchestra).");

// https://schema.org/secondaryPrevention
t("secondaryPrevention");
t("A preventative therapy used to prevent reoccurrence of the medical condition after an initial episode of the condition.");

// https://schema.org/securityClearanceRequirement
t("securityClearanceRequirement");
t("A description of any security clearance requirements of the job.");

// https://schema.org/securityScreening
t("securityScreening");
t("The type of security screening the passenger is subject to.");

// https://schema.org/seeks
t("seeks");
t("A pointer to products or services sought by the organization or person (demand).");

// https://schema.org/seller
t("seller");
t("An entity which offers (sells / leases / lends / loans) the services / goods.  A seller may also be a provider.");
t("An entity which offers (sells / leases / lends / loans) the services / goods.");

// https://schema.org/sender
t("sender");
t("A sub property of participant. The participant who is at the sending end of the action.");
t("A sub property of participant.");

// https://schema.org/sensoryRequirement
t("sensoryRequirement");
t("A description of any sensory requirements and levels necessary to function on the job, including hearing and vision. Defined terms such as those in O*net may be used, but note that there is no way to specify the level of ability as well as its nature when using a defined term.");
t("A description of any sensory requirements and levels necessary to function on the job, including hearing and vision.");

// https://schema.org/sensoryUnit
t("sensoryUnit");
t("The neurological pathway extension that inputs and sends information to the brain or spinal cord.");

// https://schema.org/serialNumber
t("serialNumber");
t("The serial number or any alphanumeric identifier of a particular product. When attached to an offer, it is a shortcut for the serial number of the product included in the offer.");
t("The serial number or any alphanumeric identifier of a particular product.");

// https://schema.org/seriousAdverseOutcome
t("seriousAdverseOutcome");
t("A possible serious complication and/or serious side effect of this therapy. Serious adverse outcomes include those that are life-threatening; result in death, disability, or permanent damage; require hospitalization or prolong existing hospitalization; cause congenital anomalies or birth defects; or jeopardize the patient and may require medical or surgical intervention to prevent one of the outcomes in this definition.");
t("A possible serious complication and/or serious side effect of this therapy.");

// https://schema.org/serverStatus
t("serverStatus");
t("Status of a game server.");

// https://schema.org/servesCuisine
t("servesCuisine");
t("The cuisine of the restaurant.");

// https://schema.org/serviceArea
t("serviceArea");
t("The geographic area where the service is provided.");

// https://schema.org/serviceAudience
t("serviceAudience");
t("The audience eligible for this service.");

// https://schema.org/serviceLocation
t("serviceLocation");
t("The location (e.g. civic structure, local business, etc.) where a person can go to access the service.");

// https://schema.org/serviceOperator
t("serviceOperator");
t("The operating organization, if different from the provider.  This enables the representation of services that are provided by an organization, but operated by another organization like a subcontractor.");
t("The operating organization, if different from the provider.");

// https://schema.org/serviceOutput
t("serviceOutput");
t("The tangible thing generated by the service, e.g. a passport, permit, etc.");

// https://schema.org/servicePhone
t("servicePhone");
t("The phone number to use to access the service.");

// https://schema.org/servicePostalAddress
t("servicePostalAddress");
t("The address for accessing the service by mail.");

// https://schema.org/serviceSmsNumber
t("serviceSmsNumber");
t("The number to access the service by text message.");

// https://schema.org/serviceType
t("serviceType");
t("The type of service being offered, e.g. veterans' benefits, emergency relief, etc.");

// https://schema.org/serviceUrl
t("serviceUrl");
t("The website to access the service.");

// https://schema.org/servingSize
t("servingSize");
t("The serving size, in terms of the number of volume or mass.");

// https://schema.org/sha256
t("sha256");
t('The <a href="https://en.wikipedia.org/wiki/SHA-2">SHA-2</a> SHA256 hash of the content of the item. For example, a zero-length input has value \'e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855\'');
t('The <a href="https://en.wikipedia.org/wiki/SHA-2">SHA-2</a> SHA256 hash of the content of the item.');

// https://schema.org/sharedContent
t("sharedContent");
t("A CreativeWork such as an image, video, or audio clip shared as part of this posting.");

// https://schema.org/shippingDestination
t("shippingDestination");
t("indicates (possibly multiple) shipping destinations. These can be defined in several ways, e.g. postalCode ranges.");
t("indicates (possibly multiple) shipping destinations.");

// https://schema.org/shippingDetails
t("shippingDetails");
t('Indicates information about the shipping policies and options associated with an <a class="localLink" href="/Offer">Offer</a>.');

// https://schema.org/shippingLabel
t("shippingLabel");
t('Label to match an <a class="localLink" href="/OfferShippingDetails">OfferShippingDetails</a> with a <a class="localLink" href="/ShippingRateSettings">ShippingRateSettings</a> (within the context of a <a class="localLink" href="/shippingSettingsLink">shippingSettingsLink</a> cross-reference).');

// https://schema.org/shippingOrigin
t("shippingOrigin");
t("Indicates the origin of a shipment, i.e. where it should be coming from.");

// https://schema.org/shippingRate
t("shippingRate");
t('The shipping rate is the cost of shipping to the specified destination. Typically, the maxValue and currency values (of the <a class="localLink" href="/MonetaryAmount">MonetaryAmount</a>) are most appropriate.');
t("The shipping rate is the cost of shipping to the specified destination.");

// https://schema.org/shippingSettingsLink
t("shippingSettingsLink");
t('Link to a page containing <a class="localLink" href="/ShippingRateSettings">ShippingRateSettings</a> and <a class="localLink" href="/DeliveryTimeSettings">DeliveryTimeSettings</a> details.');

// https://schema.org/sibling
t("sibling");
t("A sibling of the person.");

// https://schema.org/siblings
t("siblings");
t("A sibling of the person.");

// https://schema.org/signDetected
t("signDetected");
t("A sign detected by the test.");

// https://schema.org/significance
t("significance");
t("The significance associated with the superficial anatomy; as an example, how characteristics of the superficial anatomy can suggest underlying medical conditions or courses of treatment.");

// https://schema.org/significantLink
t("significantLink");
t("One of the more significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most.");
t("One of the more significant URLs on the page.");

// https://schema.org/significantLinks
t("significantLinks");
t("The most significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most.");
t("The most significant URLs on the page.");

// https://schema.org/signOrSymptom
t("signOrSymptom");
t("A sign or symptom of this condition. Signs are objective or physically observable manifestations of the medical condition while symptoms are the subjective experience of the medical condition.");
t("A sign or symptom of this condition.");

// https://schema.org/size
t("size");
t('A standardized size of a product or creative work, specified either through a simple textual string (for example \'XL\', \'32Wx34L\'), a  QuantitativeValue with a unitCode, or a comprehensive and structured <a class="localLink" href="/SizeSpecification">SizeSpecification</a>; in other cases, the <a class="localLink" href="/width">width</a>, <a class="localLink" href="/height">height</a>, <a class="localLink" href="/depth">depth</a> and <a class="localLink" href="/weight">weight</a> properties may be more applicable.');

// https://schema.org/sizeGroup
t("sizeGroup");
t('The size group (also known as "size type") for a product\'s size. Size groups are common in the fashion industry to define size segments and suggested audiences for wearable products. Multiple values can be combined, for example "men\'s big and tall", "petite maternity" or "regular"');
t('The size group (also known as "size type") for a product\'s size.');

// https://schema.org/sizeSystem
t("sizeSystem");
t('The size system used to identify a product\'s size. Typically either a standard (for example, "GS1" or "ISO-EN13402"), country code (for example "US" or "JP"), or a measuring system (for example "Metric" or "Imperial").');
t("The size system used to identify a product's size.");

// https://schema.org/skills
t("skills");
t("A statement of knowledge, skill, ability, task or any other assertion expressing a competency that is desired or required to fulfill this role or to work in this occupation.");

// https://schema.org/sku
t("sku");
t("The Stock Keeping Unit (SKU), i.e. a merchant-specific identifier for a product or service, or the product to which the offer refers.");

// https://schema.org/slogan
t("slogan");
t("A slogan or motto associated with the item.");

// https://schema.org/smiles
t("smiles");
t("A specification in form of a line notation for describing the structure of chemical species using short ASCII strings.  Double bond stereochemistry \ indicators may need to be escaped in the string in formats where the backslash is an escape character.");
t("A specification in form of a line notation for describing the structure of chemical species using short ASCII strings.");

// https://schema.org/smokingAllowed
t("smokingAllowed");
t("Indicates whether it is allowed to smoke in the place, e.g. in the restaurant, hotel or hotel room.");

// https://schema.org/sodiumContent
t("sodiumContent");
t("The number of milligrams of sodium.");

// https://schema.org/softwareAddOn
t("softwareAddOn");
t("Additional content for a software application.");

// https://schema.org/softwareHelp
t("softwareHelp");
t("Software application help.");

// https://schema.org/softwareRequirements
t("softwareRequirements");
t("Component dependency requirements for application. This includes runtime environments and shared libraries that are not included in the application distribution package, but required to run the application (examples: DirectX, Java or .NET runtime).");
t("Component dependency requirements for application.");

// https://schema.org/softwareVersion
t("softwareVersion");
t("Version of the software instance.");

// https://schema.org/sourcedFrom
t("sourcedFrom");
t("The neurological pathway that originates the neurons.");

// https://schema.org/sourceOrganization
t("sourceOrganization");
t("The Organization on whose behalf the creator was working.");

// https://schema.org/spatial
t("spatial");
t('The "spatial" property can be used in cases when more specific properties
(e.g. <a class="localLink" href="/locationCreated">locationCreated</a>, <a class="localLink" href="/spatialCoverage">spatialCoverage</a>, <a class="localLink" href="/contentLocation">contentLocation</a>) are not known to be appropriate.');

// https://schema.org/spatialCoverage
t("spatialCoverage");
t("The spatialCoverage of a CreativeWork indicates the place(s) which are the focus of the content. It is a subproperty of
      contentLocation intended primarily for more technical and detailed materials. For example with a Dataset, it indicates
      areas that the dataset describes: a dataset of New York weather would have spatialCoverage which was the place: the state of New York.");
t("The spatialCoverage of a CreativeWork indicates the place(s) which are the focus of the content.");

// https://schema.org/speakable
t("speakable");
t('Indicates sections of a Web page that are particularly \'speakable\' in the sense of being highlighted as being especially appropriate for text-to-speech conversion. Other sections of a page may also be usefully spoken in particular circumstances; the \'speakable\' property serves to indicate the parts most likely to be generally useful for speech.<br/><br/>

The <em>speakable</em> property can be repeated an arbitrary number of times, with three kinds of possible \'content-locator\' values:<br/><br/>

1.) <em>id-value</em> URL references - uses <em>id-value</em> of an element in the page being annotated. The simplest use of <em>speakable</em> has (potentially relative) URL values, referencing identified sections of the document concerned.<br/><br/>

2.) CSS Selectors - addresses content in the annotated page, e.g. via class attribute. Use the <a class="localLink" href="/cssSelector">cssSelector</a> property.<br/><br/>

3.)  XPaths - addresses content via XPaths (assuming an XML view of the content). Use the <a class="localLink" href="/xpath">xpath</a> property.<br/><br/>

For more sophisticated markup of speakable sections beyond simple ID references, either CSS selectors or XPath expressions to pick out document section(s) as speakable. For this
we define a supporting type, <a class="localLink" href="/SpeakableSpecification">SpeakableSpecification</a>  which is defined to be a possible value of the <em>speakable</em> property.');
t("Indicates sections of a Web page that are particularly 'speakable' in the sense of being highlighted as being especially appropriate for text-to-speech conversion.");

// https://schema.org/specialCommitments
t("specialCommitments");
t("Any special commitments associated with this job posting. Valid entries include VeteranCommit, MilitarySpouseCommit, etc.");
t("Any special commitments associated with this job posting.");

// https://schema.org/specialOpeningHoursSpecification
t("specialOpeningHoursSpecification");
t('The special opening hours of a certain place.<br/><br/>

Use this to explicitly override general opening hours brought in scope by <a class="localLink" href="/openingHoursSpecification">openingHoursSpecification</a> or <a class="localLink" href="/openingHours">openingHours</a>.');
t("The special opening hours of a certain place.");

// https://schema.org/specialty
t("specialty");
t("One of the domain specialities to which this web page's content applies.");

// https://schema.org/speechToTextMarkup
t("speechToTextMarkup");
t('Form of markup used. eg. <a href="https://www.w3.org/TR/speech-synthesis11">SSML</a> or <a href="https://www.wikidata.org/wiki/Property:P898">IPA</a>.');
t("Form of markup used.");

// https://schema.org/speed
t("speed");
t('The speed range of the vehicle. If the vehicle is powered by an engine, the upper limit of the speed range (indicated by <a class="localLink" href="/maxValue">maxValue</a>) should be the maximum speed achievable under regular conditions.<br/><br/>

Typical unit code(s): KMH for km/h, HM for mile per hour (0.447 04 m/s), KNT for knot<br/><br/>

*Note 1: Use <a class="localLink" href="/minValue">minValue</a> and <a class="localLink" href="/maxValue">maxValue</a> to indicate the range. Typically, the minimal value is zero.
* Note 2: There are many different ways of measuring the speed range. You can link to information about how the given value has been determined using the <a class="localLink" href="/valueReference">valueReference</a> property.');
t("The speed range of the vehicle.");

// https://schema.org/spokenByCharacter
t("spokenByCharacter");
t("The (e.g. fictional) character, Person or Organization to whom the quotation is attributed within the containing CreativeWork.");

// https://schema.org/sponsor
t("sponsor");
t("A person or organization that supports a thing through a pledge, promise, or financial contribution. E.g. a sponsor of a Medical Study or a corporate sponsor of an event.");
t("A person or organization that supports a thing through a pledge, promise, or financial contribution.");

// https://schema.org/sport
t("sport");
t("A type of sport (e.g. Baseball).");

// https://schema.org/sportsActivityLocation
t("sportsActivityLocation");
t("A sub property of location. The sports activity location where this action occurred.");
t("A sub property of location.");

// https://schema.org/sportsEvent
t("sportsEvent");
t("A sub property of location. The sports event where this action occurred.");
t("A sub property of location.");

// https://schema.org/sportsTeam
t("sportsTeam");
t("A sub property of participant. The sports team that participated on this action.");
t("A sub property of participant.");

// https://schema.org/spouse
t("spouse");
t("The person's spouse.");

// https://schema.org/stage
t("stage");
t("The stage of the condition, if applicable.");

// https://schema.org/stageAsNumber
t("stageAsNumber");
t("The stage represented as a number, e.g. 3.");

// https://schema.org/starRating
t("starRating");
t("An official rating for a lodging business or food establishment, e.g. from national associations or standards bodies. Use the author property to indicate the rating organization, e.g. as an Organization with name such as (e.g. HOTREC, DEHOGA, WHR, or Hotelstars).");
t("An official rating for a lodging business or food establishment, e.g. from national associations or standards bodies.");

// https://schema.org/startDate
t("startDate");
t('The start date and time of the item (in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 date format</a>).');

// https://schema.org/startOffset
t("startOffset");
t("The start time of the clip expressed as the number of seconds from the beginning of the work.");

// https://schema.org/startTime
t("startTime");
t("The startTime of something. For a reserved event or service (e.g. FoodEstablishmentReservation), the time that it is expected to start. For actions that span a period of time, when the action was performed. E.g. John wrote a book from <em>January</em> to December. For media, including audio and video, it's the time offset of the start of a clip within a larger file.<br/><br/>

Note that Event uses startDate/endDate instead of startTime/endTime, even when describing dates with times. This situation may be clarified in future revisions.");
t("The startTime of something.");

// https://schema.org/statType
t("statType");
t('Indicates the kind of statistic represented by a <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a>, e.g. mean, count etc. The value of statType is a property, either from within Schema.org (e.g. <a class="localLink" href="/count">count</a>, <a class="localLink" href="/median">median</a>, <a class="localLink" href="/marginOfError">marginOfError</a>, <a class="localLink" href="/maxValue">maxValue</a>, <a class="localLink" href="/minValue">minValue</a>) or from other compatible (e.g. RDF) systems such as DataCommons.org or Wikidata.org.');
t('Indicates the kind of statistic represented by a <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a>, e.g. mean, count etc. The value of statType is a property, either from within Schema.');

// https://schema.org/status
t("status");
t("The status of the study (enumerated).");

// https://schema.org/steeringPosition
t("steeringPosition");
t("The position of the steering wheel or similar device (mostly for cars).");

// https://schema.org/step
t("step");
t("A single step item (as HowToStep, text, document, video, etc.) or a HowToSection.");

// https://schema.org/steps
t("steps");
t("A single step item (as HowToStep, text, document, video, etc.) or a HowToSection (originally misnamed 'steps'; 'step' is preferred).");

// https://schema.org/stepValue
t("stepValue");
t("The stepValue attribute indicates the granularity that is expected (and required) of the value in a PropertyValueSpecification.");

// https://schema.org/storageRequirements
t("storageRequirements");
t("Storage requirements (free space required).");

// https://schema.org/streetAddress
t("streetAddress");
t("The street address. For example, 1600 Amphitheatre Pkwy.");
t("The street address.");

// https://schema.org/strengthUnit
t("strengthUnit");
t("The units of an active ingredient's strength, e.g. mg.");

// https://schema.org/strengthValue
t("strengthValue");
t("The value of an active ingredient's strength, e.g. 325.");

// https://schema.org/structuralClass
t("structuralClass");
t("The name given to how bone physically connects to each other.");

// https://schema.org/study
t("study");
t("A medical study or trial related to this entity.");

// https://schema.org/studyDesign
t("studyDesign");
t("Specifics about the observational study design (enumerated).");

// https://schema.org/studyLocation
t("studyLocation");
t("The location in which the study is taking/took place.");

// https://schema.org/studySubject
t("studySubject");
t("A subject of the study, i.e. one of the medical conditions, therapies, devices, drugs, etc. investigated by the study.");

// https://schema.org/subEvent
t("subEvent");
t("An Event that is part of this event. For example, a conference event includes many presentations, each of which is a subEvent of the conference.");
t("An Event that is part of this event.");

// https://schema.org/subEvents
t("subEvents");
t("Events that are a part of this event. For example, a conference event includes many presentations, each subEvents of the conference.");
t("Events that are a part of this event.");

// https://schema.org/subjectOf
t("subjectOf");
t("A CreativeWork or Event about this Thing.");

// https://schema.org/subOrganization
t("subOrganization");
t("A relationship between two organizations where the first includes the second, e.g., as a subsidiary. See also: the more specific 'department' property.");
t("A relationship between two organizations where the first includes the second, e.g., as a subsidiary.");

// https://schema.org/subReservation
t("subReservation");
t("The individual reservations included in the package. Typically a repeated property.");
t("The individual reservations included in the package.");

// https://schema.org/subStageSuffix
t("subStageSuffix");
t("The substage, e.g. 'a' for Stage IIIa.");

// https://schema.org/subStructure
t("subStructure");
t("Component (sub-)structure(s) that comprise this anatomical structure.");

// https://schema.org/subTest
t("subTest");
t("A component test of the panel.");

// https://schema.org/subtitleLanguage
t("subtitleLanguage");
t('Languages in which subtitles/captions are available, in <a href="http://tools.ietf.org/html/bcp47">IETF BCP 47 standard format</a>.');

// https://schema.org/subTrip
t("subTrip");
t('Identifies a <a class="localLink" href="/Trip">Trip</a> that is a subTrip of this Trip.  For example Day 1, Day 2, etc. of a multi-day trip.');
t('Identifies a <a class="localLink" href="/Trip">Trip</a> that is a subTrip of this Trip.');

// https://schema.org/successorOf
t("successorOf");
t("A pointer from a newer variant of a product  to its previous, often discontinued predecessor.");

// https://schema.org/sugarContent
t("sugarContent");
t("The number of grams of sugar.");

// https://schema.org/suggestedAge
t("suggestedAge");
t("The age or age range for the intended audience or person, for example 3-12 months for infants, 1-5 years for toddlers.");

// https://schema.org/suggestedAnswer
t("suggestedAnswer");
t("An answer (possibly one of several, possibly incorrect) to a Question, e.g. on a Question/Answer site.");

// https://schema.org/suggestedGender
t("suggestedGender");
t('The suggested gender of the intended person or audience, for example "male", "female", or "unisex".');

// https://schema.org/suggestedMaxAge
t("suggestedMaxAge");
t("Maximum recommended age in years for the audience or user.");

// https://schema.org/suggestedMeasurement
t("suggestedMeasurement");
t("A suggested range of body measurements for the intended audience or person, for example inseam between 32 and 34 inches or height between 170 and 190 cm. Typically found on a size chart for wearable products.");
t("A suggested range of body measurements for the intended audience or person, for example inseam between 32 and 34 inches or height between 170 and 190 cm.");

// https://schema.org/suggestedMinAge
t("suggestedMinAge");
t("Minimum recommended age in years for the audience or user.");

// https://schema.org/suitableForDiet
t("suitableForDiet");
t("Indicates a dietary restriction or guideline for which this recipe or menu item is suitable, e.g. diabetic, halal etc.");

// https://schema.org/superEvent
t("superEvent");
t("An event that this event is a part of. For example, a collection of individual music performances might each have a music festival as their superEvent.");
t("An event that this event is a part of.");

// https://schema.org/supersededBy
t("supersededBy");
t("Relates a term (i.e. a property, class or enumeration) to one that supersedes it.");

// https://schema.org/supply
t("supply");
t("A sub-property of instrument. A supply consumed when performing instructions or a direction.");
t("A sub-property of instrument.");

// https://schema.org/supplyTo
t("supplyTo");
t("The area to which the artery supplies blood.");

// https://schema.org/supportingData
t("supportingData");
t("Supporting data for a SoftwareApplication.");

// https://schema.org/surface
t("surface");
t("A material used as a surface in some artwork, e.g. Canvas, Paper, Wood, Board, etc.");

// https://schema.org/syllabusSections
t("syllabusSections");
t("Indicates (typically several) Syllabus entities that lay out what each section of the overall course will cover.");

// https://schema.org/target
t("target");
t("Indicates a target EntryPoint, or url, for an Action.");

// https://schema.org/targetCollection
t("targetCollection");
t("A sub property of object. The collection target of the action.");
t("A sub property of object.");

// https://schema.org/targetDescription
t("targetDescription");
t("The description of a node in an established educational framework.");

// https://schema.org/targetName
t("targetName");
t("The name of a node in an established educational framework.");

// https://schema.org/targetPlatform
t("targetPlatform");
t("Type of app development: phone, Metro style, desktop, XBox, etc.");

// https://schema.org/targetPopulation
t("targetPopulation");
t("Characteristics of the population for which this is intended, or which typically uses it, e.g. 'adults'.");

// https://schema.org/targetProduct
t("targetProduct");
t("Target Operating System / Product to which the code applies.  If applies to several versions, just the product name can be used.");
t("Target Operating System / Product to which the code applies.");

// https://schema.org/targetUrl
t("targetUrl");
t("The URL of a node in an established educational framework.");

// https://schema.org/taxID
t("taxID");
t("The Tax / Fiscal ID of the organization or person, e.g. the TIN in the US or the CIF/NIF in Spain.");

// https://schema.org/taxonomicRange
t("taxonomicRange");
t("The taxonomic grouping of the organism that expresses, encodes, or in some way related to the BioChemEntity.");

// https://schema.org/taxonRank
t("taxonRank");
t("The taxonomic rank of this taxon given preferably as a URI from a controlled vocabulary – typically the ranks from TDWG TaxonRank ontology or equivalent Wikidata URIs.");

// https://schema.org/teaches
t("teaches");
t("The item being described is intended to help a person learn the competency or learning outcome defined by the referenced term.");

// https://schema.org/telephone
t("telephone");
t("The telephone number.");

// https://schema.org/temporal
t("temporal");
t('The "temporal" property can be used in cases where more specific properties
(e.g. <a class="localLink" href="/temporalCoverage">temporalCoverage</a>, <a class="localLink" href="/dateCreated">dateCreated</a>, <a class="localLink" href="/dateModified">dateModified</a>, <a class="localLink" href="/datePublished">datePublished</a>) are not known to be appropriate.');

// https://schema.org/temporalCoverage
t("temporalCoverage");
t('The temporalCoverage of a CreativeWork indicates the period that the content applies to, i.e. that it describes, either as a DateTime or as a textual string indicating a time period in <a href="https://en.wikipedia.org/wiki/ISO_8601#Time_intervals">ISO 8601 time interval format</a>. In
      the case of a Dataset it will typically indicate the relevant time period in a precise notation (e.g. for a 2011 census dataset, the year 2011 would be written "2011/2012"). Other forms of content, e.g. ScholarlyArticle, Book, TVSeries or TVEpisode, may indicate their temporalCoverage in broader terms - textually or via well-known URL.
      Written works such as books may sometimes have precise temporal coverage too, e.g. a work set in 1939 - 1945 can be indicated in ISO 8601 interval format format via "1939/1945".<br/><br/>

Open-ended date ranges can be written with ".." in place of the end date. For example, "2015-11/.." indicates a range beginning in November 2015 and with no specified final date. This is tentative and might be updated in future when ISO 8601 is officially updated.');
t('The temporalCoverage of a CreativeWork indicates the period that the content applies to, i.e. that it describes, either as a DateTime or as a textual string indicating a time period in <a href="https://en.wikipedia.org/wiki/ISO_8601#Time_intervals">ISO 8601 time interval format</a>.');

// https://schema.org/termCode
t("termCode");
t('A code that identifies this <a class="localLink" href="/DefinedTerm">DefinedTerm</a> within a <a class="localLink" href="/DefinedTermSet">DefinedTermSet</a>');

// https://schema.org/termDuration
t("termDuration");
t("The amount of time in a term as defined by the institution. A term is a length of time where students take one or more classes. Semesters and quarters are common units for term.");
t("The amount of time in a term as defined by the institution.");

// https://schema.org/termsOfService
t("termsOfService");
t("Human-readable terms of service documentation.");

// https://schema.org/termsPerYear
t("termsPerYear");
t("The number of times terms of study are offered per year. Semesters and quarters are common units for term. For example, if the student can only take 2 semesters for the program in one year, then termsPerYear should be 2.");
t("The number of times terms of study are offered per year.");

// https://schema.org/text
t("text");
t("The textual content of this CreativeWork.");

// https://schema.org/textValue
t("textValue");
t("Text value being annotated.");

// https://schema.org/thumbnail
t("thumbnail");
t("Thumbnail image for an image or video.");

// https://schema.org/thumbnailUrl
t("thumbnailUrl");
t("A thumbnail image relevant to the Thing.");

// https://schema.org/tickerSymbol
t("tickerSymbol");
t("The exchange traded instrument associated with a Corporation object. The tickerSymbol is expressed as an exchange and an instrument name separated by a space character. For the exchange component of the tickerSymbol attribute, we recommend using the controlled vocabulary of Market Identifier Codes (MIC) specified in ISO 15022.");
t("The exchange traded instrument associated with a Corporation object.");

// https://schema.org/ticketedSeat
t("ticketedSeat");
t("The seat associated with the ticket.");

// https://schema.org/ticketNumber
t("ticketNumber");
t("The unique identifier for the ticket.");

// https://schema.org/ticketToken
t("ticketToken");
t("Reference to an asset (e.g., Barcode, QR code image or PDF) usable for entrance.");

// https://schema.org/timeOfDay
t("timeOfDay");
t('The time of day the program normally runs. For example, "evenings".');
t("The time of day the program normally runs.");

// https://schema.org/timeRequired
t("timeRequired");
t("Approximate or typical time it usually takes to work with or through the content of this work for the typical or target audience.");

// https://schema.org/timeToComplete
t("timeToComplete");
t("The expected length of time to complete the program if attending full-time.");

// https://schema.org/tissueSample
t("tissueSample");
t("The type of tissue sample required for the test.");

// https://schema.org/title
t("title");
t("The title of the job.");

// https://schema.org/titleEIDR
t("titleEIDR");
t('An <a href="https://eidr.org/">EIDR</a> (Entertainment Identifier Registry) <a class="localLink" href="/identifier">identifier</a> representing at the most general/abstract level, a work of film or television.<br/><br/>

For example, the motion picture known as "Ghostbusters" has a titleEIDR of  "10.5240/7EC7-228A-510A-053E-CBB8-J". This title (or work) may have several variants, which EIDR calls "edits". See <a class="localLink" href="/editEIDR">editEIDR</a>.<br/><br/>

Since schema.org types like <a class="localLink" href="/Movie">Movie</a>, <a class="localLink" href="/TVEpisode">TVEpisode</a>, <a class="localLink" href="/TVSeason">TVSeason</a>, and <a class="localLink" href="/TVSeries">TVSeries</a> can be used for both works and their multiple expressions, it is possible to use <a class="localLink" href="/titleEIDR">titleEIDR</a> alone (for a general description), or alongside <a class="localLink" href="/editEIDR">editEIDR</a> for a more edit-specific description.');
t('An <a href="https://eidr.org/">EIDR</a> (Entertainment Identifier Registry) <a class="localLink" href="/identifier">identifier</a> representing at the most general/abstract level, a work of film or television.');

// https://schema.org/tocContinuation
t("tocContinuation");
t('A <a class="localLink" href="/HyperTocEntry">HyperTocEntry</a> can have a <a class="localLink" href="/tocContinuation">tocContinuation</a> indicated, which is another <a class="localLink" href="/HyperTocEntry">HyperTocEntry</a> that would be the default next item to play or render.');

// https://schema.org/tocEntry
t("tocEntry");
t('Indicates a <a class="localLink" href="/HyperTocEntry">HyperTocEntry</a> in a <a class="localLink" href="/HyperToc">HyperToc</a>.');

// https://schema.org/toLocation
t("toLocation");
t("A sub property of location. The final location of the object or the agent after the action.");
t("A sub property of location.");

// https://schema.org/tongueWeight
t("tongueWeight");
t('The permitted vertical load (TWR) of a trailer attached to the vehicle. Also referred to as Tongue Load Rating (TLR) or Vertical Load Rating (VLR).<br/><br/>

Typical unit code(s): KGM for kilogram, LBR for pound<br/><br/>

<ul>
<li>Note 1: You can indicate additional information in the <a class="localLink" href="/name">name</a> of the <a class="localLink" href="/QuantitativeValue">QuantitativeValue</a> node.</li>
<li>Note 2: You may also link to a <a class="localLink" href="/QualitativeValue">QualitativeValue</a> node that provides additional information using <a class="localLink" href="/valueReference">valueReference</a>.</li>
<li>Note 3: Note that you can use <a class="localLink" href="/minValue">minValue</a> and <a class="localLink" href="/maxValue">maxValue</a> to indicate ranges.</li>
</ul>');
t("The permitted vertical load (TWR) of a trailer attached to the vehicle.");

// https://schema.org/tool
t("tool");
t("A sub property of instrument. An object used (but not consumed) when performing instructions or a direction.");
t("A sub property of instrument.");

// https://schema.org/toRecipient
t("toRecipient");
t("A sub property of recipient. The recipient who was directly sent the message.");
t("A sub property of recipient.");

// https://schema.org/torque
t("torque");
t('The torque (turning force) of the vehicle\'s engine.<br/><br/>

Typical unit code(s): NU for newton metre (N m), F17 for pound-force per foot, or F48 for pound-force per inch<br/><br/>

<ul>
<li>Note 1: You can link to information about how the given value has been determined (e.g. reference RPM) using the <a class="localLink" href="/valueReference">valueReference</a> property.</li>
<li>Note 2: You can use <a class="localLink" href="/minValue">minValue</a> and <a class="localLink" href="/maxValue">maxValue</a> to indicate ranges.</li>
</ul>');
t("The torque (turning force) of the vehicle's engine.");

// https://schema.org/totalHistoricalEnrollment
t("totalHistoricalEnrollment");
t("The total number of students that have enrolled in the history of the course.");

// https://schema.org/totalJobOpenings
t("totalJobOpenings");
t("The number of positions open for this job posting. Use a positive integer. Do not use if the number of positions is unclear or not known.");
t("The number of positions open for this job posting.");

// https://schema.org/totalPaymentDue
t("totalPaymentDue");
t("The total amount due.");

// https://schema.org/totalPrice
t("totalPrice");
t("The total price for the reservation or ticket, including applicable taxes, shipping, etc.<br/><br/>

Usage guidelines:<br/><br/>

<ul>
<li>Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.</li>
<li>Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.</li>
</ul>");
t("The total price for the reservation or ticket, including applicable taxes, shipping, etc.<br/><br/>

Usage guidelines:<br/><br/>

<ul>
<li>Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similar Unicode symbols.");

// https://schema.org/totalTime
t("totalTime");
t('The total time required to perform instructions or a direction (including time to prepare the supplies), in <a href="http://en.wikipedia.org/wiki/ISO_8601">ISO 8601 duration format</a>.');

// https://schema.org/tourBookingPage
t("tourBookingPage");
t('A page providing information on how to book a tour of some <a class="localLink" href="/Place">Place</a>, such as an <a class="localLink" href="/Accommodation">Accommodation</a> or <a class="localLink" href="/ApartmentComplex">ApartmentComplex</a> in a real estate setting, as well as other kinds of tours as appropriate.');

// https://schema.org/touristType
t("touristType");
t("Attraction suitable for type(s) of tourist. E.g. children, visitors from a particular country, etc.");
t("Attraction suitable for type(s) of tourist.");

// https://schema.org/track
t("track");
t("A music recording (track)&#x2014;usually a single song. If an ItemList is given, the list should contain items of type MusicRecording.");
t("A music recording (track)&#x2014;usually a single song.");

// https://schema.org/trackingNumber
t("trackingNumber");
t("Shipper tracking number.");

// https://schema.org/trackingUrl
t("trackingUrl");
t("Tracking url for the parcel delivery.");

// https://schema.org/tracks
t("tracks");
t("A music recording (track)&#x2014;usually a single song.");

// https://schema.org/trailer
t("trailer");
t("The trailer of a movie or TV/radio series, season, episode, etc.");

// https://schema.org/trailerWeight
t("trailerWeight");
t('The permitted weight of a trailer attached to the vehicle.<br/><br/>

Typical unit code(s): KGM for kilogram, LBR for pound
* Note 1: You can indicate additional information in the <a class="localLink" href="/name">name</a> of the <a class="localLink" href="/QuantitativeValue">QuantitativeValue</a> node.
* Note 2: You may also link to a <a class="localLink" href="/QualitativeValue">QualitativeValue</a> node that provides additional information using <a class="localLink" href="/valueReference">valueReference</a>.
* Note 3: Note that you can use <a class="localLink" href="/minValue">minValue</a> and <a class="localLink" href="/maxValue">maxValue</a> to indicate ranges.');
t("The permitted weight of a trailer attached to the vehicle.");

// https://schema.org/trainingSalary
t("trainingSalary");
t("The estimated salary earned while in the program.");

// https://schema.org/trainName
t("trainName");
t("The name of the train (e.g. The Orient Express).");

// https://schema.org/trainNumber
t("trainNumber");
t("The unique identifier for the train.");

// https://schema.org/transcript
t("transcript");
t("If this MediaObject is an AudioObject or VideoObject, the transcript of that object.");

// https://schema.org/transFatContent
t("transFatContent");
t("The number of grams of trans fat.");

// https://schema.org/transitTime
t("transitTime");
t("The typical delay the order has been sent for delivery and the goods reach the final customer. Typical properties: minValue, maxValue, unitCode (d for DAY).");
t("The typical delay the order has been sent for delivery and the goods reach the final customer.");

// https://schema.org/transitTimeLabel
t("transitTimeLabel");
t('Label to match an <a class="localLink" href="/OfferShippingDetails">OfferShippingDetails</a> with a <a class="localLink" href="/DeliveryTimeSettings">DeliveryTimeSettings</a> (within the context of a <a class="localLink" href="/shippingSettingsLink">shippingSettingsLink</a> cross-reference).');

// https://schema.org/translationOfWork
t("translationOfWork");
t("The work that this work has been translated from. E.g. 物种起源 is a translationOf “On the Origin of Species”.");
t("The work that this work has been translated from.");

// https://schema.org/translator
t("translator");
t("Organization or person who adapts a creative work to different languages, regional differences and technical requirements of a target market, or that translates during some event.");

// https://schema.org/transmissionMethod
t("transmissionMethod");
t("How the disease spreads, either as a route or vector, for example 'direct contact', 'Aedes aegypti', etc.");

// https://schema.org/travelBans
t("travelBans");
t("Information about travel bans, e.g. in the context of a pandemic.");

// https://schema.org/trialDesign
t("trialDesign");
t("Specifics about the trial design (enumerated).");

// https://schema.org/tributary
t("tributary");
t("The anatomical or organ system that the vein flows into; a larger structure that the vein connects to.");

// https://schema.org/tripOrigin
t("tripOrigin");
t("The location of origin of the trip, prior to any destination(s).");

// https://schema.org/typeOfBed
t("typeOfBed");
t("The type of bed to which the BedDetail refers, i.e. the type of bed available in the quantity indicated by quantity.");

// https://schema.org/typeOfGood
t("typeOfGood");
t("The product that this structured value is referring to.");

// https://schema.org/typicalAgeRange
t("typicalAgeRange");
t("The typical expected age range, e.g. '7-9', '11-'.");

// https://schema.org/typicalCreditsPerTerm
t("typicalCreditsPerTerm");
t("The number of credits or units a full-time student would be expected to take in 1 term however 'term' is defined by the institution.");

// https://schema.org/typicalTest
t("typicalTest");
t("A medical test typically performed given this condition.");

// https://schema.org/underName
t("underName");
t("The person or organization the reservation or ticket is for.");

// https://schema.org/unitCode
t("unitCode");
t("The unit of measurement given using the UN/CEFACT Common Code (3 characters) or a URL. Other codes than the UN/CEFACT Common Code may be used with a prefix followed by a colon.");
t("The unit of measurement given using the UN/CEFACT Common Code (3 characters) or a URL.");

// https://schema.org/unitText
t("unitText");
t("A string or text indicating the unit of measurement. Useful if you cannot provide a standard unit code for
<a href='unitCode'>unitCode</a>.");
t("A string or text indicating the unit of measurement.");

// https://schema.org/unnamedSourcesPolicy
t("unnamedSourcesPolicy");
t('For an <a class="localLink" href="/Organization">Organization</a> (typically a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a>), a statement about policy on use of unnamed sources and the decision process required.');

// https://schema.org/unsaturatedFatContent
t("unsaturatedFatContent");
t("The number of grams of unsaturated fat.");

// https://schema.org/uploadDate
t("uploadDate");
t("Date when this media object was uploaded to this site.");

// https://schema.org/upvoteCount
t("upvoteCount");
t("The number of upvotes this question, answer or comment has received from the community.");

// https://schema.org/url
t("url");
t("URL of the item.");

// https://schema.org/urlTemplate
t("urlTemplate");
t("An url template (RFC6570) that will be used to construct the target of the execution of the action.");

// https://schema.org/usageInfo
t("usageInfo");
t('The schema.org <a class="localLink" href="/usageInfo">usageInfo</a> property indicates further information about a <a class="localLink" href="/CreativeWork">CreativeWork</a>. This property is applicable both to works that are freely available and to those that require payment or other transactions. It can reference additional information, e.g. community expectations on preferred linking and citation conventions, as well as purchasing details. For something that can be commercially licensed, usageInfo can provide detailed, resource-specific information about licensing options.<br/><br/>

This property can be used alongside the license property which indicates license(s) applicable to some piece of content. The usageInfo property can provide information about other licensing options, e.g. acquiring commercial usage rights for an image that is also available under non-commercial creative commons licenses.');
t("The schema.");

// https://schema.org/usedToDiagnose
t("usedToDiagnose");
t("A condition the test is used to diagnose.");

// https://schema.org/userInteractionCount
t("userInteractionCount");
t("The number of interactions for the CreativeWork using the WebSite or SoftwareApplication.");

// https://schema.org/usesDevice
t("usesDevice");
t("Device used to perform the test.");

// https://schema.org/usesHealthPlanIdStandard
t("usesHealthPlanIdStandard");
t('The standard for interpreting the Plan ID. The preferred is "HIOS". See the Centers for Medicare &amp; Medicaid Services for more details.');
t("The standard for interpreting the Plan ID.");

// https://schema.org/utterances
t("utterances");
t('Text of an utterances (spoken words, lyrics etc.) that occurs at a certain section of a media object, represented as a <a class="localLink" href="/HyperTocEntry">HyperTocEntry</a>.');

// https://schema.org/validFor
t("validFor");
t("The duration of validity of a permit or similar thing.");

// https://schema.org/validFrom
t("validFrom");
t("The date when the item becomes valid.");

// https://schema.org/validIn
t("validIn");
t("The geographic area where a permit or similar thing is valid.");

// https://schema.org/validThrough
t("validThrough");
t("The date after when the item is not valid. For example the end of an offer, salary period, or a period of opening hours.");
t("The date after when the item is not valid.");

// https://schema.org/validUntil
t("validUntil");
t("The date when the item is no longer valid.");

// https://schema.org/value
t("value");
t('The value of a <a class="localLink" href="/QuantitativeValue">QuantitativeValue</a> (including <a class="localLink" href="/Observation">Observation</a>) or property value node.<br/><br/>

<ul>
<li>For <a class="localLink" href="/QuantitativeValue">QuantitativeValue</a> and <a class="localLink" href="/MonetaryAmount">MonetaryAmount</a>, the recommended type for values is \'Number\'.</li>
<li>For <a class="localLink" href="/PropertyValue">PropertyValue</a>, it can be \'Text\', \'Number\', \'Boolean\', or \'StructuredValue\'.</li>
<li>Use values from 0123456789 (Unicode \'DIGIT ZERO\' (U+0030) to \'DIGIT NINE\' (U+0039)) rather than superficially similar Unicode symbols.</li>
<li>Use \'.\' (Unicode \'FULL STOP\' (U+002E)) rather than \',\' to indicate a decimal point. Avoid using these symbols as a readability separator.</li>
</ul>');
t('The value of a <a class="localLink" href="/QuantitativeValue">QuantitativeValue</a> (including <a class="localLink" href="/Observation">Observation</a>) or property value node.');

// https://schema.org/valueAddedTaxIncluded
t("valueAddedTaxIncluded");
t("Specifies whether the applicable value-added tax (VAT) is included in the price specification or not.");

// https://schema.org/valueMaxLength
t("valueMaxLength");
t("Specifies the allowed range for number of characters in a literal value.");

// https://schema.org/valueMinLength
t("valueMinLength");
t("Specifies the minimum allowed range for number of characters in a literal value.");

// https://schema.org/valueName
t("valueName");
t("Indicates the name of the PropertyValueSpecification to be used in URL templates and form encoding in a manner analogous to HTML's input@name.");

// https://schema.org/valuePattern
t("valuePattern");
t("Specifies a regular expression for testing literal values according to the HTML spec.");

// https://schema.org/valueReference
t("valueReference");
t("A secondary value that provides additional information on the original value, e.g. a reference temperature or a type of measurement.");

// https://schema.org/valueRequired
t("valueRequired");
t("Whether the property must be filled in to complete the action.  Default is false.");
t("Whether the property must be filled in to complete the action.");

// https://schema.org/variableMeasured
t("variableMeasured");
t('The variableMeasured property can indicate (repeated as necessary) the  variables that are measured in some dataset, either described as text or as pairs of identifier and description using PropertyValue, or more explicitly as a <a class="localLink" href="/StatisticalVariable">StatisticalVariable</a>.');

// https://schema.org/variantCover
t("variantCover");
t('A description of the variant cover
        for the issue, if the issue is a variant printing. For example, "Bryan Hitch
        Variant Cover" or "2nd Printing Variant".');
t("A description of the variant cover
        for the issue, if the issue is a variant printing.");

// https://schema.org/variesBy
t("variesBy");
t('Indicates the property or properties by which the variants in a <a class="localLink" href="/ProductGroup">ProductGroup</a> vary, e.g. their size, color etc. Schema.org properties can be referenced by their short name e.g. "color"; terms defined elsewhere can be referenced with their URIs.');
t('Indicates the property or properties by which the variants in a <a class="localLink" href="/ProductGroup">ProductGroup</a> vary, e.g. their size, color etc. Schema.');

// https://schema.org/vatID
t("vatID");
t("The Value-added Tax ID of the organization or person.");

// https://schema.org/vehicleConfiguration
t("vehicleConfiguration");
t("A short text indicating the configuration of the vehicle, e.g. '5dr hatchback ST 2.5 MT 225 hp' or 'limited edition'.");

// https://schema.org/vehicleEngine
t("vehicleEngine");
t("Information about the engine or engines of the vehicle.");

// https://schema.org/vehicleIdentificationNumber
t("vehicleIdentificationNumber");
t("The Vehicle Identification Number (VIN) is a unique serial number used by the automotive industry to identify individual motor vehicles.");

// https://schema.org/vehicleInteriorColor
t("vehicleInteriorColor");
t("The color or color combination of the interior of the vehicle.");

// https://schema.org/vehicleInteriorType
t("vehicleInteriorType");
t("The type or material of the interior of the vehicle (e.g. synthetic fabric, leather, wood, etc.). While most interior types are characterized by the material used, an interior type can also be based on vehicle usage or target audience.");
t("The type or material of the interior of the vehicle (e.g. synthetic fabric, leather, wood, etc.).");

// https://schema.org/vehicleModelDate
t("vehicleModelDate");
t("The release date of a vehicle model (often used to differentiate versions of the same make and model).");

// https://schema.org/vehicleSeatingCapacity
t("vehicleSeatingCapacity");
t("The number of passengers that can be seated in the vehicle, both in terms of the physical space available, and in terms of limitations set by law.<br/><br/>

Typical unit code(s): C62 for persons.");
t("The number of passengers that can be seated in the vehicle, both in terms of the physical space available, and in terms of limitations set by law.");

// https://schema.org/vehicleSpecialUsage
t("vehicleSpecialUsage");
t("Indicates whether the vehicle has been used for special purposes, like commercial rental, driving school, or as a taxi. The legislation in many countries requires this information to be revealed when offering a car for sale.");
t("Indicates whether the vehicle has been used for special purposes, like commercial rental, driving school, or as a taxi.");

// https://schema.org/vehicleTransmission
t("vehicleTransmission");
t('The type of component used for transmitting the power from a rotating power source to the wheels or other relevant component(s) ("gearbox" for cars).');

// https://schema.org/vendor
t("vendor");
t("'vendor' is an earlier term for 'seller'.");

// https://schema.org/verificationFactCheckingPolicy
t("verificationFactCheckingPolicy");
t('Disclosure about verification and fact-checking processes for a <a class="localLink" href="/NewsMediaOrganization">NewsMediaOrganization</a> or other fact-checking <a class="localLink" href="/Organization">Organization</a>.');

// https://schema.org/version
t("version");
t("The version of the CreativeWork embodied by a specified resource.");

// https://schema.org/video
t("video");
t("An embedded video object.");

// https://schema.org/videoFormat
t("videoFormat");
t("The type of screening or video broadcast used (e.g. IMAX, 3D, SD, HD, etc.).");

// https://schema.org/videoFrameSize
t("videoFrameSize");
t("The frame size of the video.");

// https://schema.org/videoQuality
t("videoQuality");
t("The quality of the video.");

// https://schema.org/volumeNumber
t("volumeNumber");
t('Identifies the volume of publication or multi-part work; for example, "iii" or "2".');

// https://schema.org/warning
t("warning");
t("Any FDA or other warnings about the drug (text or URL).");

// https://schema.org/warranty
t("warranty");
t("The warranty promise(s) included in the offer.");

// https://schema.org/warrantyPromise
t("warrantyPromise");
t("The warranty promise(s) included in the offer.");

// https://schema.org/warrantyScope
t("warrantyScope");
t("The scope of the warranty promise.");

// https://schema.org/webCheckinTime
t("webCheckinTime");
t("The time when a passenger can check into the flight online.");

// https://schema.org/webFeed
t("webFeed");
t("The URL for a feed, e.g. associated with a podcast series, blog, or series of date-stamped updates. This is usually RSS or Atom.");
t("The URL for a feed, e.g. associated with a podcast series, blog, or series of date-stamped updates.");

// https://schema.org/weight
t("weight");
t("The weight of the product or person.");

// https://schema.org/weightTotal
t("weightTotal");
t('The permitted total weight of the loaded vehicle, including passengers and cargo and the weight of the empty vehicle.<br/><br/>

Typical unit code(s): KGM for kilogram, LBR for pound<br/><br/>

<ul>
<li>Note 1: You can indicate additional information in the <a class="localLink" href="/name">name</a> of the <a class="localLink" href="/QuantitativeValue">QuantitativeValue</a> node.</li>
<li>Note 2: You may also link to a <a class="localLink" href="/QualitativeValue">QualitativeValue</a> node that provides additional information using <a class="localLink" href="/valueReference">valueReference</a>.</li>
<li>Note 3: Note that you can use <a class="localLink" href="/minValue">minValue</a> and <a class="localLink" href="/maxValue">maxValue</a> to indicate ranges.</li>
</ul>');
t("The permitted total weight of the loaded vehicle, including passengers and cargo and the weight of the empty vehicle.");

// https://schema.org/wheelbase
t("wheelbase");
t("The distance between the centers of the front and rear wheels.<br/><br/>

Typical unit code(s): CMT for centimeters, MTR for meters, INH for inches, FOT for foot/feet");
t("The distance between the centers of the front and rear wheels.");

// https://schema.org/width
t("width");
t("The width of the item.");

// https://schema.org/winner
t("winner");
t("A sub property of participant. The winner of the action.");
t("A sub property of participant.");

// https://schema.org/wordCount
t("wordCount");
t("The number of words in the text of the Article.");

// https://schema.org/workExample
t("workExample");
t("Example/instance/realization/derivation of the concept of this creative work. E.g. the paperback edition, first edition, or e-book.");
t("Example/instance/realization/derivation of the concept of this creative work.");

// https://schema.org/workFeatured
t("workFeatured");
t("A work featured in some event, e.g. exhibited in an ExhibitionEvent.
       Specific subproperties are available for workPerformed (e.g. a play), or a workPresented (a Movie at a ScreeningEvent).");
t("A work featured in some event, e.g. exhibited in an ExhibitionEvent.");

// https://schema.org/workHours
t("workHours");
t("The typical working hours for this job (e.g. 1st shift, night shift, 8am-5pm).");

// https://schema.org/workload
t("workload");
t("Quantitative measure of the physiologic output of the exercise; also referred to as energy expenditure.");

// https://schema.org/workLocation
t("workLocation");
t("A contact location for a person's place of work.");

// https://schema.org/workPerformed
t("workPerformed");
t("A work performed in some event, for example a play performed in a TheaterEvent.");

// https://schema.org/workPresented
t("workPresented");
t("The movie presented during this event.");

// https://schema.org/worksFor
t("worksFor");
t("Organizations that the person works for.");

// https://schema.org/workTranslation
t("workTranslation");
t("A work that is a translation of the content of this work. E.g. 西遊記 has an English workTranslation “Journey to the West”, a German workTranslation “Monkeys Pilgerfahrt” and a Vietnamese  translation Tây du ký bình khảo.");
t("A work that is a translation of the content of this work.");

// https://schema.org/worstRating
t("worstRating");
t("The lowest value allowed in this rating system. If worstRating is omitted, 1 is assumed.");
t("The lowest value allowed in this rating system.");

// https://schema.org/xpath
t("xpath");
t('An XPath, e.g. of a <a class="localLink" href="/SpeakableSpecification">SpeakableSpecification</a> or <a class="localLink" href="/WebPageElement">WebPageElement</a>. In the latter case, multiple matches within a page can constitute a single conceptual "Web page element".');
t('An XPath, e.g. of a <a class="localLink" href="/SpeakableSpecification">SpeakableSpecification</a> or <a class="localLink" href="/WebPageElement">WebPageElement</a>.');

// https://schema.org/yearBuilt
t("yearBuilt");
t('The year an <a class="localLink" href="/Accommodation">Accommodation</a> was constructed. This corresponds to the <a href="https://ddwiki.reso.org/display/DDW17/YearBuilt+Field">YearBuilt field in RESO</a>.');
t('The year an <a class="localLink" href="/Accommodation">Accommodation</a> was constructed.');

// https://schema.org/yearlyRevenue
t("yearlyRevenue");
t("The size of the business in annual revenue.");

// https://schema.org/yearsInOperation
t("yearsInOperation");
t("The age of the business.");

// https://schema.org/yield
t("yield");
t("The quantity that results by performing instructions. For example, a paper airplane, 10 personalized candles.");
t("The quantity that results by performing instructions.");
